;--------------------------------------------------
;--------------------------------------------------
;
:	TADJ_H =-0.0		;tA-tH, H = tH + TADJ_H		hot, housing
:	TADJ_C =-0.0		;tA-tC, C = tC + TADJ_C		cold, CCD
:	TADJ_N =-0.0		;tA-tN, N = tN + TADJ_N		NTC (optional)
:	TADJ_K = 2.73		;tCCD = H + (C-H)*TADJ_K
:	TADJ_T = 35		; Time constant (x0.7, sec)
:	TADJ_G = 4.0		; Cooling gain 
:	PTBL_V =  0     50    100     150    200    250
:	PTBL_T = -2.3   -2.0  5.9     11.9   16.1   19.1
:	PTD000 = 00.0		; Platinum RTD temp (pCam->CS.NTCV = 0)
:	PTD255 = 52.0		; Platinum RTD temp (pCam->CS.NTCV = 255)
;
;
;-----------------------------------------------
;	MMM_NONE = 0x000,		// B/W sensors
;	MMM_RGGB = 0x001,		// Regular RGGB readout
;	MMM_CMYG = 0x002,		// AK Sony sensors
;	MMM_RGR  = 0x003,		// 2R+G readout of RGGB sensor
;	MMM_BGGR = 0x004		// BGGR readout
;-----------------------------------------------
;	RP_PS_COLOR	0		// Progressive scan color
;	RP_PS_MONO	1		// Progressive scan mono
;	RP_IL_1LINE	2		// Interlace 1 line - each field with individual colors: lines F0:0,2,4,6...   F1:1,3,5,7...
;	RP_IL_2LINE	3		// Interlace 2 line - each field with equivalent colors: lines F0:0,1,4,5...   F1:2,3,6,7...
;+++++++++++++++++++++++++++++++++++++++++++++++
; HW_Aux:
;	HWA_HS	 1			// H-Freq	
;	HWA_CB	 2			// Color bin	
;	HWA_SKIP 4			// skip /bin
;	HWA_HW6  8			// skip /bin
;+++++++++++++++++++++++++++++++++++++++++++++++
-	Sensor		= KAI11002CM	//
-	Mosaic		= RGGB		//
-	Fields		= 1		//
-       Hactive         = 4032          //
-       Vactive         = 2688          //
-	MinGap		= 2		// 
-	MinVsub		= 5.2		//
-	MaxVsub		= 15.0		//
-	MinGain		= 3.05		//
-	MaxGain		= 47.3		//
-	tHousingMax	= 35		//	
-	tChipMin	= 10		//
-	AFE		= 29970		//				
-	kVsub		= 17.0		//
-	CTM		= 125e-6	// timer count
-	NCR		= 1		// shutter mode, 0:multi, 1:single, ...
-	dwIsoChunkSel	= 0		// 0: auto, 23..30 : IsoChunkSel
;	dwIsoChunkSel = 23;	// 1*4624 75.3% 37.0 MB/s 
;	dwIsoChunkSel = 24;	// 1*4768 77.6% 38.1 MB/s Gap Count == 0x3F 
;	dwIsoChunkSel = 25;	// 1*4912 80.2% 39.4 MB/s 
;	dwIsoChunkSel = 26;	// 1*5056 82.2% 40.4 MB/s
;	dwIsoChunkSel = 27;	// 1*5200 84.6% 41.6 MB/s
;	dwIsoChunkSel = 28;	// 1*5344 87.0% 42.8 MB/s
;	dwIsoChunkSel = 29;	// 1*5488 89.3% 43.9 MB/s Gap Count <= 0x09
;----------------------------------------	
;
;=== AFE ====
;
:       HCLKMODE = 0x80                 // mode 3, IOVDD = 1V8
:       HBLKMASK = 0x7	                // H1, H2, HL
:       HL_HBLKE = 0x8                  // 8 : Enable HBLK for HL output, 0 : disable
:       PX0pos   = 2                    // AFE Delay
:       LVDel    = 10                   // LVCLK Rising Edge Delay
:       DOutPhase = 28 60 4              //
;
;HS-Timing 
: HScnt=0       // HS
:       HS      = 1                     // 49.152 MHz

:       H1LOC   =  0 32  1              // pos, neg, polarity
:       H2LOC   =  0 32  1              // pos, neg, polarity
:       HLLOC   =  0 32  1              // pos, neg, polarity
:       RGLOC   =  1 17  1              // pos, neg, polarity,	T > 14 Clk
:       SHLOC   = 10 40 16              // SHD,SHP,SHPW
:       HDS = 7 7 7 7 5 5               // Drive Strength : H1,H2,H3,H4,HL,RG

: HScnt=1       // Normal
:       HS      = 0                     // 24.576 MHz
:       H1LOC   =  0 32  1              // pos, neg, polarity
:       H2LOC   =  0 32  1              // pos, neg, polarity
:       HLLOC   =  0 32  1              // pos, neg, polarity
:       RGLOC   =  0  8  1              // pos, neg, polarity,	T > 8 Clk
:       SHLOC   =  5 37  32             // SHD,SHP,SHPW
:       HDS = 4 4 4 4 2 2               // Drive Strength : H1,H2,H3,H4,HL,RG
: HScnt=2
;
;#0 : HS 
:       AFldCnt = 0                     // Field
:       SCP     = 0                     //
:       SEL     = 0                     //
:       PBM     = 0 1                   //
:	HSyn0	= 36			// Syn(Hshift=0, Hbin=1, ln[Horg]=Pix1)
;:	HSyn0	= 18			// Pix[0] : 4D,20B,Active[..] (AFE[0] <> Pix[0])
;----------------------------------------       
:       APatCnt = 0                     // HPAT Registers
:	HTO	= 4080	0		// HBLK_TOG 0..5, odd lines
:	HTE	= 4080	0		// HBLK_TOG 0..5,even lines
:	CT	= 6	16		// CLP_OB 
:	PT	= 0	4079		// PBLK
;
;#1 Normal 
:       AFldCnt = 1                     // Field
:       SCP     = 0                     // SCP      0..8
:       SEL     = 1                     // HPAT_SEL 0..8
:       PBM     = 0 1                   // PBLK_MASKSTART/END 1..3
:	HSyn0	= 36			// Pix[0] = Active[1]; (BGGR >> RGGB)
;:	HSyn0	= 14			// Pix[0] : 4D,20B,Active[..] (AFE[0] <> Pix[0])
;----------------------------------------       
:       APatCnt = 1                     // HPAT Registers
:	HTO	= 4080	0		// HBLK_TOG 0..5, odd lines
:	HTE	= 4080	0		// HBLK_TOG 0..5,even lines
:	CT	= 6	16		// CLP_OB 
:	PT	= 0	4079		// PBLK
;
;
;

:ModeCnt = 0	// parser ptr
: description = Binning 1x1 PS 2.1Hz;
:ModeCnt = 1
: description = Binning 2x2 PS 4.1Hz;
:ModeCnt = 2
: description = Binning 3x3 PS 5.9Hz;
:ModeCnt = 3
: description = Binning 4x4 PS 7.5Hz;
:ModeCnt = 4
: description = Binning 1x1 PS8  high speed 3.6Hz;
:ModeCnt = 5
: description = Binning 2x2 PS high speed 7.6Hz;
:ModeCnt = 6
: description = Binning 3x3 PS high speed 10.5Hz;
:ModeCnt = 7
: description = Binning 4x4 PS high speed 12.1Hz;
;;---------------------------------------------------------

:ModeCnt = 0    // parser ptr
;------ MRMODE ------------------
: dwCx=         4032    2016    1344    1008    4032    2016    1344    1008    // total spacial resolution
: dwCy=         2688    1344    896     672     2688    1344    896     672     //
: minCy=        32      32      32      32      32      32      32      32      //     
: dwFields=     1       1       1       1       1       1       1       1       // number of fields to get one full frame
: dwBinX=       1       2       3       4       1       2       3       4       // Total Binning along x and y
: dwBinY=       1       2       3       4       1       2       3       4       //         
: mmMosaic=     0       0       0       0       0       0       0       0       // Mosaic of raw data
: dwRDO=        1       1       1       1       1       1       1       1       // Readout schema
: RP_offs=      22e-6   22e-6   22e-6   22e-6   22e-6   22e-6   22e-6   22e-6   // Readout pulse offset
: TG_Freq=      12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 // TG freq
;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
: HSSEL=        1       1       1       1       0       0       0       0       // AFE HS timing #
: HW_BinX=      1       2       3       4       1       2       3       4       //        
: Hshift =      0       0       0       0       0       0       0       0       //
: HblackL=      6       6       6       4       6       6       6       4       //
: HgapL=	2       2       2       2       2       2       2       2       //
;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
: FSEL=         1       1       1       1       0       0       0       0       // AFE timing #
: Vskip=        16      16      16      16      16      16      16      16      // (phy line)
: VgapT=        0       0       0       0       0       0       0       0       // (bin line)
: VgapB=        0       0       0       0       0       0       0       0       // (bin line)
: VdummyB=      0       0       0       0       0       0       0       0       // (bin line)
;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
: HW_BinY=      1       2       3       4       1       2       3       4       //        
: RD_BinY=      1       1       1       1       1       1       1       1       //        
: RP0=          RP1     RP1     RP1     RP1     RP1     RP1     RP1     RP1     // RP0 timing name
: RP1=          RP1     RP1     RP1     RP1     RP1     RP1     RP1     RP1     // 
: RPF=          RP1     RP1     RP1     RP1     RP1     RP1     RP1     RP1     // 
: RD=           RD1N14  RD2N14  RD3N14  RD4N14  RD1H8   RD2H14  RD3H14  RD4H14  //
: HSWP=         HSWP    HSWP    HSWP    HSWP    HSWP    HSWP    HSWP    HSWP    //
: CH_REV=       1	1	1	1	1	1	1	1	// 1ch, H1 inv
;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
: Vsub[0]=      11      11      12.5    14.5    10.5    11      12.5    14.5    //
: Gain[0]=       8      3       3       3       11      6.5     6       6    // db
: Clamp[0]=     512     512     512     512     512     512     512     512     //
: MULT[0]=      65536   32768   21845   16384   65536   32768   21845   16384   // G-multiplier
;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
: Dac0=         0       0       0	0	0	0	0	0	// OGL = -2.36v + 1.82*Dac0/255.
: Dac1=         0	0	0	0	0	0	0	0	// OGR	DAC(0) = -2.36v, DAC(255)=-0.54v
: Dac2=         0	0	0	0	255	255	255	255	// V_H
;------ DSP - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
: dsp.LBO=      2       2       2       2       2       2       2       2       // Left black offs     
: dsp.LBN=      4       4       4       2       4       4       4       2       // Left black cnt      
: dsp.QTH=      500.    500.    500.    500.    500.    500.    500.    500.    // Hot pixel threshold
: dsp.black_src=1.      1.      1.      1.      1.      1.      1.      1.      // BL*black_src     + BR*(1-black_src)
: dsp.black_mux=0.      0.      0.      0.      0.      0.      0.      0.      // Vblack*black_mux + bl_src*(1-black_mux)
;
:ModeCnt = 8	// parser ptr


;--------------------------------------------------
/H1US 2 12
.0700B FFFFF
/RD2N14 22 2197
.11001 03002 0300D 0A010 30015 30029 0A02E 0302F
.0303A 1103D 1105B 0305C 03067 0A06A 0A088 03089
.03094 06096 11097 06099 07894 FFFFF
/H10US 4 123
.30015 30029 0707A FFFFF
/SWP1 16 591
.11001 03002 05003 04004 0300D 0A010 30015 30029
.0A02E 0302F 0303A 1103D 04062 05063 0724E FFFFF
/SWP2 30 1201
.11001 03002 05003 04004 0300D 0A010 30015 30029
.0A02E 0302F 0303A 1103D 04062 05063 11259 0325A
.0525B 0425C 03265 0A268 3026D 30281 0A286 03287
.03292 11295 042BA 052BB 074B0 FFFFF
/RD1H8 14 1088
.11001 03002 0300D 0A010 30015 30029 0A02E 0302F
.0303A 1103D 0603E 06041 0743F FFFFF
/HSWP 8 2341
.0600A 0600D 30015 06025 06028 30029 07924 FFFFF
/RD2H14 22 1178
.11001 03002 0300D 0A010 30015 30029 0A02E 0302F
.0303A 1103D 1105B 0305C 03067 0A06A 0A088 03089
.03094 11097 06098 0609B 07499 FFFFF
/RD3N14 30 2289
.11001 03002 0300D 0A010 30015 30029 0A02E 0302F
.0303A 1103D 1105B 0305C 03067 0A06A 0A088 03089
.03094 11097 110B5 030B6 030C1 0A0C4 0A0E2 030E3
.030EE 060F0 110F1 060F3 078F0 FFFFF
/RD1N14 14 2108
.11001 03002 0300D 0A010 30015 30029 0A02E 0302F
.0303A 0603C 1103D 0603F 0783B FFFFF
/RD4N14 38 2378
.11001 03002 0300D 0A010 30015 30029 0A02E 0302F
.0303A 1103D 1105B 0305C 03067 0A06A 0A088 03089
.03094 11097 110B5 030B6 030C1 0A0C4 0A0E2 030E3
.030EE 110F1 1110F 03110 0311B 0A11E 0A13C 0313D
.03148 0614A 1114B 0614D 07949 FFFFF
/SHT 8 196
.3802E 3005D 3805F 38065 38096 300B4 070C3 FFFFF
/RD4H14 38 1357
.11001 03002 0300D 0A010 30015 30029 0A02E 0302F
.0303A 1103D 1105B 0305C 03067 0A06A 0A088 03089
.03094 11097 110B5 030B6 030C1 0A0C4 0A0E2 030E3
.030EE 110F1 1110F 03110 0311B 0A11E 0A13C 0313D
.03148 1114B 0614C 0614F 0754C FFFFF
/RP1 22 986
.11001 0A002 30015 30029 2806E 2A0DC 010DD 082BC
.102BD 04343 05344 10355 09356 02357 02398 09399
.1039A 043B1 053B2 063C0 063C3 073D9
/RD3H14 30 1267
.11001 03002 0300D 0A010 30015 30029 0A02E 0302F
.0303A 1103D 1105B 0305C 03067 0A06A 0A088 03089
.03094 11097 110B5 030B6 030C1 0A0C4 0A0E2 030E3
.030EE 110F1 060F2 060F5 074F2 FFFFF
;WF RAM : 298 (58%)
