;--------------------------------------------------
;--------------------------------------------------
- Version=0.3
;
;-----------------------------------------------
;       MMM_NONE = 0x000,               // B/W sensors
;       MMM_RGGB = 0x001,               // Regular RGGB readout
;       MMM_CMYG = 0x002,               // AK Sony sensors
;       MMM_RGR  = 0x003,               // 2R+G readout of RGGB sensor
;       MMM_BGGR = 0x004                // BGGR readout
;-----------------------------------------------
;       RP_PS_COLOR     0               // Progressive scan color
;       RP_PS_MONO      1               // Progressive scan mono
;       RP_IL_1LINE     2               // Interlace 1 line - each field with individual colors: lines F0:0,2,4,6...   F1:1,3,5,7...
;       RP_IL_2LINE     3               // Interlace 2 line - each field with equivalent colors: lines F0:0,1,4,5...   F1:2,3,6,7...
;+++++++++++++++++++++++++++++++++++++++++++++++
-       Sensor          = EV76C560      //
-       Mosaic          = BGGR          //
-       Fields          = 1             //
-       Hactive         = 1288          // # of effective pixels
-       Vactive         = 1036          // # of effective pixels
-       VactvStart      = 0          	// # Start of row redout
-	MinGap		= 2		// 
-       MinVsub         = 5.2           //
-       MaxVsub         = 15.0          //
-       MinGain         = 0             //
-       MaxGain         = 42            //
-       kVsub           = 17.0          //
-	GainCnt		= 3		//
-       RR              = 1.38          //
-       RG              = -0.46         //
-       RB              = 0.08          //
-       GR              = 0.03          //
-       GG              = 0.93          //
-       GB              = 0.04          //
-       BR              = 0.30          //
-       BG              = -1.65         //
-       BB              = 2.35          //

;
:ModeCnt = 0    // parser ptr
: description =*Binning 1x1 PS FR BW 8BPP 60Hz;
:ModeCnt = 1    // parser ptr
: description =*Binning 2x2 PS FR BW 8BPP 60Hz;
:ModeCnt = 2    // parser ptr
: description =*Binning 1x1 PS FR BW 38Hz;
:ModeCnt = 3    // parser ptr
: description =*Binning 2x2 PS FR BW 60Hz;
:ModeCnt = 4    // parser ptr
: description =*Binning 1x1 PS FR BW RAW 8BPP 60Hz;
:ModeCnt = 5    // parser ptr
: description =*Binning 2x2 PS FR BW RAW 8BPP 60Hz;
:ModeCnt = 6    // parser ptr
: description =*Binning 1x1 PS FR BW RAW 38Hz;
:ModeCnt = 7    // parser ptr
: description =*Binning 2x2 PS FR BW RAW 60Hz;
;---------------------------------------------------------///////////////
:ModeCnt = 0    // parser ptr
;------ MRMODE ------------------
: VactvStart=   0	0	0	0	6	6	6	6  
: HactvStart=   0	0	0	0	4	4	4	4
: Hactive= 	0	0	0	0	1280	1280	1280	1280	// Width in pixels to binning/skipping
: Vactive= 	0	0	0	0	1024	1024	1024	1024	// Height in pixels to binning/skipping
: Htotal=	1288	644	1288	644	1280	640	1280	640	// all image 	
: dwCx=         1280    640     1280    640     1280    640     1280    640	// total spacial resolution
: dwCy=         1024    512     1024    512     1024    512     1024    512     //
: dwFields=     1       1       1       1       1       1       1       1     	// number of fields to get one full frame
: dwBinX=       1       2       1       2       1       2       1       2       // Total Binning along x and y
: dwBinY=       1       2       1       2       1       2       1       2      	//          
: dwSkpX=       1       2       1       2       1       2       1       2       // Total Skeeping along x and y
: dwSkpY=       1       2       1       2       1       2       1       2      	//          
: mmMosaic=     4       4       4       4       0       0       0       0      	// Mosaic of raw data
: dwRDO=        40      40      32      32      24      24      16      16     	// Readout schema
; Noise         0	0       0       0       0       0       0       0 
;----------------------------------------------------------------------------------
: HW_BinX=      1       2       1       2       1       2       1       2     	//         
: HblackL=	0       0       0       0       0       0       0       0
: HblackR=	0       0       0       0       0       0       0       0
: VblackT=	0	    0       0      0       0       0       0       0
: VblackB=	0       0       0       0       0       0       0       0
;- - - - - - - - - - - - - - - - - - - - - - - - - - - -*- - - - - - - - - - - -  
: Vskip=        0       0       0       0       0       0       0       0       // (phy line)
: VgapT=        6       3       6       3       0       0       0       0       // (bin line)
: VgapB=        6       3       6       3       0       0       0       0    	// (bin line)
: HgapR=        4       2       4       2       0       0       0       0     	// (bin line)
: HgapL=        4       2       4       2       0       0       0       0     	// (bin line)
: VdummyB=      0       0       0       0       0       0       0       0       // (bin line)
;- - - - - - - - - - - - - - - - - - - - - - - - - - - -*- - - - - - - - - - - -  
: HW_BinY=      1       2       1       2       1       2       1       2       //         
: RD_BinY=      1       1       1       1       1       1       1       1      	//         
;----------------------------------------------------------------------------------
: Gain[0]=	0	0       0	0       0       0       0       0   	// MA
;----------------------------------------------------------------------------------
: Frequency=	114	114	96	114	114	114	96	114
: defBL=	0	0	0	0	0	0	0	0
: BusyDelay=    126 102 254 102 126 102 254 102    
;
:ModeCnt = 4   // last defined mode
