;--------------------------------------------------
;--------------------------------------------------
- Version=0.3
;
;-----------------------------------------------
;       MMM_NONE = 0x000,               // B/W sensors
;       MMM_RGGB = 0x001,               // Regular RGGB readout
;       MMM_CMYG = 0x002,               // AK Sony sensors
;       MMM_RGR  = 0x003,               // 2R+G readout of RGGB sensor
;       MMM_BGGR = 0x004                // BGGR readout
;-----------------------------------------------
;       RP_PS_COLOR     0               // Progressive scan color
;       RP_PS_MONO      1               // Progressive scan mono
;       RP_IL_1LINE     2               // Interlace 1 line - each field with individual colors: lines F0:0,2,4,6...   F1:1,3,5,7...
;       RP_IL_2LINE     3               // Interlace 2 line - each field with equivalent colors: lines F0:0,1,4,5...   F1:2,3,6,7...
;+++++++++++++++++++++++++++++++++++++++++++++++
-       Sensor          = MT9P031       //
-       Mosaic          = BGGR          //
-       Fields          = 1             //
-       Hactive         = 2624          // # of effective pixels
-       Vactive         = 1964          // # of effective pixels
-       VactvStart      = 40          	// # Start of row redout
-	      MinGap		      = 2		          // 
-       MinVsub         = 5.2           //
-       MaxVsub         = 15.0          //
-       MinGain         = 0          	  //
-       MaxGain         = 42            //
-       kVsub           = 17.0          //
-	      GainCnt		      = 3             //
-       RR              = 1.96          //
-       RG              = -1.15         //
-       RB              = 0.19          //
-       GR              = 0.12          //
-       GG              = 1.01          //
-       GB              = -0.12         //
-       BR              = 0.16          //
-       BG              = -2.26         //
-       BB              = 3.10          //

;
:ModeCnt = 0    // parser ptr
: description =*Binning 1x1 PS FR GRBG 8BPP 14Hz;
:ModeCnt = 1    // parser ptr
: description =*Binning 2x2 PS FR GRBG 8BPP 34Hz;
:ModeCnt = 2    // parser ptr
: description =*Binning 4x4 PS FR GRBG 8BPP 54Hz;
:ModeCnt = 3    // parser ptr
: description =*Skipping 2x2 PS FR GRBG 8BPP 44Hz;
:ModeCnt = 4    // parser ptr
: description =*Skipping 4x4 PS FR GRBG 8BPP 125Hz;
:ModeCnt = 5    // parser ptr
: description =*Skipping 6x6 PS FR GRBG 8BPP 218Hz;
:ModeCnt = 6    // parser ptr
: description =*Skipping 7x7 PS FR GRBG 8BPP 267Hz;
:ModeCnt = 7    // parser ptr
: description =*Skipping 7x7 HS FR GRBG 8BPP 310Hz;
;---------------------------------------------------------///////////////
:ModeCnt = 0    // parser ptr
;------ MRMODE ------------------
: Hactive= 	    0	      2628	  2640	  2632	  2648	  2664	  2652	  2652	  // Width in pixels to binning/skipping
: Vactive= 	    0	      0	      0	      0	      0	      0	      0	      1700	  // Height in pixels to binning/skipping
: Htotal=	      2624	  1314	  660	    1316	  662	    444	    380	    380	    // all image 	
: dwCx=         2592    1296    648     1296    648     430     368     320	    // total spacial resolution
: dwCy=         1944    972     486     972     486     324     276     240     //
: dwFields=     1       1       1       1       1       1       1       1     	// number of fields to get one full frame
: dwBinX=       1       2       4       1       1       1       1       1       // Total Binning along x and y
: dwBinY=       1       2       4       1       1       1       1       1      	//          
: dwSkpX=       1       2       4       2       4       6       7       7       // Total Skeeping along x and y
: dwSkpY=       1       2       4       2       4       6       7       7      	//          
: mmMosaic=     4       4       4       4       4       4       4       4      	// Mosaic of raw data
: dwRDO=        40      40      40      40      40      40      40      40    	// Readout schema
; Noise         0	      0       0       0       0       0       0       0 
;----------------------------------------------------------------------------------
: HW_BinX=      1       2       4       1       1       1       1       1     	//         
: HblackL=	    10      4       2       4       2       2       2       2
: HblackR=	    4       2       2       2       2       2       2       2
: VblackT=	    10      3       1       3       1       1       1       1
: VblackB=	    2       1       1       1       1       1       1       1
;- - - - - - - - - - - - - - - - - - - - - - - - - - - -*- - - - - - - - - - - -  
: Vskip=        0       0       0       0       0       0       0       0       // (phy line)
: VgapT=        4       2       2       2       2       2       2       2       // (bin line)
: VgapB=        4       2       0       2       0       0       0       0    	// (bin line)
: HgapR=        12      8       6       10      8       8       6       30     	// (bin line)
: HgapL=        6       4       2       4       2       2       2       26     	// (bin line)
: VdummyB=      0       0       0       0       0       0       0       0       // (bin line)
;- - - - - - - - - - - - - - - - - - - - - - - - - - - -*- - - - - - - - - - - -  
: HW_BinY=      1       2       4       2       4       6       7       7       //         
: RD_BinY=      1       1       1       1       1       1       1       1      	//         
;----------------------------------------------------------------------------------
: Gain[0]=	    0.0	    0.0     0.0     0.0     0.0     0.0     0.0     0.0    	// MA
;----------------------------------------------------------------------------------
: Frequency=	  96	    96	    96	    96	    96	    96	    96	    96
: defBL=	      168	    168	    168	    168	    168	    168	    168	    168
: BusyDelay=    766     766     766     766     766     766      766     766  
;

;
:ModeCnt = 8    // parser ptr
: description =*Binning 1x1 PS FR GRBG 9.7Hz;
:ModeCnt = 9    // parser ptr
: description =*Binning 2x2 PS FR GRBG 34Hz;
:ModeCnt = 10    // parser ptr
: description =*Binning 4x4 PS FR GRBG 54Hz;
:ModeCnt = 11    // parser ptr
: description =*Skipping 2x2 PS FR GRBG 38Hz;
:ModeCnt = 12    // parser ptr
: description =*Skipping 4x4 PS FR GRBG 125Hz;
:ModeCnt = 13    // parser ptr
: description =*Skipping 6x6 PS FR GRBG 218Hz;
:ModeCnt = 14    // parser ptr
: description =*Skipping 7x7 PS FR GRBG 267Hz;
:ModeCnt = 15    // parser ptr
: description =*Skipping 7x7 HS FR GRBG 310Hz;
;---------------------------------------------------------///////////////
:ModeCnt = 8    // parser ptr
;------ MRMODE ------------------
: Hactive= 	0	2628	2640	2632	2648	2664	2652	2652	// Width in pixels to binning/skipping
: Vactive= 	0	0	0	0	0	0	0	1700	// Height in pixels to binning/skipping
: Htotal=	2624	1314	660	1316	662	444	380	380	// all image 	
: dwCx=         2592    1296    648     1296    648     430     368     320	// total spacial resolution
: dwCy=         1944    972     486     972     486     324     276     240     //
: dwFields=     1       1       1       1       1       1       1       1     	// number of fields to get one full frame
: dwBinX=       1       2       4       1       1       1       1       1       // Total Binning along x and y
: dwBinY=       1       2       4       1       1       1       1       1      	//          
: dwSkpX=       1       2       4       2       4       6       7       7       // Total Skeeping along x and y
: dwSkpY=       1       2       4       2       4       6       7       7      	//          
: mmMosaic=     4       4       4       4       4       4       4       4      	// Mosaic of raw data
: dwRDO=        32      32      32      32      32      32      32      32      	// Readout schema
; Noise         0	0       0       0       0       0       0       0 
;----------------------------------------------------------------------------------
: HW_BinX=      1       2       4       1       1       1       1       1     	//         
: HblackL=	10      4       2       4       2       2       2       2
: HblackR=	4       2       2       2       2       2       2       2
: VblackT=	10       3       1       3       1       1       1       1
: VblackB=	2       1       1       1       1       1       1       1
;- - - - - - - - - - - - - - - - - - - - - - - - - - - -*- - - - - - - - - - - -  
: Vskip=        0       0       0       0       0       0       0       0       // (phy line)
: VgapT=        4       2       2       2       2       2       2       2       // (bin line)
: VgapB=        4       2       0       2       0       0       0       0    	// (bin line)
: HgapR=        12      8       6       10      8       8       6       30     	// (bin line)
: HgapL=        6       4       2       4       2       2       2       26     	// (bin line)
: VdummyB=      0       0       0       0       0       0       0       0       // (bin line)
;- - - - - - - - - - - - - - - - - - - - - - - - - - - -*- - - - - - - - - - - -  
: HW_BinY=      1       2       4       2       4       6       7       7       //         
: RD_BinY=      1       1       1       1       1       1       1       1      	//         
;----------------------------------------------------------------------------------
: Gain[0]=	0.0	0.0     0.0     0.0     0.0     0.0     0.0     0.0    	// MA
;----------------------------------------------------------------------------------
: Frequency=	96	96	96	96	96	96	96	96
: defBL=	168	168	168	168	168	168	168	168
: BusyDelay=    766     766     766     766     766     766      766     766
;

;
:ModeCnt = 16    // parser ptr
: description =*Binning 1x1 PS FR GRGB RAW 8BPP 14Hz;
:ModeCnt = 17    // parser ptr
: description =*Binning 2x2 PS FR GRGB RAW 8BPP 34Hz;
:ModeCnt = 18    // parser ptr
: description =*Binning 4x4 PS FR GRGB RAW 8BPP 54Hz;
:ModeCnt = 19    // parser ptr
: description =*Skipping 2x2 PS FR GRGB RAW 8BPP 44Hz;
:ModeCnt = 20    // parser ptr
: description =*Skipping 4x4 PS FR GRGB RAW 8BPP 125Hz;
:ModeCnt = 21    // parser ptr
: description =*Skipping 6x6 PS FR GRGB RAW 8BPP 218Hz;
:ModeCnt = 22    // parser ptr
: description =*Skipping 7x7 PS FR GRGB RAW 8BPP 267Hz;
:ModeCnt = 23    // parser ptr
: description =*Skipping 7x7 PS FR GRGB RAW 8BPP 267Hz;
;---------------------------------------------------------///////////////
:ModeCnt = 16    // parser ptr
;------ MRMODE ------------------
: VactvStart=   54	54	54	54	54	54	54	54  
: HactvStart=   16	16	16	16	16	16	16	16
: Hactive= 	2592	2592	2592	2592	2592	2592	2604	2604	// Width in pixels to binning/skipping
: Vactive= 	1944	1944	1944	1944	1944	1944	1944	1944	// Height in pixels to binning/skipping
: Htotal=	2592	1296	648	1296	648	432	372	372	// all image 	
: dwCx=         2592    1296    648     1296    648     432     372     372	// total spacial resolution
: dwCy=         1944    972     486     972     486     324     276     276     //
: dwFields=     1       1       1       1       1       1       1       1     	// number of fields to get one full frame
: dwBinX=       1       2       4       1       1       1       1       1       // Total Binning along x and y
: dwBinY=       1       2       4       1       1       1       1       1      	//          
: dwSkpX=       1       2       4       2       4       6       7       7       // Total Skeeping along x and y
: dwSkpY=       1       2       4       2       4       6       7       7      	//          
: mmMosaic=     4       4       4       4       4       4       4       4      	// Mosaic of raw data
: dwRDO=        24      24      24      24      24      24      24      24     	// Readout schema
; Noise         0	0       0       0       0       0       0       0 
;----------------------------------------------------------------------------------
: HW_BinX=      1       2       4       1       1       1       1       1     	//         
: HblackL=	0	0	0	0	0	0	0	0	//
: HblackR=	0	0	0	0	0	0	0	0	//
: VblackT=	0	0	0	0	0	0	0	0	//
: VblackB=	0	0	0	0	0	0	0	0	//
;- - - - - - - - - - - - - - - - - - - - - - - - - - - -*- - - - - - - - - - - -  
: Vskip=        0       0       0       0       0       0       0       0       // (phy line)
: VgapT=        0	0	0	0	0	0	0	0	// (bin line)
: VgapB=        0	0	0	0	0	0	0	0	// (bin line)
: HgapR=        0	0	0	0	0	0	0	0	// (bin line)
: HgapL=        0	0	0	0	0	0	0	0	// (bin line)
: VdummyB=      0       0       0       0       0       0       0       0       // (bin line)
;- - - - - - - - - - - - - - - - - - - - - - - - - - - -*- - - - - - - - - - - -  
: HW_BinY=      1       2       4       2       4       6       7       7       //         
: RD_BinY=      1       1       1       1       1       1       1       1      	//         
;----------------------------------------------------------------------------------
: Gain[0]=	0.0	0.0     0.0     0.0     0.0     0.0     0.0     0.0    	// MA
;----------------------------------------------------------------------------------
: Frequency=	96	96	96	96	96	96	96	96
: defBL=	168	168	168	168	168	168	168	168
: BusyDelay=    766     766     766     766     766     766      766     766
;

;
:ModeCnt = 24    // parser ptr
: description =*Binning 1x1 PS FR GRGB RAW 14Hz;
:ModeCnt = 25    // parser ptr
: description =*Binning 2x2 PS FR GRGB RAW 34Hz;
:ModeCnt = 26    // parser ptr
: description =*Binning 4x4 PS FR GRGB RAW 54Hz;
:ModeCnt = 27    // parser ptr
: description =*Skipping 2x2 PS FR GRGB RAW 44Hz;
:ModeCnt = 28    // parser ptr
: description =*Skipping 4x4 PS FR GRGB RAW 125Hz;
:ModeCnt = 29    // parser ptr
: description =*Skipping 6x6 PS FR GRGB RAW 218Hz;
:ModeCnt = 30    // parser ptr
: description =*Skipping 7x7 PS FR GRGB RAW 267Hz;
:ModeCnt = 31    // parser ptr
: description =*Skipping 7x7 PS FR GRGB RAW 267Hz;
;---------------------------------------------------------///////////////
:ModeCnt = 24    // parser ptr
;------ MRMODE ------------------
: VactvStart=   54	54	54	54	54	54	54	54  
: HactvStart=   16	16	16	16	16	16	16	16
: Hactive= 	2592	2592	2592	2592	2592	2592	2604	2604	// Width in pixels to binning/skipping
: Vactive= 	1944	1944	1944	1944	1944	1944	1944	1944	// Height in pixels to binning/skipping
: Htotal=	2592	1296	648	1296	648	432	372	372	// all image 	
: dwCx=         2592    1296    648     1296    648     432     372     372	// total spacial resolution
: dwCy=         1944    972     486     972     486     324     276     276     //
: dwFields=     1       1       1       1       1       1       1       1     	// number of fields to get one full frame
: dwBinX=       1       2       4       1       1       1       1       1       // Total Binning along x and y
: dwBinY=       1       2       4       1       1       1       1       1      	//          
: dwSkpX=       1       2       4       2       4       6       7       7       // Total Skeeping along x and y
: dwSkpY=       1       2       4       2       4       6       7       7      	//          
: mmMosaic=     4       4       4       4       4       4       4       4      	// Mosaic of raw data
: dwRDO=        16      16      16      16      16      16      16      16     	// Readout schema
; Noise         0	0       0       0       0       0       0       0 
;----------------------------------------------------------------------------------
: HW_BinX=      1       2       4       1       1       1       1       1     	//         
: HblackL=	0	0	0	0	0	0	0	0	//
: HblackR=	0	0	0	0	0	0	0	0	//
: VblackT=	0	0	0	0	0	0	0	0	//
: VblackB=	0	0	0	0	0	0	0	0	//
;- - - - - - - - - - - - - - - - - - - - - - - - - - - -*- - - - - - - - - - - -  
: Vskip=        0       0       0       0       0       0       0       0       // (phy line)
: VgapT=        0	0	0	0	0	0	0	0	// (bin line)
: VgapB=        0	0	0	0	0	0	0	0	// (bin line)
: HgapR=        0	0	0	0	0	0	0	0	// (bin line)
: HgapL=        0	0	0	0	0	0	0	0	// (bin line)
: VdummyB=      0       0       0       0       0       0       0       0       // (bin line)
;- - - - - - - - - - - - - - - - - - - - - - - - - - - -*- - - - - - - - - - - -  
: HW_BinY=      1       2       4       2       4       6       7       7       //         
: RD_BinY=      1       1       1       1       1       1       1       1      	//         
;----------------------------------------------------------------------------------
: Gain[0]=	0.0	0.0     0.0     0.0     0.0     0.0     0.0     0.0    	// MA
;----------------------------------------------------------------------------------
: Frequency=	96	96	96	96	96	96	96	96
: defBL=	168	168	168	168	168	168	168	168
: BusyDelay=    766     766     766     766     766     766      766     766
;
:ModeCnt = 16   // last defined mode
