;--------------------------------------------------
;--------------------------------------------------
- Version=0.3
;
;-----------------------------------------------
;       MMM_NONE = 0x000,               // B/W sensors
;       MMM_RGGB = 0x001,               // Regular RGGB readout
;       MMM_CMYG = 0x002,               // AK Sony sensors
;       MMM_RGR  = 0x003,               // 2R+G readout of RGGB sensor
;       MMM_BGGR = 0x004                // BGGR readout
;-----------------------------------------------
;       RP_PS_COLOR     0               // Progressive scan color
;       RP_PS_MONO      1               // Progressive scan mono
;       RP_IL_1LINE     2               // Interlace 1 line - each field with individual colors: lines F0:0,2,4,6...   F1:1,3,5,7...
;       RP_IL_2LINE     3               // Interlace 2 line - each field with equivalent colors: lines F0:0,1,4,5...   F1:2,3,6,7...
;+++++++++++++++++++++++++++++++++++++++++++++++
-       Sensor          = MT9V034       //
-       Mosaic          = BGGR          //
-       Fields          = 1             //
-       Hactive         = 776           // # of effective pixels
-       Vactive         = 498           // # of effective pixels
-       VactvStart      = 0          	// # Start of row redout
-	MinGap		= 2		// 
-       MinVsub         = 5.2           //
-       MaxVsub         = 15.0          //
-       MinGain         = 0          	//
-       MaxGain         = 23            //
-       kVsub           = 17.0          //
-	GainCnt		= 3		//
-       RR              = 1.31          //
-       RG              = -0.05         //
-       RB              = -0.26         //
-       GR              = -0.00         //
-       GG              = 1.31          //
-       GB              = -0.30         //
-       BR              = 0.17          //
-       BG              = -0.83         //
-       BB              = 1.66          //

;
:ModeCnt = 0    // parser ptr
: description =*Binning 1x1 PS FR GRGB 8BPP 54Hz;
:ModeCnt = 1    // parser ptr
: description =*Binning 2x2 PS FR GRGB 8BPP 110Hz;
:ModeCnt = 2    // parser ptr
: description =*Binning 4x4 PS FR GRGB 8BPP 218Hz;
:ModeCnt = 3    // parser ptr
: description =*Binning 1x1 PS FR GRGB 54Hz;
:ModeCnt = 4    // parser ptr
: description =*Binning 2x2 PS FR GRGB 110Hz;
:ModeCnt = 5    // parser ptr
: description =*Binning 4x4 PS FR GRGB 218Hz;
:ModeCnt = 6    // parser ptr
: description =*Binning 1x1 PS FR GRGB RAW 8BPP 54Hz;
:ModeCnt = 7    // parser ptr
: description =*Binning 2x2 PS FR GRGB RAW 8BPP 110Hz;
;---------------------------------------------------------///////////////
:ModeCnt = 0    // parser ptr
;------ MRMODE ------------------
: VactvStart=   4	4	4	4	4	4	4	4  
: HactvStart=   2	2	2	2	2	2	2	2
: Hactive= 	752	752	752	752	752	752	752	752	// Width in pixels to binning/skipping
: Vactive= 	480	480	480	480	480	480	480	480	// Height in pixels to binning/skipping
: Htotal=	752	376	188	752	376	188	752	376	// all image 	
: dwCx=         744     364     176     744     364     176     752     376	// total spacial resolution
: dwCy=         472     230     108     472     230     108     480     240     //
: dwFields=     1       1       1       1       1       1       1       1     	// number of fields to get one full frame
: dwBinX=       1       2       4       1       2       4       1       2       // Total Binning along x and y
: dwBinY=       1       2       4       1       2       4       1       2      	//          
: dwSkpX=       1       2       4       1       2       4       1       2       // Total Skeeping along x and y
: dwSkpY=       1       2       4       1       2       4       1       2      	//          
: mmMosaic=     1       0       0       1       0       0       1       0      	// Mosaic of raw data
: dwRDO=        40      40      40      32      32      32      24      24     	// Readout schema
; Noise         0	0       0       0       0       0       0       0 
;----------------------------------------------------------------------------------
: HW_BinX=      1       2       4       1       2       4       1       2     	//         
: HblackL=	2       2       2       2       2       2       0	0
: HblackR=	2      2      2      2      2      2      0	0
: VblackT=	2       2       2       2       2       2       0	0
: VblackB=	2       2       2       2       2       2       0	0
;- - - - - - - - - - - - - - - - - - - - - - - - - - - -*- - - - - - - - - - - -  
: Vskip=        0       0       0       0       0       0       0       0       // (phy line)
: VgapT=        2       2       2       2       2       2       0	0       // (bin line)
: VgapB=        2       2       2       2       2       2       0	0    	// (bin line)
: HgapR=        2       2       2       2       2       2       0	0     	// (bin line)
: HgapL=        2       2       2       2       2       2       0	0     	// (bin line)
: VdummyB=      0       0       0       0       0       0       0       0       // (bin line)
;- - - - - - - - - - - - - - - - - - - - - - - - - - - -*- - - - - - - - - - - -  
: HW_BinY=      1       2       4       1       2       4       1       2       //         
: RD_BinY=      1       1       1       1       1       1       1       1      	//         
;----------------------------------------------------------------------------------
: Gain[0]=	0.0	0.0     0.0     0.0     0.0     0.0     0.0     0.0    	// MA
;----------------------------------------------------------------------------------
: Frequency=	24	24	24	24	24	24	24	24
: defBL=	37	37	37	37	37	37	37	37
: BusyDelay=    1278     638     510    1278     638     510      1278     638
;

;
:ModeCnt = 8    // parser ptr
: description =*Binning 4x4 PS FR GRGB RAW 8BPP 218Hz;
:ModeCnt = 9    // parser ptr
: description =*Binning 1x1 PS FR GRGB RAW 54Hz;
:ModeCnt = 10    // parser ptr
: description =*Binning 2x2 PS FR GRGB RAW 110Hz;
:ModeCnt = 11    // parser ptr
: description =*Binning 4x4 PS FR GRGB RAW 218Hz;
:ModeCnt = 12    // parser ptr
: description =*Binning 2x2 PS FR GRGB RAW 8BPP 106Hz;
:ModeCnt = 13    // parser ptr
: description =*Binning 4x4 PS FR GRGB RAW 8BPP 212Hz;
:ModeCnt = 14    // parser ptr
: description =*Binning 1x1 PS FR GRGB RAW 53Hz;
:ModeCnt = 15    // parser ptr
: description =*Binning 2x2 PS FR GRGB RAW 106Hz;
;---------------------------------------------------------///////////////
:ModeCnt = 8    // parser ptr
;------ MRMODE ------------------
: VactvStart=   4	4	4	4	14	14	14	14  
: HactvStart=   2	2	2	2	10	10	10	10
: Hactive= 	752	752	752	752	752	752	752	752	// Width in pixels to binning/skipping
: Vactive= 	480	480	480	480	494	494	494	494	// Height in pixels to binning/skipping
: Htotal=	188	752	376	188	376	202	752	376	// all image 	
: dwCx=         188     752     376     188     376     188     752     376	// total spacial resolution
: dwCy=         120     480     240     120     240     120     480     240     //
: dwFields=     1       1       1       1       1       1       1       1     	// number of fields to get one full frame
: dwBinX=       4       1       2       4       2       4       1       2       // Total Binning along x and y
: dwBinY=       4       1       2       4       2       4       1       2      	//          
: dwSkpX=       4       1       2       4       2       4       1       2       // Total Skeeping along x and y
: dwSkpY=       4       1       2       4       2       4       1       2      	//          
: mmMosaic=     0       1       0       0       0       0       0       0      	// Mosaic of raw data
: dwRDO=        24      16      16      16      0       0       0       0      	// Readout schema
; Noise         0	0       0       0       0       0       0       0 
;----------------------------------------------------------------------------------
: HW_BinX=      4       1       2       4       2       4       1       2     	//         
: HblackL=	0	0	0	0	0	0	0	0	//
: HblackR=	0	0	0	0	0	0	0	0	//
: VblackT=	0	0	0	0	0	0	0	0	//
: VblackB=	0	0	0	0	0	0	0	0	//
;- - - - - - - - - - - - - - - - - - - - - - - - - - - -*- - - - - - - - - - - -  
: Vskip=        0       0       0       0       0       0       0       0       // (phy line)
: VgapT=        0	0	0	0	0	0	0	0	// (bin line)
: VgapB=        0	0	0	0	0	0	0	0	// (bin line)
: HgapR=        0	0	0	0	0	0	0	0	// (bin line)
: HgapL=        0	0	0	0	0	0	0	0	// (bin line)
: VdummyB=      0       0       0       0       0       0       0       0       // (bin line)
;- - - - - - - - - - - - - - - - - - - - - - - - - - - -*- - - - - - - - - - - -  
: HW_BinY=      4       1       2       4       2       4       1       2       //         
: RD_BinY=      1       1       1       1       1       1       1       1      	//         
;----------------------------------------------------------------------------------
: Gain[0]=	0.0	0.0     0.0     0.0     0.0     0.0     0.0     0.0    	// MA
;----------------------------------------------------------------------------------
: Frequency=	24	24	24	24	24	24	24	24
: defBL=	37	37	37	37	37	37	37	37
: BusyDelay=    510    1278     638     510      1278     638     1278     638
;
:ModeCnt = 6   // last defined mode
