;--------------------------------------------------
;--------------------------------------------------
;
:	TADJ_H =-0.0		;tA-tH, H = tH + TADJ_H		hot, housing
:	TADJ_C =-0.0		;tA-tC, C = tC + TADJ_C		cold, CCD
:	TADJ_N =-0.0		;tA-tN, N = tN + TADJ_N		NTC (optional)
:	TADJ_K = 2.73		;tCCD = H + (C-H)*TADJ_K
:	TADJ_T = 35		; Time constant (x0.7, sec)
:	TADJ_G = 4.0		; Cooling gain 
:	PTBL_V =  0     50    100     150    200    250
:	PTBL_T = -2.3   -2.0  5.9     11.9   16.1   19.1
:	PTD000 = 00.0		; Platinum RTD temp (pCam->CS.NTCV = 0)
:	PTD255 = 52.0		; Platinum RTD temp (pCam->CS.NTCV = 255)
;
;
;-----------------------------------------------
;	MMM_NONE = 0x000,		// B/W sensors
;	MMM_RGGB = 0x001,		// Regular RGGB readout
;	MMM_CMYG = 0x002,		// AK Sony sensors
;	MMM_RGR  = 0x003,		// 2R+G readout of RGGB sensor
;	MMM_BGGR = 0x004		// BGGR readout
;-----------------------------------------------
;	RP_PS_COLOR	0		// Progressive scan color
;	RP_PS_MONO	1		// Progressive scan mono
;	RP_IL_1LINE	2		// Interlace 1 line - each field with individual colors: lines F0:0,2,4,6...   F1:1,3,5,7...
;	RP_IL_2LINE	3		// Interlace 2 line - each field with equivalent colors: lines F0:0,1,4,5...   F1:2,3,6,7...
;+++++++++++++++++++++++++++++++++++++++++++++++
; HW_Aux:
;	HWA_HS	 1			// H-Freq	
;	HWA_CB	 2			// Color bin	
;	HWA_SKIP 4			// skip /bin
;	HWA_HW6  8			// skip /bin
;+++++++++++++++++++++++++++++++++++++++++++++++
-	Sensor		= KAI11002CM	//
-	Mosaic		= RGGB		//
-	Fields		= 1		//
-       Hactive         = 4032          //
-       Vactive         = 2688          //
-	MinGap		= 2		// 
-	MinVsub		= 5.2		//
-	MaxVsub		= 15.0		//
-	MinGain		= 3.05		//
-	MaxGain		= 47.3		//
-	tHousingMax	= 35		//	
-	tChipMin	= 10		//
-	AFE		= 29970		//				
-	kVsub		= 17.0		//
-	CTM		= 125e-6	// timer count
-	NCR		= 1		// shutter mode, 0:multi, 1:single, ...
;----------------------------------------	
;
;=== AFE ====
;
:       HCLKMODE = 0x80                 // mode 3, IOVDD = 1V8
:       HBLKMASK = 0x1	                // H1, H2, HL
:       HL_HBLKE = 0x8                  // 8 : Enable HBLK for HL output, 0 : disable
:       PX0pos   = 2                    // AFE Delay
:       LVDel    = 1                    // LVCLK Rising Edge Delay
:       DOutPhase = 32 0 4              //
;
;HS-Timing 
: HScnt=0       // HS
:       HS      = 1                     // 49.152 MHz
:       H1LOC   =  4 36  1              // pos, neg, polarity
:       H2LOC   =  4 36  1              // pos, neg, polarity
:       HLLOC   =  4 36  1              // pos, neg, polarity
:       RGLOC   =  4 20  1              // pos, neg, polarity,	T > 14 Clk
:       SHLOC   = 16 48  8              // SHD,SHP,SHPW
:       HDS = 7 7 4 4 4 5               // Drive Strength : H1,H2,H3,H4,HL,RG
: HScnt=1       // Normal
:       HS      = 0                     // 24.576 MHz
:       H1LOC   =  4 36  1              // pos, neg, polarity
:       H2LOC   =  4 36  1              // pos, neg, polarity
:       HLLOC   =  4 36  1              // pos, neg, polarity
:       RGLOC   =  4 16  1              // pos, neg, polarity,	T > 8 Clk
:       SHLOC   =  4 42  8              // SHD,SHP,SHPW
:       HDS = 4 4 3 3 2 3               // Drive Strength : H1,H2,H3,H4,HL,RG
: HScnt=2
;
;#0 : HS 
:       AFldCnt = 0                     // Field
:       SCP     = 0                     //
:       SEL     = 0                     //
:       PBM     = 0 1                   //
:	HSyn0	= 36			// Syn(Hshift=0, Hbin=1, ln[Horg]=Pix1)
;:	HSyn0	= 14			// Pix[0] : 4D,20B,Active[..] (AFE[0] <> Pix[0])
;----------------------------------------       
:       APatCnt = 0                     // HPAT Registers
:	HTO	= 4080	0		// HBLK_TOG 0..5, odd lines
:	HTE	= 4080	0		// HBLK_TOG 0..5,even lines
:	CT	= 6	20		// CLP_OB 
:	PT	= 0	4079		// PBLK
;
;#1 Normal 
:       AFldCnt = 1                     // Field
:       SCP     = 0                     // SCP      0..8
:       SEL     = 1                     // HPAT_SEL 0..8
:       PBM     = 0 1                   // PBLK_MASKSTART/END 1..3
:	HSyn0	= 36			// Pix[0] = Active[1]; (BGGR >> RGGB)
;:	HSyn0	= 14			// Pix[0] : 4D,20B,Active[..] (AFE[0] <> Pix[0])
;----------------------------------------       
:       APatCnt = 1                     // HPAT Registers
:	HTO	= 4080	0		// HBLK_TOG 0..5, odd lines
:	HTE	= 4080	0		// HBLK_TOG 0..5,even lines
:	CT	= 6	20		// CLP_OB 
:	PT	= 0	4079		// PBLK
;
;
;

:ModeCnt = 0	// parser ptr
: description = Binning 1x1 PS 1.9Hz;
:ModeCnt = 1
: description = Binning 2x2 PS 3.7Hz;
:ModeCnt = 2
: description = Binning 3x3 PS 5.3Hz;
:ModeCnt = 3
: description = Binning 4x4 PS 6.7Hz;
:ModeCnt = 4
: description = Binning 1x1 PS8  high speed 3.6Hz;
:ModeCnt = 5
: description = Binning 2x2 PS high speed 7.6Hz;
:ModeCnt = 6
: description = Binning 3x3 PS high speed 10.5Hz;
:ModeCnt = 7
: description = Binning 4x4 PS 12.1Hz;
;;---------------------------------------------------------

:ModeCnt = 0    // parser ptr
;------ MRMODE ------------------
: dwCx=         4032    2016    1344    1008    4032    2016    1344    1008    // total spacial resolution
: dwCy=         2688    1344    896     672     2688    1344    896     672     //
: minCy=        32      32      32      32      32      32      32      32      //     
: dwFields=     1       1       1       1       1       1       1       1       // number of fields to get one full frame
: dwBinX=       1       2       3       4       1       2       3       4       // Total Binning along x and y
: dwBinY=       1       2       3       4       1       2       3       4       //         
: mmMosaic=     0       0       0       0       0       0       0       0       // Mosaic of raw data
: dwRDO=        1       1       1       1       1       1       1       1       // Readout schema
: RP_offs=      22e-6   22e-6   22e-6   22e-6   22e-6   22e-6   22e-6   22e-6   // Readout pulse offset
: TG_Freq=      12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 // TG freq
;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
: HSSEL=        1       1       1       1       0       0       0       0       // AFE HS timing #
: HW_BinX=      1       2       3       4       1       2       3       4       //        
: Hshift =      0       0       0       0       0       0       0       0       //
: HblackL=      6       6       6       4       6       6       6       4       //
: HgapL=	2       2       2       2       2       2       2       2       //
;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
: FSEL=         1       1       1       1       0       0       0       0       // AFE timing #
: Vskip=        16      16      16      16      16      16      16      16      // (phy line)
: VgapT=        0       0       0       0       0       0       0       0       // (bin line)
: VgapB=        0       0       0       0       0       0       0       0       // (bin line)
: VdummyB=      0       0       0       0       0       0       0       0       // (bin line)
;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
: HW_BinY=      1       2       3       4       1       2       3       4       //        
: RD_BinY=      1       1       1       1       1       1       1       1       //        
: RP0=          RP1     RP1     RP1     RP1     RP1     RP1     RP1     RP1     // RP0 timing name
: RP1=          RP1     RP1     RP1     RP1     RP1     RP1     RP1     RP1     // 
: RPF=          RP1     RP1     RP1     RP1     RP1     RP1     RP1     RP1     // 
: RD=           RD1     RD2     RD3     RD4     RD1H8   RD2H    RD3H    RD4H    //
: HSWP=         HSWP    HSWP    HSWP    HSWP    HSWP    HSWP    HSWP    HSWP    //
;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
: Vsub[0]=      12.5    14.0    14.0    14.0    12.5    14.0    14.0    14.0    //
: Gain[0]=      11.0    11.0    11.0    11.0    12.8    12.8    12.8    12.5    // db
: Clamp[0]=     512     512     512     512     512     512     512     512     //
: MULT[0]=      65536   32768   21845   16384   65536   32768   21845   16384   // G-multiplier
;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
: Dac0=         160     160     160     160     160     160     160     160     // OGL = -2.36v + 1.82*Dac0/255.
: Dac1=         160     160     160     160     160     160     160     160     // OGR	DAC(0) = -2.36v, DAC(255)=-0.54v
;------ DSP - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
: dsp.LBO=      2       2       2       2       2       2       2       2       // Left black offs     
: dsp.LBN=      4       4       4       2       4       4       4       2       // Left black cnt      
: dsp.QTH=      500.    500.    500.    500.    500.    500.    500.    500.    // Hot pixel threshold
: dsp.black_src=1.      1.      1.      1.      1.      1.      1.      1.      // BL*black_src     + BR*(1-black_src)
: dsp.black_mux=0.      0.      0.      0.      0.      0.      0.      0.      // Vblack*black_mux + bl_src*(1-black_mux)
;
:ModeCnt = 8	// parser ptr
: description = S1_S1   1x1  PS_C14  1.9Hz;
:ModeCnt = 9
: description = S2_B2   2x2  PS_C14  4.1Hz;
:ModeCnt =10
: description = B3_B3   3x3  PS_C14  5.3Hz;
:ModeCnt =11
: description = S2B2_B4 4x4  PS_C14  7.5Hz;
:ModeCnt =12
: description = S1_S1   1x1 HPS_C12  2.1Hz;
:ModeCnt =13
: description = S1_S1   1x1 HPS_C8   3.6Hz;
:ModeCnt =14
: description = S2_B2   2x2 HPS_C14  7.6Hz;
:ModeCnt =15
: description = B3_B3   3x3 HPS_C14 10.5Hz;
;;---------------------------------------------------------
:ModeCnt = 8    // parser ptr
;------ MRMODE ------------------
: dwCx=         4032    2016    1344    1008    4032    4032    2016    1344    // total spacial resolution
: dwCy=         2688    1344    896     672     2688    2688    1344    896     //
: minCy=        32      32      32      32      32      32      32      32      //     
: dwFields=     1       1       1       1       1       1       1       1       // number of fields to get one full frame
: dwBinX=       1       2       3       4       1       1       2       3       // Total Binning along x and y
: dwBinY=       1       2       3       4       1       1       2       3       //         
: mmMosaic=     1       1       3       1       1       1       1       3       // Mosaic of raw data
: dwRDO=        0       0       0       0       0       0       0       0       // Readout schema
: RP_offs=      22e-6   22e-6   22e-6   22e-6   22e-6   22e-6   22e-6   22e-6   // Readout pulse offset
: TG_Freq=      12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 // TG freq
;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
: HSSEL=        1       1       1       1       0       0       0       0       // AFE HS timing #
: HW_BinX=      1       2       3       4       1       1       2       3       //        
: Hshift =      1       1       1       1       1       1       1       1       //
: HblackL=      6       6       6       4       6       6       6       6       //
: HgapL=	2       2       2       2       2       2       2       2       //
;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
: FSEL=         1       1       1       1       0       0       0       0       // AFE timing #
: Vskip=        16      16      16      16      16      16      16      16      // (phy line)
: VgapT=        0       0       0       0       0       0       0       0       // (bin line)
: VgapB=        0       0       0       0       0       0       0       0       // (bin line)
: VdummyB=      0       0       0       0       0       0       0       0       // (bin line)
;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
: HW_BinY=      1       2       3       4       1       1       2       3       //        
: RD_BinY=      1       1       1       1       1       1       1       1       //        
: RP0=          RP1     RP1     RP1     RP1     RP1     RP1     RP1     RP1     // RP0 timing name
: RP1=          RP1     RP1     RP1     RP1     RP1     RP1     RP1     RP1     // 
: RPF=          RP1     RP1     RP1     RP1     RP1     RP1     RP1     RP1     // 
: RD=           RD1     RD2S    RD3     RD4SB   RD1     RD1H8   RD2SH   RD3H    //
: HSWP=         HSWP    HSWP    HSWP    HSWP    HSWP    HSWP    HSWP    HSWP    //
;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
: Vsub[0]=      12.5    14.0    14.0    14.0    12.5    12.5    14.0    14.0    //
: Gain[0]=      11.0    11.0    11.0    11.0    12.8    12.8    12.8    12.8    // db
: Clamp[0]=     512     512     512     512     512     512     512     512     //
: MULT[0]=      65536   32768   21845   16384   65536   65536   32768   21845   // G-multiplier
: HW_Aux=	0       0       0       0       0       0       0       0       //
;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
: Dac0=         160     160     160     160     160     160     160     160     // OGL = -2.36v + 1.82*Dac0/255.
: Dac1=         160     160     160     160     160     160     160     160     // OGR	DAC(0) = -2.36v, DAC(255)=-0.54v
;------ DSP - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
: dsp.LBO=      2       2       2       2       2       2       2       2       // Left black offs     
: dsp.LBN=      4       4       4       2       4       4       4       4       // Left black cnt      
: dsp.QTH=      500.    500.    500.    500.    500.    500.    500.    500.    // Hot pixel threshold
: dsp.black_src=1.      1.      1.      1.      1.      1.      1.      1.      // BL*black_src     + BR*(1-black_src)
: dsp.black_mux=0.      0.      0.      0.      0.      0.      0.      0.      // Vblack*black_mux + bl_src*(1-black_mux)
;
:ModeCnt =16	// parser ptr
: description = S2_S2   2x2  PS_C14  4.1Hz;
:ModeCnt =17
: description = S3_B3   3x3  PS_C14  5.9Hz;
:ModeCnt =18
: description = S3_S3M  3x3  PS_C14  5.9Hz;
:ModeCnt =19
: description = S1B2_B3 3x3  PS_C14  5.9Hz;
:ModeCnt =20
: description = S1B2_S3M 3x3 PS_C14  5.9Hz;
:ModeCnt =21
: description = S2B2_S4 4x4  PS_C14  7.5Hz;
:ModeCnt =22
: description = S1B2_B3 3x3  HPS_C14 10.5Hz;
:ModeCnt =23
: description = S1B2_S3M 3x3 HPS_C14 10.5Hz;
;;---------------------------------------------------------
:ModeCnt =16    // parser ptr
;------ MRMODE ------------------
: dwCx=         2016    1344    1344    1344    1344    1008    1344    1344    // total spacial resolution
: dwCy=         1344    896     896     896     896     672     896     896     //
: minCy=        32      32      32      32      32      32      32      32      //     
: dwFields=     1       1       1       1       1       1       1       1       // number of fields to get one full frame
: dwBinX=       2       3       3       3       3       4       3       3       // Total Binning along x and y
: dwBinY=       2       3       3       3       3       4       3       3       //         
: mmMosaic=     1       1       1       1       1       1       1       1       // Mosaic of raw data
: dwRDO=        0       0       0       0       0       0       0       0       // Readout schema
: RP_offs=      22e-6   22e-6   22e-6   22e-6   22e-6   22e-6   22e-6   22e-6   // Readout pulse offset
: TG_Freq=      12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 // TG freq
;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
: HSSEL=        1       1       1       1       1       1       0       0       // AFE HS timing #
: HW_BinX=      2       3       3       3       3       4       3       3       //        
: Hshift =      1       1       1       1       1       1       1       1       //
: HblackL=      6       6       6       6       6       4       6       6       //
: HgapL=	2       2       2       2       2       2       2       2       //
;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
: FSEL=         1       1       1       1       1       1       0       0       // AFE timing #
: Vskip=        16      16      16      16      16      16      16      16      // (phy line)
: VgapT=        0       0       0       0       0       0       0       0       // (bin line)
: VgapB=        0       0       0       0       0       0       0       0       // (bin line)
: VdummyB=      0       0       0       0       0       0       0       0       // (bin line)
;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
: HW_BinY=      2       3       3       3       3       4       3       3       //        
: RD_BinY=      1       1       1       1       1       1       1       1       //        
: RP0=          RP1     RP1     RP1     RP1     RP1     RP1     RP1     RP1     // RP0 timing name
: RP1=          RP1     RP1     RP1     RP1     RP1     RP1     RP1     RP1     // 
: RPF=          RP1     RP1     RP1     RP1     RP1     RP1     RP1     RP1     // 
: RD=           RD2S    RD3S    RD3S    RD3SB   RD3SB   RD4SB   RD3HSB  RD3HSB  //
: HSWP=         HSWP    HSWP    HSWP    HSWP    HSWP    HSWP    HSWP    HSWP    //
;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
: Vsub[0]=      14.0    14.0    14.0    14.0    14.0    14.0    14.0    14.0    //
: Gain[0]=      11.0    11.0    11.0    11.0    11.0    11.0    12.8    12.8    // db
: Clamp[0]=     512     512     512     512     512     512     512     512     //
: MULT[0]=      65536   21845   65536   21845   65536   65536   21845   65536   // G-multiplier
: HW_Aux=	6       0       4       0       4       6       0       4       //
;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
: Dac0=         160     160     160     160     160     160     160     160     // OGL = -2.36v + 1.82*Dac0/255.
: Dac1=         160     160     160     160     160     160     160     160     // OGR	DAC(0) = -2.36v, DAC(255)=-0.54v
;------ DSP - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
: dsp.LBO=      2       2       2       2       2       2       2       2       // Left black offs     
: dsp.LBN=      4       4       4       4       4       2       4       4       // Left black cnt      
: dsp.QTH=      500.    500.    500.    500.    500.    500.    500.    500.    // Hot pixel threshold
: dsp.black_src=1.      1.      1.      1.      1.      1.      1.      1.      // BL*black_src     + BR*(1-black_src)
: dsp.black_mux=0.      0.      0.      0.      0.      0.      0.      0.      // Vblack*black_mux + bl_src*(1-black_mux)
;
:ModeCnt =24    // last defined mode;--------
;--------

;--------------------------------------------------
/H1US 2 12
.0700B FFFFF
/RD2 24 2428
.03002 11003 3800D 0A01A 0301B 30025 38028 3B030
.0A031 11048 03049 3805A 0305E 1105F 0A076 33077
.0308C 0A08D 110A4 030A5 060A6 060A9 0797B FFFFF
/RP1 30 2336
.3D00D 0400E 1100F 03013 0A026 33027 38028 3802F
.0303C 0A03D 11054 03055 3805A 30075 11320 0A321
.2849C 28514 0A5DB 115DC 118BE 0A8BF 0A902 11903
.06906 04907 05908 06909 0791F FFFFF
/H10US 8 123
.38001 30022 38023 3802A 3804E 30064 0707A FFFFF
/SWP1 16 591
.03002 11003 04004 3D00D 0A01A 0301B 30025 38028
.3B030 0A031 11048 03049 3D05A 34075 0724E FFFFF
/SWP2 24 1201
.03002 11003 04005 3D00D 0A01A 0301B 30025 38028
.3B030 0A031 11048 03049 3805A 0305E 1105F 0A076
.33077 0308C 0A08D 110A4 030A5 040AA 050AB 074B0
/RD1H8 16 1261
.3B00D 1100E 0A025 33026 38028 3802F 0303B 0A03C
.11053 03054 3805A 30075 060C5 060C8 074EC FFFFF
/HSWP 8 2341
.0600A 3E00D 36025 3E028 3802F 3805A 30075 07924
/RD2H 24 1184
.03002 11003 3800D 0A01A 0301B 30025 38028 3B030
.0A031 11048 03049 3805A 0305E 1105F 0A076 33077
.0308C 0A08D 110A4 030A5 060A6 060A9 0749F FFFFF
/RD3 32 2531
.03002 11003 3800D 0A01A 0301B 30025 38028 3B030
.0A031 11048 03049 3805A 0305E 1105F 0A076 33077
.0308C 0A08D 110A4 030A5 030BA 110BB 0A0D2 030D3
.030E8 0A0E9 11100 03101 06102 06105 079E2 FFFFF
/RD3H 32 1282
.03002 11003 3800D 0A01A 0301B 30025 38028 3B030
.0A031 11048 03049 3805A 0305E 1105F 0A076 33077
.0308C 0A08D 110A4 030A5 030BA 110BB 0A0D2 030D3
.030E8 0A0E9 11100 03101 06102 06105 07501 FFFFF
/RD1 16 2369
.3B00D 1100E 0A025 33026 38028 3802F 0303B 0A03C
.11053 03054 3805A 30075 0607E 06081 07940 FFFFF
/RD4 40 2632
.03002 11003 3800D 0A01A 0301B 30025 38028 3B030
.0A031 11048 03049 3805A 0305E 1105F 0A076 33077
.0308C 0A08D 110A4 030A5 030BA 110BB 0A0D2 030D3
.030E8 0A0E9 11100 03101 03116 11117 0A12E 0312F
.03144 0A145 1115C 0315D 0615E 06161 07A47 FFFFF
/RD2SH 26 1184
.03002 11003 3C00D 0A01A 0301B 30025 38028 3B030
.0A031 11048 03049 04050 3D05A 0305E 1105F 0A076
.33077 0308C 0A08D 110A4 030A5 060A6 050A7 060A9
.0749F FFFFF
/RD4SB 46 2393
.03002 11003 3C00D 0A01A 0301B 30025 38028 3B030
.0A031 11048 03049 04050 3D05A 0305E 1105F 0A076
.33077 0308C 0A08D 110A4 030A5 050AA 040B4 030BA
.110BB 0A0D2 030D3 030E8 0A0E9 11100 03101 04109
.0510E 03116 11117 0A12E 0312F 03144 0A145 1115C
.0315D 0615E 05160 06161 07958 FFFFF
/RD2S 26 2208
.03002 11003 3C00D 0A01A 0301B 30025 38028 3B030
.0A031 11048 03049 04050 3D05A 0305E 1105F 0A076
.33077 0308C 0A08D 110A4 030A5 060A6 050A7 060A9
.0789F FFFFF
/RD3S 34 2301
.03002 11003 04004 3D00D 0A01A 0301B 30025 38028
.3B030 0A031 11048 03049 3805A 0305E 1105F 0A076
.33077 0308C 0A08D 110A4 030A5 040A7 050A8 030BA
.110BB 0A0D2 030D3 030E8 0A0E9 11100 03101 06102
.06105 078FC
/RD3SB 34 2301
.03002 11003 3800D 0A01A 0301B 30025 38028 3B030
.0A031 11048 03049 3C05A 0505B 0305E 1105F 0A076
.33077 0308C 0A08D 110A4 030A5 040AA 050AB 030BA
.110BB 0A0D2 030D3 030E8 0A0E9 11100 03101 06102
.06105 078FC
/RD3HSB 34 1282
.03002 11003 3800D 0A01A 0301B 30025 38028 3B030
.0A031 11048 03049 3C05A 0505B 0305E 1105F 0A076
.33077 0308C 0A08D 110A4 030A5 040AA 050AB 030BA
.110BB 0A0D2 030D3 030E8 0A0E9 11100 03101 06102
.06105 07501
/RD4H 40 1484
.03002 11003 3800D 0A01A 0301B 30025 38028 3B030
.0A031 11048 03049 3805A 0305E 1105F 0A076 33077
.0308C 0A08D 110A4 030A5 030BA 110BB 0A0D2 030D3
.030E8 0A0E9 11100 03101 03116 11117 0A12E 0312F
.03144 0A145 1115C 0315D 0615E 06161 075CB FFFFF
;WF RAM : 512 (100%)
