;--------------------------------------------------
;--------------------------------------------------
;
:	TADJ_H =-0.0		;tA-tH, H = tH + TADJ_H		hot, housing
:	TADJ_C =-0.0		;tA-tC, C = tC + TADJ_C		cold, CCD
:	TADJ_N =-0.0		;tA-tN, N = tN + TADJ_N		NTC (optional)
:	TADJ_K = 2.73		;tCCD = H + (C-H)*TADJ_K
:	TADJ_T = 35		; Time constant (x0.7, sec)
:	TADJ_G = 4.0		; Cooling gain 
:	PTBL_V =  0     50    100     150    200    250
:	PTBL_T = -0.7   4.3   15.1    23.4   29.7   33.9
:	PTD000 = 00.0		; Platinum RTD temp (pCam->CS.NTCV = 0)
:	PTD255 = 52.0		; Platinum RTD temp (pCam->CS.NTCV = 255)
;
;
;-----------------------------------------------
;	MMM_NONE = 0x000,		// B/W sensors
;	MMM_RGGB = 0x001,		// Regular RGGB readout
;	MMM_CMYG = 0x002,		// AK Sony sensors
;	MMM_RGR  = 0x003,		// 2R+G readout of RGGB sensor
;	MMM_BGGR = 0x004		// BGGR readout
;-----------------------------------------------
;	RP_PS_COLOR	0		// Progressive scan color
;	RP_PS_MONO	1		// Progressive scan mono
;	RP_IL_1LINE	2		// Interlace 1 line - each field with individual colors: lines F0:0,2,4,6...   F1:1,3,5,7...
;	RP_IL_2LINE	3		// Interlace 2 line - each field with equivalent colors: lines F0:0,1,4,5...   F1:2,3,6,7...
;+++++++++++++++++++++++++++++++++++++++++++++++
; HW_Aux:
;	HWA_HS	 1			// H-Freq	
;	HWA_CB	 2			// Color bin	
;	HWA_SKIP 4			// skip /bin
;	HWA_HW6  8			// fast dump en
;+++++++++++++++++++++++++++++++++++++++++++++++
-	Sensor		= KAI16000CM	//
-	Mosaic		= RGGB		//
-	Fields		= 1		//
-       Hactive         = 4904          //
-       Vactive         = 3280          //
-	MinGap		= 2		// 
-	MinVsub		= 5.2		//
-	MaxVsub		= 15.0		//
-	MinGain		= 3.05		//
-	MaxGain		= 47.3		//
-	AFE		= 29970		//				
-	kVsub		= 17.0		//
-	CTM		= 125e-6	// timer count
-	NCR		= 0		// shutter mode, 0:multi, 1:single, ...
;----------------------------------------	
;
;=== AFE ====
;
:       HCLKMODE = 0x80                 // mode 3, IOVDD = 1V8
:       HBLKMASK = 0x1	                // H1, H2, HL
:       HL_HBLKE = 0x0                  // 8 : Enable HBLK for HL output, 0 : disable
:       PX0pos   = 2                    // AFE Delay
:       LVDel    = 1                    // LVCLK Rising Edge Delay
:       DOutPhase = 32 0 4              //
;
;HS-Timing 
: HScnt=0       // HS
:       HS      = 1                     // 49.152 MHz
:       H1LOC   =  0  30  0              // pos, neg, polarity
:       H2LOC   =  0  31  0              // pos, neg, polarity
:       HLLOC   =  4  32  1              // pos, neg, polarity
:       RGLOC   =  0  14  1              // pos, neg, polarity,	T > 14 Clk
:       SHLOC   =  10 46  8              // SHD,SHP,SHPW
:       HDS = 7 7 7 7 5 5               // Drive Strength : H1,H2,H3,H4,HL,RG
: HScnt=1       // Normal
:       HS      = 0                     // 24.576 MHz
:       H1LOC   =  0 32  0              // pos, neg, polarity
:       H2LOC   =  0 32  0              // pos, neg, polarity
:       HLLOC   =  8 36  1              // pos, neg, polarity
:       RGLOC   =  0 10  1              // pos, neg, polarity,	T > 8 Clk
:       SHLOC   =  4 34  8              // SHD,SHP,SHPW
:       HDS = 5 5 4 4 3 5               // Drive Strength : H1,H2,H3,H4,HL,RG
: HScnt=2
;
;#0 : HS 
:       AFldCnt = 0                     // Field
:       SCP     = 0                     //
:       SEL     = 0                     //
:       PBM     = 0 1                   //
:	HSyn0	= 53			// Syn(Hshift=0, Hbin=1, ln[Horg]=Pix1)
;:	HSyn0	= 14			// Pix[0] : 13D,28B,Active[..] (AFE[0] <> Pix[0])
;----------------------------------------       
:       APatCnt = 0                     // HPAT Registers
:	HTO	= 4972	0		// HBLK_TOG 0..5, odd lines
:	HTE	= 4972	0		// HBLK_TOG 0..5,even lines
:	CT	= 16	37		// CLP_OB 
:	PT	= 2	4970		// PBLK
;
;#1 Normal 
:       AFldCnt = 1                     // Field
:       SCP     = 0                     // SCP      0..8
:       SEL     = 1                     // HPAT_SEL 0..8
:       PBM     = 0 1                   // PBLK_MASKSTART/END 1..3
:	HSyn0	= 53			// Pix[0] = Active[1]; (BGGR >> RGGB)
;:	HSyn0	= 14			// Pix[0] : 4D,20B,Active[..] (AFE[0] <> Pix[0])
;----------------------------------------       
:       APatCnt = 1                     // HPAT Registers
:	HTO	= 4972	0		// HBLK_TOG 0..5, odd lines
:	HTE	= 4972	0		// HBLK_TOG 0..5,even lines
:	CT	= 16	37		// CLP_OB 0..12 | 13..40 | 41..4944 | ...
:	PT	= 2	4970		// PBLK
;
;
;

:ModeCnt = 0	// parser ptr
: description = Binning 1x1 PS 1.2Hz;
:ModeCnt = 1
: description = Binning 2x2 PS 2.4Hz;
:ModeCnt = 2
: description = Binning 3x3 PS 3.4Hz;
:ModeCnt = 3
: description = Binning 4x4 PS 4.4Hz;
:ModeCnt = 4
: description = Binning 1x1 PS8 high speed 2.5Hz;
:ModeCnt = 5
: description = Binning 2x2 PS high speed 4.9Hz;
:ModeCnt = 6
: description = Binning 3x3 PS high speed 6.15Hz;
:ModeCnt = 7
: description = Binning 4x4 PS high speed 6.15Hz;
;;---------------------------------------------------------

:ModeCnt = 0    // parser ptr
;------ MRMODE ------------------
: dwCx=         4904    2452    1632    1226    4904    2452    1632    1226    // total spacial resolution
: dwCy=         3280    1640    1092    820     3280    1640    1092    820     //
: minCy=        32      32      32      32      32      32      32      32      //     
: dwFields=     1       1       1       1       1       1       1       1       // number of fields to get one full frame
: dwBinX=       1       2       3       4       1       2       3       4       // Total Binning along x and y
: dwBinY=       1       2       3       4       1       2       3       4       //         
: mmMosaic=     0       0       0       0       0       0       0       0       // Mosaic of raw data
: dwRDO=        1       1       1       1       1       1       1       1       // Readout schema
: RP_offs=      38e-6   38e-6   38e-6   38e-6   38e-6   38e-6   38e-6   38e-6   // Readout pulse offset
: TG_Freq=      12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 // TG freq
;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
: HSSEL=        1       1       1       1       0       0       0       0       // AFE HS timing #
: HW_BinX=      1       2       3       4       1       2       3       4       //        
: Hshift =      0       0       0       0       0       0       0       0       //
: HblackL=      6       6       6       6       6       6       6       6       //
: HgapL=	2       2       2       2       2       2       2       2       //
;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
: FSEL=         1       1       1       1       0       0       0       0       // AFE timing #
: Vskip=        40      40      40      40      40      40      40      40      // (phy line)
: VgapT=        0       0       0       0       0       0       0       0       // (bin line)
: VgapB=        0       0       0       0       0       0       0       0       // (bin line)
;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
: HW_BinY=      1       2       3       4       1       2       3       4       //        
: RD_BinY=      1       1       1       1       1       1       1       1       //        
: RP0=          RP1     RP1     RP1     RP1     RP1     RP1     RP1     RP1     // RP0 timing name
: RP1=          RP1     RP1     RP1     RP1     RP1     RP1     RP1     RP1     // 
: RPF=          RP1     RP1     RP1     RP1     RP1     RP1     RP1     RP1     // 
: RD=           RD1     RD2     RD3     RD4     RD1H8   RD2H    RD3H    RD4     //
: HSWP=         HSWP    HSWP    HSWP    HSWP    HSWP    HSWP    HSWP    HSWP    //
;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
: Vsub[0]=      10.2    12.0    14.0    14.0    10.2    12.0    14.0    14.0    //
: Gain[0]=      6.0     6.0     6.0     6.0     7.2     8.0     8.0     8.0     // db
: Clamp[0]=     512     512     512     512     512     512     512     512     //
: MULT[0]=      65536   32768   21845   16384   65536   32768   21845   16384   // G-multiplier
;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
: Dac0=         160     160     160     160     160     160     160     160     // OGL = -2.36v + 1.82*Dac0/255.
: Dac1=         160     160     160     160     160     160     160     160     // OGR	DAC(0) = -2.36v, DAC(255)=-0.54v
;------ DSP - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
: dsp.LBO=      2       2       2       2       2       2       2       2       // Left black offs     
: dsp.LBN=      4       4       4       2       4       4       4       4       // Left black cnt      
: dsp.QTH=      500.    500.    500.    500.    500.    500.    500.    500.    // Hot pixel threshold
: dsp.black_src=1.      1.      1.      1.      1.      1.      1.      1.      // BL*black_src     + BR*(1-black_src)
: dsp.black_mux=0.      0.      0.      0.      0.      0.      0.      0.      // Vblack*black_mux + bl_src*(1-black_mux)
;
:ModeCnt = 8	// parser ptr
: description = S1_S1   1x1  PS_C14  1.2Hz;
:ModeCnt = 9
: description = S2_B2   2x2  PS_C14  2.7Hz;
:ModeCnt =10
: description = B3_B3   3x3  PS_C14  3.8Hz;
:ModeCnt =11
: description = S2B2_B4 4x4  PS_C14  4.9Hz;
:ModeCnt =12
: description = S1_S1   1x1 HPS_C8   2.5Hz;
:ModeCnt =13
: description = S2_B2   2x2 HPS_C14  4.9Hz;
:ModeCnt =14
: description = B3_B3   3x3 HPS_C14 6.15Hz;
:ModeCnt =15
: description = B4_B4   4x4 HPS_C14 6.15Hz;
;;---------------------------------------------------------
:ModeCnt = 8    // parser ptr
;------ MRMODE ------------------
: dwCx=         4904    2452    1632    1226    4904    2452    1632    1226    // total spacial resolution
: dwCy=         3280    1640    1092    820     3280    1640    1092    820     //
: minCy=        32      32      32      32      32      32      32      32      //     
: dwFields=     1       1       1       1       1       1       1       1       // number of fields to get one full frame
: dwBinX=       1       2       3       4       1       2       3       4       // Total Binning along x and y
: dwBinY=       1       2       3       4       1       2       3       4       //         
: mmMosaic=     1       1       1       1       1       1       1       1       // Mosaic of raw data
: dwRDO=        0       0       0       0       0       0       0       0       // Readout schema
: RP_offs=      38e-6   38e-6   38e-6   38e-6   38e-6   38e-6   38e-6   38e-6   // Readout pulse offset
: TG_Freq=      12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 // TG freq
;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
: HSSEL=        1       1       1       1       0       0       0       0       // AFE HS timing #
: HW_BinX=      1       2       3       4       1       2       3       4       //        
: Hshift =      1       1       1       1       1       1       1       1       //
: HblackL=      6       6       6       6       6       6       6       6       //
: HgapL=	2       2       2       2       2       2       2       2       //
;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
: FSEL=         1       1       1       1       0       0       0       0       // AFE timing #
: Vskip=        40      40      40      40      40      40      40      40      // (phy line)
: VgapT=        0       0       0       0       0       0       0       0       // (bin line)
: VgapB=        0       0       0       0       0       0       0       0       // (bin line)
;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
: HW_BinY=      1       2       3       4       1       2       3       4       //        
: RD_BinY=      1       1       1       1       1       1       1       1       //        
: RP0=          RP1     RP1     RP1     RP1     RP1     RP1     RP1     RP1     // RP0 timing name
: RP1=          RP1     RP1     RP1     RP1     RP1     RP1     RP1     RP1     // 
: RPF=          RP1     RP1     RP1     RP1     RP1     RP1     RP1     RP1     // 
: RD=           RD1     RD2C    RD3C    RD4C    RD1H8   RD2HC   RD3HC   RD4C    //
: HSWP=         HSWP    HSWP    HSWP    HSWP    HSWP    HSWP    HSWP    HSWP    //
;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
: Vsub[0]=      10.2    12.0    14.0    14.0    10.2    12.5    14.0    14.0    //
: Gain[0]=       6.9    6.0     6.0     6.0     8.4     8.0     8.0     8.0     // db
: Clamp[0]=     512     512     512     512     512     512     512     512     //
: MULT[0]=      65536   32768   21845   16384   65536   32768   21845   16384   // G-multiplier
;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
: Dac0=         160     160     160     160     160     160     160     160     // OGL = -2.36v + 1.82*Dac0/255.
: Dac1=         160     160     160     160     160     160     160     160     // OGR	DAC(0) = -2.36v, DAC(255)=-0.54v
;------ DSP - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
: dsp.LBO=      2       2       2       2       2       2       2       2       // Left black offs     
: dsp.LBN=      4       4       4       4       4       4       4       4       // Left black cnt      
: dsp.QTH=      500.    500.    500.    500.    500.    500.    500.    500.    // Hot pixel threshold
: dsp.black_src=1.      1.      1.      1.      1.      1.      1.      1.      // BL*black_src     + BR*(1-black_src)
: dsp.black_mux=0.      0.      0.      0.      0.      0.      0.      0.      // Vblack*black_mux + bl_src*(1-black_mux)
;
:ModeCnt =16	// parser ptr
: description = S2_S2   2x2  PS_C14  3.7Hz;
:ModeCnt =17
: description = S3_B3   3x3  PS_C14  5.3Hz;
:ModeCnt =18
: description = S3_S3M  3x3  PS_C14  5.3Hz;
:ModeCnt =19
: description = S1B2_B3 3x3  PS_C14  5.3Hz;
:ModeCnt =20
: description = S1B2_S3M 3x3 PS_C14  5.9Hz;
:ModeCnt =21
: description = S2B2_S4 4x4  PS_C14  7.5Hz;
:ModeCnt =22
: description = S1B2_B3 3x3  HPS_C14 10.5Hz;
:ModeCnt =23
: description = S1B2_S3M 3x3 HPS_C14 10.5Hz;
;;---------------------------------------------------------
:ModeCnt =16    // parser ptr
;------ MRMODE ------------------
: dwCx=         4904    4904    4904    4904    1344    1008    1344    1344    // total spacial resolution
: dwCy=         3280    3280    3280    3280    896     672     896     896     //
: minCy=        32      32      32      32      32      32      32      32      //     
: dwFields=     1       1       1       1       1       1       1       1       // number of fields to get one full frame
: dwBinX=       1       1       1       1       3       4       3       3       // Total Binning along x and y
: dwBinY=       1       1       1       1       3       4       3       3       //         
: mmMosaic=     0       0       0       0       1       1       1       1       // Mosaic of raw data
: dwRDO=        1       1       1       1       0       0       0       0       // Readout schema
: RP_offs=      38e-6   38e-6   38e-6   38e-6   38e-6   38e-6   38e-6   38e-6   // Readout pulse offset
: TG_Freq=      12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 // TG freq
;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
: HSSEL=        1       1       1       1       1       1       0       0       // AFE HS timing #
: HW_BinX=      1       1       1       1       3       4       3       3       //        
: Hshift =      0       0       0       0       1       1       1       1       //
: HblackL=      6       6       6       6       6       4       6       6       //
: HgapL=	2       2       2       2       2       2       2       2       //
;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
: FSEL=         1       1       1       1       1       1       0       0       // AFE timing #
: Vskip=        0       40      40      40      16      16      16      16      // (phy line)
: VgapT=        0       0       0       0       0       0       0       0       // (bin line)
: VgapB=        40      0       0       0       0       0       0       0       // (bin line)
;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
: HW_BinY=      1       1       1       1       3       4       3       3       //        
: RD_BinY=      1       1       1       1       1       1       1       1       //        
: RP0=          RP1     RP1     RP1     RP1     RP1     RP1     RP1     RP1     // RP0 timing name
: RP1=          RP1     RP1     RP1     RP1     RP1     RP1     RP1     RP1     // 
: RPF=          RP1     RP1     RP1     RP1     RP1     RP1     RP1     RP1     // 
: RD=           RD1     RD1     RD1     RD1     RD3SB   RD4SB   RD3HSB  RD3HSB  //
: HSWP=         HSWP    HSWP    HSWP    HSWP    HSWP    HSWP    HSWP    HSWP    //
;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
: Vsub[0]=      10.2    10.2    10.2    10.2    14.0    14.0    14.0    14.0    //
: Gain[0]=      6.0     6.0     6.0     6.0     11.0    11.0    12.8    12.8    // db
: Clamp[0]=     512     512     512     512     512     512     512     512     //
: MULT[0]=      65536   65536   65536   65536   65536   65536   21845   65536   // G-multiplier
: HW_Aux=	0       0       0       0       4       6       0       4       //
;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
: Dac0=         160     160     160     160     160     160     160     160     // OGL = -2.36v + 1.82*Dac0/255.
: Dac1=         160     160     160     160     160     160     160     160     // OGR	DAC(0) = -2.36v, DAC(255)=-0.54v
;------ DSP - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
: dsp.LBO=      2       2       2       2       2       2       2       2       // Left black offs     
: dsp.LBN=      4       4       4       4       4       2       4       4       // Left black cnt      
: dsp.QTH=      500.    500.    500.    500.    500.    500.    500.    500.    // Hot pixel threshold
: dsp.black_src=1.      1.      1.      1.      1.      1.      1.      1.      // BL*black_src     + BR*(1-black_src)
: dsp.black_mux=0.      0.      0.      0.      0.      0.      0.      0.	// Vblack*black_mux + bl_src*(1-black_mux)
;
:ModeCnt =24    // last defined mode;--------
;--------

;--------------------------------------------------
/H1US 2 12
.0700B FFFFF
/RP1 24 1646
.38001 0401D 0501E 30021 38023 3802A 38050 30080
.100BE 080BF 01199 0219A 2819B 28261 02262 01263
.08329 1032A 06655 05657 06658 04659 0766D FFFFF
/H10US 8 123
.38001 30021 38023 3802A 38050 30073 0707A FFFFF
/HSWP 12 2921
.38001 0600A 0600D 30021 38023 06025 06028 3802A
.38050 30080 07B68 FFFFF
/RD1 18 2942
.38001 30021 38023 3802A 38050 30080 03088 11089
.0A09C 0309D 030CA 0A0CB 110DE 030DF 060E1 060E4
.07B7D FFFFF
/SWP1 20 601
.38001 30021 38023 3802A 38050 30080 03088 11089
.0408C 05091 0A09C 0309D 030E8 0A0E9 110FC 030FD
.05100 04101 07258 FFFFF
/RD1H8 18 1541
.38001 30021 38023 3802A 38050 30080 03088 11089
.0A09C 0309D 030CA 0A0CB 110DE 030DF 060E1 060E4
.07604 FFFFF
/RD2H 26 1571
.38001 30021 38023 3802A 38050 30080 03088 11089
.0A09C 0309D 030CA 0A0CB 110DE 030DF 0310C 1110D
.0A120 03121 0314E 0A14F 11162 03163 06164 06167
.07622 FFFFF
/RD3 34 3377
.38001 30021 38023 3802A 38050 30080 03088 11089
.0A09C 0309D 030CA 0A0CB 110DE 030DF 0310C 1110D
.0A120 03121 0314E 0A14F 11162 03163 03190 11191
.0A1A4 031A5 031D2 0A1D3 111E6 031E7 061E8 061EB
.07C9E FFFFF
/RD2 26 3086
.38001 30021 38023 3802A 38050 30080 03088 11089
.0A09C 0309D 030CA 0A0CB 110DE 030DF 0310C 1110D
.0A120 03121 0314E 0A14F 11162 03163 06164 06167
.07C0D FFFFF
/RD4 42 3376
.38001 30021 38023 3802A 38050 30080 03088 11089
.0A09C 0309D 030CA 0A0CB 110DE 030DF 0310C 1110D
.0A120 03121 0314E 0A14F 11162 03163 03190 11191
.0A1A4 031A5 031D2 0A1D3 111E6 031E7 03214 11215
.0A228 03229 03256 0A257 1126A 0326B 0626C 0626F
.07D2F FFFFF
/RD3H 34 1703
.38001 30021 38023 3802A 38050 30080 03088 11089
.0A09C 0309D 030CA 0A0CB 110DE 030DF 0310C 1110D
.0A120 03121 0314E 0A14F 11162 03163 03190 11191
.0A1A4 031A5 031D2 0A1D3 111E6 031E7 061E8 061EB
.076A6 FFFFF
/SWP2 28 1201
.38001 30021 38023 3802A 38050 30080 03088 11089
.0408C 05091 0A09C 0309D 030E8 0A0E9 110FC 030FD
.03162 11163 0A176 03177 031C2 0A1C3 111D6 031D7
.051DB 041DD 074B0 FFFFF
/RD2HC 30 1571
.38001 30021 38023 3802A 38050 30080 03088 11089
.0408A 0A09C 0309D 030CA 0A0CB 110DE 030DF 040F0
.050FA 0310C 1110D 0A120 03121 0314E 0A14F 05161
.11162 03163 06164 06167 07622 FFFFF
/RD3C 38 2938
.38001 30021 38023 3802A 38050 30080 03088 11089
.0A09C 0309D 030CA 0A0CB 110DE 030DF 040F5 050F6
.0310C 1110D 0A120 03121 0314E 0A14F 11162 03163
.04179 0517A 03190 11191 0A1A4 031A5 031D2 0A1D3
.111E6 031E7 061E8 061EB 07B79 FFFFF
/RD2C 30 2806
.38001 30021 38023 3802A 38050 30080 03088 11089
.0408A 0A09C 0309D 030CA 0A0CB 110DE 030DF 040F0
.050FA 0310C 1110D 0A120 03121 0314E 0A14F 05161
.11162 03163 06164 06167 07AF5 FFFFF
/RD4C 50 3070
.38001 30021 38023 3802A 38050 30080 04087 03088
.11089 0A09C 0309D 030CA 0A0CB 110DE 030DF 040F5
.050F6 0310C 1110D 0A120 03121 0314E 0A14F 11162
.03163 05177 04179 03190 11191 0A1A4 031A5 031D2
.0A1D3 111E6 031E7 041FE 051FF 03214 11215 0A228
.03229 03256 0A257 1126A 0326B 0626C 0526E 0626F
.07BFD FFFFF
/RD3HC 38 1703
.38001 30021 38023 3802A 38050 30080 03088 11089
.0A09C 0309D 030CA 0A0CB 110DE 030DF 040F5 050F6
.0310C 1110D 0A120 03121 0314E 0A14F 11162 03163
.04179 0517A 03190 11191 0A1A4 031A5 031D2 0A1D3
.111E6 031E7 061E8 061EB 076A6 FFFFF
;WF RAM : 478 (93%)
