;--------------------------------------------------
;--------------------------------------------------
- Version=0.1
;
:       TADJ_H =0.0             ;tA-tH, H = tH + TADJ_H         hot, housing
:       TADJ_C =0.0             ;tA-tC, C = tC + TADJ_C         cold, CCD
:       TADJ_N =0.0             ;tA-tN, N = tN + TADJ_N         NTC (optional)
:       TADJ_K = 1.12           ;tCCD = H + (C-H)*TADJ_K
:       TADJ_T = 25             ; Time constant (x0.7, sec)
:       TADJ_G = 4.0            ; Cooling gain 
:       PTBL_V =  0     50    100     150    200    250
:       PTBL_T = -1.5  -1.2     3     17.5   26.7   32.9
;
;
;-----------------------------------------------
;       MMM_NONE = 0x000,               // B/W sensors
;       MMM_RGGB = 0x001,               // Regular RGGB readout
;       MMM_CMYG = 0x002,               // AK Sony sensors
;       MMM_RGR  = 0x003,               // 2R+G readout of RGGB sensor
;       MMM_BGGR = 0x004                // BGGR readout
;-----------------------------------------------
;       RP_PS_COLOR     0               // Progressive scan color
;       RP_PS_MONO      1               // Progressive scan mono
;       RP_IL_1LINE     2               // Interlace 1 line - each field with individual colors: lines F0:0,2,4,6...   F1:1,3,5,7...
;       RP_IL_2LINE     3               // Interlace 2 line - each field with equivalent colors: lines F0:0,1,4,5...   F1:2,3,6,7...
;+++++++++++++++++++++++++++++++++++++++++++++++
-       Sensor          = ICX252        //
-       Mosaic          = RGGB          //
-       Fields          = 2             //
-       Hactive         = 2088          // # of effective pixels
-       Vactive         = 1550          // # of effective pixels
-	MinGap		= 2		// 
-       MinVsub         = 5.2           //
-       MaxVsub         = 15.0          //
-       MinGain         = 3.05          //
-       MaxGain         = 47.3          //
-       AFE             = 9970          //
-       kVsub           = 17.0          //
-       CTM             = 125e-6        // timer count
-	GainCnt		= 3		//
;----------------------------------------       
;
;=== AFE ====
;
:       HCLKMODE = 0x40                 // mode 2, IOVDD = 1V8
:       HBLKMASK = 0x1                  // Mask Polarity During HBLK : H1, H2, HL
:       PX0pos   = 2                    // AFE Delay
:       LVDel    = 1                    // LVCLK Rising Edge Delay
:       DOutPhase = 28 60 4             //
;
;HS-Timing 
: HScnt=0       // HS
:       HS      = 1                     // 49.152 MHz
:       H1LOC   = 42 10  0              // pos, neg, polarity
:       H2LOC   =  8 40  0              // pos, neg, polarity
:       HLLOC   =  8 40  1              // pos, neg, polarity
:       RGLOC   = 14 24  1              // pos, neg, polarity
:       SHLOC   = 32 00 14              // SHD,SHP,SHPW
:       HDS = 7 7 7 7 1 7               // Drive Strength : H1,H2,H3,H4,HL,RG
: HScnt=1       // Normal
:       HS      = 0                     // 24.576 MHz
:       H1LOC   =  2 34  0              // pos, neg, polarity
:       H2LOC   = 32  0  0              // pos, neg, polarity
:       HLLOC   =  0  6  1              // pos, neg, polarity
:       RGLOC   = 30 36  1              // pos, neg, polarity
:       SHLOC   = 30  8 14              // SHD,SHP,SHPW
:       HDS = 4 4 4 4 1 2               // Drive Strength : H1,H2,H3,H4,HL,RG
: HScnt=2
;
;
; HS 
:       AFldCnt = 0                     // Field
:       SCP     = 0                     //
:       SEL     = 0                     //
:       PBM     = 0 1                   //
:	HSyn0	= 44			// Syn(Hshift=0, Hbin=1, ln[Horg]=Pix0)
;----------------------------------------       
:       APatCnt = 0                     // HPAT Registers
:       HTO     = 2144 0                // HBLK_TOG 0..5, odd lines
:       HTE     = 2144 0                // HBLK_TOG 0..5,even lines
:       CT      = 2124  2141            // CLP_OB 
:       PT      = 0     2150            // PBLK
;
; Normal 
:       AFldCnt = 1                     // Field
:       SCP     = 0                     // SCP      0..8
:       SEL     = 1                     // HPAT_SEL 0..8
:       PBM     = 0 1                   // PBLK_MASKSTART/END 1..3
:	HSyn0	= 44			// Syn(Hshift=0, Hbin=1, ln[Horg]=Pix0)
;----------------------------------------       
:       APatCnt = 1                     // HPAT Registers
:       HTO     = 2144 0                // HBLK_TOG 0..5, odd lines
:       HTE     = 2144 0                // HBLK_TOG 0..5,even lines
:       CT      = 2122  2143            // CLP_OB 
:       PT      = 0     2144            // PBLK
;
;
;
;
:ModeCnt = 0    // parser ptr
: description = Binning 2x2 progressive BW HS 27Hz;
:ModeCnt = 1
: description = Binning 1x1 interlace 6.3/12.6Hz;
:ModeCnt = 2
: description = Binning 2x2 interlace 12.1/24.2Hz;
:ModeCnt = 3
: description = Binning 3x3 interlace HS 35/70Hz;
:ModeCnt = 4
: description = Binning 2x2 interlace HS 25/50Hz;
:ModeCnt = 5
: description = Binning 2x2 progressive BW 12.6Hz;
:ModeCnt = 6
: description = Binning 1x1 interlace HS 12.5/25Hz BPP8;
:ModeCnt = 7
: description = Binning 3x3 interlace 19.5/39Hz;
;---------------------------------------------------------///////////////
:ModeCnt = 0    // parser ptr
;------ MRMODE ------------------
: dwCx=         1040    2080    1040    688     1040    1044    2088    696    // total spacial resolution
: dwCy=         772     1544    772     514     772     774     1550    516     //
: minCy=        32      32      32      32      32      32      32      32      //     
: dwFields=     1       2       2       2       2       1       2       2       // number of fields to get one full frame
: dwBinX=       2       1       2       3       2       2       1       3       // Total Binning along x and y
: dwBinY=       2       1       2       3       2       2       1       3       //          
: mmMosaic=     0       1       1       1       1       0       1       1       // Mosaic of raw data
: dwRDO=        0       2       2       2       2       0       2       2       // Readout schema
: RP_offs=      8.2e-6  8.2e-6  8.2e-6  8.2e-6  8.2e-6  8.2e-6  8.2e-6  8.2e-6  // Readout pulse offset
: TG_Freq=      12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 // TG freq
;----------------------------------------------------------------------------------
: HSSEL=        0       1       1       0       0       1       0       1       // AFE HS timing #
: Hshift =      4       4       4       12      4       0       0       0       //   
: HgapR=        2       4       2       4       2      -1      -1      -1      //     
: HW_BinX=      2       1       2       3       2       2       1       3       //         
;- - - - - - - - - - - - - - - - - - - - - - - - - - - -*- - - - - - - - - - - -  
: FSEL=         0       1       1       0       0       1       0       1       // AFE V timing #
: Vskip=        4       4       4       4       4       4       4       4       // (phy line)
: VgapT=        2       2       2       2       2       0       0       0       // (bin line)
: VgapB=        0       2       0       0       0       0       0       0       // (bin line)
: VdummyB=      0       0       0       0       0       0       0       0       // (bin line)
;- - - - - - - - - - - - - - - - - - - - - - - - - - - -*- - - - - - - - - - - -  
: HW_BinY=      1       1       2       3       2       1       1       3       //         
: RD_BinY=      2       1       1       1       1       2       1       1       //         
: RP1=          RP2M    RP1F0   RP1F0   RP1F0   RP1F0   RP2M    RP1F0   RP1F0   // RP0 timing name
: RP0=          RP2M    RP1F1   RP1F1   RP1F1   RP1F1   RP2M    RP1F1   RP1F1   // 
: RPF=          RP2M    RP2M    RP2M    RP2M    RP2M    RP2M    RP2M    RP2M    // RP Flash
: RD=           RD1HS   RD1     RD2     RD3HS   RD2HS   RD1     RD1H8   RD3     //
: HSWP=         HSWPHS  HSWP    HSWP    HSWPHS  HSWPHS  HSWP    HSWPHS  HSWP    //
;----------------------------------------------------------------------------------
: Gain[0]=	18.5    12.7    18.7    17.4    16.3    7.8     15.5    7.8     // MA
: Clamp[0]=     512     512     512     512     512     512     512     512     //
: MULT[0]=      32768   65536   32768   21845   32768   32768   65536   21845   // G-multiplier
: Vsub[0]=      13.8     9.1    13.8    13.8    13.8    13.8    9.1     13.8    //
;----------------------------------------------------------------------------------
: DOTune=	1	1	1	1	1	0	0	0
;------ DSP ---------------------------------------------------------------------
: dsp.RBO=      -1      -1      -1      -1      -1      -1      -1      -1      // Right black offs     
: dsp.RBN=      -1      -1      -1      -1      -1      -1      -1      -1      // Right black cnt      
: dsp.QTH=      500.    500.    500.    500.    500.    500.    500.    500.    // Hot pixel threshold
: dsp.black_src= 0.     0.      0.      0.      0.      0.      0.      0.      // BL*black_src     + BR*(1-black_src)
: dsp.black_mux= 0.     0.      0.      0.      0.      0.      0.      0.      // Vblack*black_mux + bl_src*(1-black_mux)
;


;
:ModeCnt = 8
: description = Binning 4x4 interlace HS 45/90Hz;
:ModeCnt = 9
: description = Binning 4x4 interlace 25/50Hz;
:ModeCnt = 10
: description = Skipping 6x6 progressive  39Hz;
:ModeCnt = 11
: description = Skipping 6x6 progressive HS 70Hz;
:ModeCnt = 12
: description = --Binning 4x4 interlace HS 45/90Hz;
:ModeCnt = 13
: description = --Binning 4x4 interlace 25/50Hz;
:ModeCnt = 14
: description = --Skipping 6x6 progressive  39Hz;
:ModeCnt = 15
: description = --Skipping 6x6 progressive HS 70Hz;
;
:ModeCnt = 8
;------ MRMODE ------------------
: dwCx=         522     522     348     348     518     518     344     344     // total spacial resolution
: dwCy=         386     386     258     258     382     382     254     254     //
: minCy=        32      32      32      32      32      32      32      32      //     
: dwFields=     2       2       1       1       2       2       1       1       // number of fields to get one full frame
: dwBinX=       4       4       2       1       4       4       2       1       // Total Binning along x and y
: dwBinY=       4       4       2       1       4       4       2       1       //          
: mmMosaic=     1       1       1       1       1       1       1       1       // Mosaic of raw data
: dwRDO=        2       2       0       0       2       2       0       0       // Readout schema
: RP_offs=      8.2e-6  8.2e-6  8.2e-6  8.2e-6  8.2e-6  8.2e-6  8.2e-6  8.2e-6  // Readout pulse offset
: TG_Freq=      12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 // TG freq
;----------------------------------------------------------------------------------
: HSSEL=        0       1       1       0       0       1       1       0       // AFE HS timing #
: Hshift =      0       0       0       0       0       0       0       0       //        
: HW_BinX=      4       4       6       6       4       4       6       6       //         
;- - - - - - - - - - - - - - - - - - - - - - - - - - - -*- - - - - - - - - - - -  
: FSEL=         0       1       1       0       0       1       1       0       // AFE V timing #
: Vskip=        4       4       4       4       4       4       4       4       // (phy line)
: VgapT=        0       0       0       0       0       0       0       0       // (bin line)
: VgapB=        0       0       0       0       0       0       0       0       // (bin line)
: VdummyB=      0       0       0       0       0       0       0       0       // (bin line)
;- - - - - - - - - - - - - - - - - - - - - - - - - - - -*- - - - - - - - - - - -  
: HW_BinY=      4       4       3       3       4       4       3       3       //         
: RD_BinY=      1       2       2       2       1       2       2       2       //         
: RP1=          RP1F0   RP1F0   RP2C    RP2C    RP1F0   RP1F0   RP2C    RP2C    // RP0 timing name
: RP0=          RP1F1   RP1F1   RP2C    RP2C    RP1F1   RP1F1   RP2C    RP2C    //
: RPF=          RP2M    RP2M    RP2C    RP2C    RP2M    RP2M    RP2C    RP2C    // RP Flash
: RD=           RD4HS   RD4     RD3     RD3HS   RD4HS   RD4     RD3     RD3HS   //
: HSWP=         HSWPHS  HSWP    HSWP    HSWPHS  HSWPHS  HSWP    HSWP    HSWPHS  //
;----------------------------------------------------------------------------------
: Gain[0]=       7.8     7.8     7.8     7.8     7.8     7.8     7.8     7.8    // db
: Clamp[0]=     512     512     512     512     512     512     512     512     //
: MULT[0]=      16384   16384   10923   10923   16384   16384   10923   10923   // G-multiplier
: Vsub[0]=      13.8    13.8    14.8    14.8    13.8    13.8    14.8    14.8    //
;------ DSP ---------------------------------------------------------------------
: dsp.RBO=      -1      -1      -1      -1      -1      -1      -1      -1      // Right black offs     
: dsp.RBN=      -1      -1      -1      -1      -1      -1      -1      -1      // Right black cnt      
: dsp.QTH=      500.    500.    500.    500.    500.    500.    500.    500.    // Hot pixel threshold
: dsp.black_src= 0.     0.      0.      0.      0.      0.      0.      0.      // BL*black_src     + BR*(1-black_src)
: dsp.black_mux= 0.     0.      0.      0.      0.      0.      0.      0.      // Vblack*black_mux + bl_src*(1-black_mux)
;

:ModeCnt = 12    // last defined mode


;--------------------------------------------------
/H10US 4 123
.38002 38023 0707A FFFFF
/H1US 2 12
.0700B FFFFF
/HSWP 8 1118
.38002 3000A 3000D 3001E 30021 38023 0745D FFFFF
/RD1 14 1229
.03001 38002 0100D 04012 02018 0101F 38023 03025
.30026 30029 0202A 0402F 074CC FFFFF
/SWP2 20 226
.03001 38002 0100D 04012 02018 0101F 38023 03025
.0202A 0402F 03034 01039 0403E 02043 01048 0304D
.02052 04057 070E1 FFFFF
/SWP4 36 226
.03001 38002 0100D 04012 02018 0101F 38023 03025
.0202A 0402F 03034 01039 0403E 02043 01048 0304D
.02052 04057 0305D 01069 0406E 02074 0107B 03081
.02086 0408B 03090 01095 0409A 0209F 010A4 030A9
.020AE 040B3 070E1 FFFFF
/HSWPHS 8 581
.38002 3000A 3000D 3001E 30021 38023 07244 FFFFF
/RD2 22 1274
.03001 38002 0100D 04012 02018 0101F 38023 03025
.0202A 0402F 03034 01039 0403E 02043 01048 0304D
.3004E 30051 02052 04057 074F9 FFFFF
/RD4 38 1238
.03001 38002 0100D 04012 02018 0101F 38023 03025
.0202A 0402F 03034 01039 0403E 02043 01048 0304D
.02052 04057 0305C 01061 04066 0206B 01070 03075
.0207A 0407F 03084 01089 0408E 02093 01098 0309D
.3009E 300A1 020A2 040A7 074D5 FFFFF
/RD4HS 38 698
.03001 38002 0100D 04012 02018 0101F 38023 03025
.0202A 0402F 03034 01039 0403E 02043 01048 0304D
.02052 04057 0305C 01061 04066 0206B 01070 03075
.0207A 0407F 03084 01089 0408E 02093 01098 0309D
.3009E 300A1 020A2 040A7 072B9 FFFFF
/RD1HS 14 582
.03001 38002 0100D 04012 02018 0101F 38023 03025
.0202A 3002B 3002E 0402F 07245 FFFFF
/RP2M 18 356
.38002 0300A 0101E 38023 04032 1B034 02046 0105A
.1B05B 03064 0206E 19070 04082 19096 30154 30157
.07163 FFFFF
/RD3 30 1198
.03001 38002 0100D 04012 02018 0101F 38023 03025
.0202A 0402F 03034 01039 0403E 02043 01048 0304D
.02052 04057 0305C 01061 04066 0206B 01070 03075
.30076 30079 0207A 0407F 074AD FFFFF
/RD2HS 22 621
.03001 38002 0100D 04012 02018 0101F 38023 03025
.0202A 0402F 03034 01039 0403E 02043 01048 0304D
.30051 02052 30054 04057 0726C FFFFF
/RP2C 18 356
.38002 0300A 0101E 38023 04032 13035 02046 0105A
.1305B 03064 0206E 09070 04082 09096 30154 30157
.07163 FFFFF
/RP1F0 16 356
.03001 38002 0100D 04012 02018 38023 01026 0303A
.0204E 19050 04062 03076 19077 30154 30157 07163
/RP1F1 16 356
.38002 38023 03026 0103A 0404E 1B050 02062 01076
.1B077 0308A 0209E 040B2 30154 30157 07163 FFFFF
/RD3HS 30 661
.03001 38002 0100D 04012 02018 0101F 38023 03025
.0202A 0402F 03034 01039 0403E 02043 01048 0304D
.02052 04057 0305C 01061 04066 0206B 01070 03075
.30079 0207A 3007C 0407F 07294 FFFFF
/RD1H8 14 621
.03001 38002 0100D 04012 02018 0101F 38023 03025
.30026 30029 0202A 0402F 0726C FFFFF
;WF RAM : 368 (71%)
