;--------------------------------------------------
;--------------------------------------------------
- Version=0.1
;
:       TADJ_H =0.0             ;tA-tH, H = tH + TADJ_H         hot, housing
:       TADJ_C =0.0             ;tA-tC, C = tC + TADJ_C         cold, CCD
:       TADJ_N =0.0             ;tA-tN, N = tN + TADJ_N         NTC (optional)
:       TADJ_K = 1.12           ;tCCD = H + (C-H)*TADJ_K
:       TADJ_T = 25             ; Time constant (x0.7, sec)
:       TADJ_G = 4.0            ; Cooling gain 
:       PTBL_V =  0     50    100     150    200    250
:       PTBL_T = -1.5  -1.2     3     17.5   26.7   32.9
;
;
;-----------------------------------------------
;       MMM_NONE = 0x000,               // B/W sensors
;       MMM_RGGB = 0x001,               // Regular RGGB readout
;       MMM_CMYG = 0x002,               // AK Sony sensors
;       MMM_RGR  = 0x003,               // 2R+G readout of RGGB sensor
;       MMM_BGGR = 0x004                // BGGR readout
;-----------------------------------------------
;       RP_PS_COLOR     0               // Progressive scan color
;       RP_PS_MONO      1               // Progressive scan mono
;       RP_IL_1LINE     2               // Interlace 1 line - each field with individual colors: lines F0:0,2,4,6...   F1:1,3,5,7...
;       RP_IL_2LINE     3               // Interlace 2 line - each field with equivalent colors: lines F0:0,1,4,5...   F1:2,3,6,7...
;+++++++++++++++++++++++++++++++++++++++++++++++
-       Sensor          = ICX274        //
-       Mosaic          = RGGB          //
-       Fields          = 1             //
-       Hactive         = 1628          // # of effective pixels
-       Vactive         = 1236          // # of effective pixels
-	MinGap		= 2		// 
-       MinVsub         = 5.2           //
-       MaxVsub         = 15.0          //
-       MinGain         = 3.05          //
-       MaxGain         = 47.3          //
-       AFE             = 9970          //
-       kVsub           = 17.0          //
-       CTM             = 125e-6        // timer count
-	GainCnt		= 3		//
;----------------------------------------       
;
;=== AFE ====
;
:       HCLKMODE = 0x40                 // mode 2, IOVDD = 1V8
:       HBLKMASK = 0x1                  // Mask Polarity During HBLK : H1, H2, HL
:       PX0pos   = 2                    // AFE Delay
:       LVDel    = 1                    // LVCLK Rising Edge Delay
:       DOutPhase = 28 60 4             //
;
;HS-Timing 
: HScnt=0       // HS
:       HS      = 1                     // 49.152 MHz
:       H1LOC   =  0 32  0              // pos, neg, polarity
:       H2LOC   = 32  0  0              // pos, neg, polarity
:       HLLOC   =  0  6  1              // pos, neg, polarity
:       RGLOC   = 32 40  1              // pos, neg, polarity
:       SHLOC   = 44 12 14              // SHD,SHP,SHPW
:       HDS = 6 6 6 6 1 4               // Drive Strength : H1,H2,H3,H4,HL,RG
: HScnt=1       // Normal
:       HS      = 0                     // 24.576 MHz
:       H1LOC   =  0 32  0              // pos, neg, polarity
:       H2LOC   = 32  0  0              // pos, neg, polarity
:       HLLOC   =  0  6  1              // pos, neg, polarity
:       RGLOC   = 32 38  1              // pos, neg, polarity
:       SHLOC   = 32  0 14              // SHD,SHP,SHPW
:       HDS = 4 4 4 4 1 2               // Drive Strength : H1,H2,H3,H4,HL,RG
: HScnt=2
;
;
; HS 
:       AFldCnt = 0                     // Field
:       SCP     = 0                     //
:       SEL     = 0                     //
:       PBM     = 0 1                   //
:	HSyn0	= 52			// Syn(Hshift=0, Hbin=1, ln[Horg]=Pix0)
;----------------------------------------       
:       APatCnt = 0                     // HPAT Registers
:       HTO     = 1694 0                // HBLK_TOG 0..5, odd lines
:       HTE     = 1694 0                // HBLK_TOG 0..5,even lines
:       CT      = 1672  1692            // CLP_OB 
:       PT      = 0     1693            // PBLK
;
; Normal 
:       AFldCnt = 1                     // Field
:       SCP     = 0                     // SCP      0..8
:       SEL     = 1                     // HPAT_SEL 0..8
:       PBM     = 0 1                   // PBLK_MASKSTART/END 1..3
:	HSyn0	= 52			// Syn(Hshift=0, Hbin=1, ln[Horg]=Pix0)
;----------------------------------------       
:       APatCnt = 1                     // HPAT Registers
:       HTO     = 1694 0                // HBLK_TOG 0..5, odd lines
:       HTE     = 1694 0                // HBLK_TOG 0..5,even lines
:       CT      = 1672  1692            // CLP_OB 
:       PT      = 0     1693            // PBLK
;
;
;
;
:ModeCnt = 0    // parser ptr
: description = Binning 2x2 PS 40.1Hz HS;
:ModeCnt = 1
: description = Binning 1x1 PS 10.2Hz;
:ModeCnt = 2
: description = Binning 2x2 PS 19.5Hz;
:ModeCnt = 3
: description = Binning 3x3 PS 28.0Hz;
:ModeCnt = 4
: description = Binning 3x3 PS 56.1Hz HS;
:ModeCnt = 5
: description = Binning 1x1 IL2 9.3/18.6Hz;
:ModeCnt = 6
: description = Binning 1x1 IL2 18.4/36.7Hz HS;
:ModeCnt = 7
: description = Binning 1x1 PS 20.0Hz HS8;
;---------------------------------------------------------///////////////
:ModeCnt = 0    // parser ptr
;------ MRMODE ------------------
: dwCx=         814     1628    814     542     542     1628    1628    1628    // total spacial resolution
: dwCy=         618     1236    618     412     412     1236    1236    1236    //
: minCy=        32      32      32      32      32      32      32      32      //     
: dwFields=     1       1       1       1       1       2       2       1       // number of fields to get one full frame
: dwBinX=       2       1       2       3       3       1       1       1       // Total Binning along x and y
: dwBinY=       2       1       2       3       3       1       1       1       //          
: mmMosaic=     1       1       1       3       3       1       1       1       // Mosaic of raw data
: dwRDO=        0       0       0       0       0       3       3       0       // Readout schema
: RP_offs=      7.2e-6  7.2e-6  7.2e-6  7.2e-6  7.2e-6  7.2e-6  7.2e-6  7.2e-6  // Readout pulse offset
: TG_Freq=      12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 // TG freq
;----------------------------------------------------------------------------------
: HSSEL=        0       1       1       1       0       1       0       0       // AFE HS timing #
: Hshift =      0       0       0       0       0       0       0       0       //        
: HW_BinX=      2       1       2       3       3       1       1       1       //         
;- - - - - - - - - - - - - - - - - - - - - - - - - - - -*- - - - - - - - - - - -  
: FSEL=         0       1       1       1       0       1       0       0       // AFE V timing #
: Vskip=        8      10       8      10      10       8       8       10      // (phy line)
: VgapT=        0       0       0       0       0       0       0       0       // (bin line)
: VgapB=        0       0       0       0       0       0       0       0       // (bin line)
: VdummyB=      0       0       0       0       0       0       0       0       // (bin line)
;- - - - - - - - - - - - - - - - - - - - - - - - - - - -*- - - - - - - - - - - -  
: HW_BinY=      2       1       2       3       3       1       1       1       //         
: RD_BinY=      1       1       1       1       1       1       1       1       //         
: RP1=          RP2     RP1     RP2     RP1     RP1     RP1F1   RP1F1   RP1     // RP0 timing name
: RP0=          RP2     RP1     RP2     RP1     RP1     RP1F0   RP1F0   RP1     // 
: RPF=          RP2     RP1     RP2     RP1     RP1     RP1     RP1     RP1     // RP Flash
: RD=           RD2HS   RD1     RD2     RD3     RD3HS   RD2     RD2HS   RD1H8   //
: HSWP=         HSWPHS  HSWP    HSWP    HSWP    HSWPHS  HSWP    HSWPHS  HSWPHS  //
;----------------------------------------------------------------------------------
: Gain[0]=	10.6    9.6     9.6     9.6     10.6    9.6     10.6    10.7     // MA
: Clamp[0]=     512     512     512     512     512     512     512     512     //
: MULT[0]=      32768   65536   32768   21845   21845   65536   65536   65536   // G-multiplier
: Vsub[0]=      10.6    7.6     10.6    12.7    12.7    7.6     7.6     7.6     //
;------ DSP ---------------------------------------------------------------------
: dsp.RBO=      -1      -1      -1      -1      -1      -1      -1      -1      // Right black offs     
: dsp.RBN=      -1      -1      -1      -1      -1      -1      -1      -1      // Right black cnt      
: dsp.QTH=      500.    500.    500.    500.    500.    500.    500.    500.    // Hot pixel threshold
: dsp.black_src= 0.     0.      0.      0.      0.      0.      0.      0.      // BL*black_src     + BR*(1-black_src)
: dsp.black_mux= 0.     0.      0.      0.      0.      0.      0.      0.      // Vblack*black_mux + bl_src*(1-black_mux)
;


;
:ModeCnt = 8    // parser ptr
: description = Binning 2x2 PS 40.1Hz BW HS;
:ModeCnt = 9
: description = Binning 1x1 PS 10.2Hz BW;
:ModeCnt = 10
: description = Binning 2x2 PS 19.5Hz BW;
:ModeCnt = 11
: description = Binning 3x3 PS 31.1Hz BW;
:ModeCnt = 12
: description = Binning 3x3 PS 56.1Hz BW HS;
:ModeCnt = 13
: description = Binning 4x4 PS 40.1Hz BW;
:ModeCnt = 14
: description = Binning 4x4 PS 69.5Hz BW HS;
:ModeCnt = 15
: description = Binning 1x1 PS 20.0Hz BW HS8;
;---------------------------------------------------------///////////////
:ModeCnt = 8    // parser ptr
;------ MRMODE ------------------
: dwCx=         814     1628    814     542     542     406     406     1628    // total spacial resolution
: dwCy=         618     1236    618     412     412     308     308     1236    //
: minCy=        32      32      32      32      32      32      32      32      //     
: dwFields=     1       1       1       1       1       1       1       1       // number of fields to get one full frame
: dwBinX=       2       1       2       3       3       4       4       1       // Total Binning along x and y
: dwBinY=       2       1       2       3       3       4       4       1       //          
: mmMosaic=     0       0       0       0       0       0       0       0       // Mosaic of raw data
: dwRDO=        1       1       1       1       1       1       1       1       // Readout schema
: RP_offs=      7.2e-6  7.2e-6  7.2e-6  7.2e-6  7.2e-6  7.2e-6  7.2e-6  7.2e-6  // Readout pulse offset
: TG_Freq=      12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 // TG freq
;----------------------------------------------------------------------------------
: HSSEL=        0       1       1       1       0       1       0       0       // AFE HS timing #
: Hshift =      0       0       0       0       0       0       0       0       //        
: HW_BinX=      2       1       2       3       3       4       4       1       //         
;- - - - - - - - - - - - - - - - - - - - - - - - - - - -*- - - - - - - - - - - -  
: FSEL=         0       1       1       1       0       1       0       0       // AFE V timing #
: Vskip=        10      10      10      10      10      10      10      10      // (phy line)
: VgapT=        0       0       0       0       0       0       0       0       // (bin line)
: VgapB=        0       0       0       0       0       0       0       0       // (bin line)
: VdummyB=      0       0       0       0       0       0       0       0       // (bin line)
;- - - - - - - - - - - - - - - - - - - - - - - - - - - -*- - - - - - - - - - - -  
: HW_BinY=      2       1       2       3       3       4       4       1       //         
: RD_BinY=      1       1       1       1       1       1       1       1       //         
: RP1=          RP1     RP1     RP1     RP1     RP1     RP1     RP1     RP1     // RP0 timing name
: RP0=          RP1     RP1     RP1     RP1     RP1     RP1     RP1     RP1     // 
: RPF=          RP1     RP1     RP1     RP1     RP1     RP1     RP1     RP1     // RP Flash
: RD=           RD2HS   RD1     RD2     RD3     RD3HS   RD4     RD4HS   RD1H8   //
: HSWP=         HSWPHS  HSWP    HSWP    HSWP    HSWPHS  HSWP    HSWPHS  HSWPHS  //
;----------------------------------------------------------------------------------
: Gain[0]=	10.6    9.6     9.6     9.6     10.6    9.6     10.6    10.7    // MA
: Clamp[0]=     512     512     512     512     512     512     512     512     //
: MULT[0]=      32768   65536   32768   21845   21845   16384   16384   65536   // G-multiplier
: Vsub[0]=      10.6    7.6     10.6    12.7    12.7    12.7    12.7    7.6     //
;------ DSP ---------------------------------------------------------------------
: dsp.RBO=      -1      -1      -1      -1      -1      -1      -1      -1      // Right black offs     
: dsp.RBN=      -1      -1      -1      -1      -1      -1      -1      -1      // Right black cnt      
: dsp.QTH=      500.    500.    500.    500.    500.    500.    500.    500.    // Hot pixel threshold
: dsp.black_src= 0.     0.      0.      0.      0.      0.      0.      0.      // BL*black_src     + BR*(1-black_src)
: dsp.black_mux= 0.     0.      0.      0.      0.      0.      0.      0.      // Vblack*black_mux + bl_src*(1-black_mux)
;
:ModeCnt = 16    // last defined mode


;--------------------------------------------------
/H10US 4 123
.38001 38014 0707A FFFFF
/H1US 2 12
.0700B FFFFF
/HSWP 8 901
.38001 30005 30008 30013 38014 30016 07384 FFFFF
/SWP2 18 197
.3B001 01004 04006 0200A 39014 03017 0201A 0401C
.03027 0102A 0402C 02030 0103A 0303D 02040 04042
.070C4 FFFFF
/SWP4 34 197
.3B001 01004 04006 0200A 39014 03017 0201A 0401C
.03027 0102A 0402C 02030 0103A 0303D 02040 04042
.0304D 01050 04052 02056 01060 03063 02066 04068
.03073 01076 04078 0207C 01086 03089 0208C 0408E
.070C4 FFFFF
/HSWPHS 8 581
.38001 30005 30008 30013 38014 30016 07244 FFFFF
/SWP1 10 197
.3B001 01004 04006 0200A 39014 03017 0201A 0401C
.070C4 FFFFF
/RD1 12 959
.3B001 01004 04006 0200A 30013 39014 30016 03017
.0201A 0401C 073BE FFFFF
/RD2 20 1000
.3B001 01004 04006 0200A 39014 03017 0201A 0401C
.03027 0102A 0402C 02030 30039 0103A 3003C 0303D
.02040 04042 073E7 FFFFF
/RD3 28 1042
.3B001 01004 04006 0200A 39014 03017 0201A 0401C
.03027 0102A 0402C 02030 0103A 0303D 02040 04042
.0304D 01050 04052 02056 3005F 01060 30062 03063
.02066 04068 07411 FFFFF
/RD1H8 12 495
.3B001 01004 04006 0200A 39014 03017 30018 0201A
.3001B 0401C 071EE FFFFF
/RD2HS 20 488
.3B001 01004 04006 0200A 39014 03017 0201A 0401C
.03027 0102A 0402C 02030 0103A 0303D 3003E 02040
.30041 04042 071E7 FFFFF
/RD3HS 28 526
.3B001 01004 04006 0200A 39014 03017 0201A 0401C
.03027 0102A 0402C 02030 0103A 0303D 02040 04042
.0304D 01050 04052 02056 01060 03063 30064 02066
.30067 04068 0720D FFFFF
/RD4 36 986
.3B001 01004 04006 0200A 39014 03017 0201A 0401C
.03027 0102A 0402C 02030 0103A 0303D 02040 04042
.0304D 01050 04052 02056 01060 03063 02066 04068
.03073 01076 04078 0207C 30085 01086 30088 03089
.0208C 0408E 073D9 FFFFF
/RP2 52 356
.3B001 01004 04006 0200A 39014 03017 0201A 0401C
.03026 0102C 12037 13038 1205F 13060 04065 02069
.01073 03076 02079 0407B 03086 01089 0408B 0208F
.01099 0309C 0209F 040A1 030AB 010B1 0A0BC 0B0BD
.0A0E4 0B0E5 040EA 020EE 010F8 030FB 020FE 04100
.0310B 0110E 04110 02114 0111E 03121 02124 04126
.30154 30157 07163 FFFFF
/RP1 24 356
.3B001 01004 04006 0200A 39014 03017 0201A 0401C
.03026 0102C 1A037 1B038 1A05F 1B060 04065 02069
.01073 03076 02079 0407B 30154 30157 07163 FFFFF
/RD4HS 36 564
.3B001 01004 04006 0200A 39014 03017 0201A 0401C
.03027 0102A 0402C 02030 0103A 0303D 02040 04042
.0304D 01050 04052 02056 01060 03063 02066 04068
.03073 01076 04078 0207C 01086 03089 3008A 0208C
.3008D 0408E 07233 FFFFF
/RP1F0 48 356
.3B001 01004 04006 0200A 39014 03017 0201A 0401C
.03026 0102C 12037 13038 1205F 13060 04065 02069
.01073 03076 02079 0407B 03086 01089 0408B 0208F
.01099 0309C 0209F 040A1 030AC 010AF 040B1 020B5
.010BF 030C2 020C5 040C7 030D2 010D5 040D7 020DB
.010E5 030E8 020EB 040ED 30154 30157 07163 FFFFF
/RP1F1 32 356
.3B001 01004 04006 0200A 39014 03017 0201A 0401C
.03026 0102C 0A037 0B038 0A05F 0B060 04065 02069
.01073 03076 02079 0407B 03086 01089 0408B 0208F
.01099 0309C 0209F 040A1 30154 30157 07163 FFFFF
;WF RAM : 432 (84%)
