;--------------------------------------------------
;--------------------------------------------------
- Version=0.2
;
:       TADJ_H =0.0             ;tA-tH, H = tH + TADJ_H         hot, housing
:       TADJ_C =0.0             ;tA-tC, C = tC + TADJ_C         cold, CCD
:       TADJ_N =0.0             ;tA-tN, N = tN + TADJ_N         NTC (optional)
:       TADJ_K = 1.12           ;tCCD = H + (C-H)*TADJ_K
:       TADJ_T = 25             ; Time constant (x0.7, sec)
:       TADJ_G = 4.0            ; Cooling gain 
:       PTBL_V =  0     50    100     150    200    250
:       PTBL_T = -1.5  -1.2     3     17.5   26.7   32.9
;
;
;-----------------------------------------------
;       MMM_NONE = 0x000,               // B/W sensors
;       MMM_RGGB = 0x001,               // Regular RGGB readout
;       MMM_CMYG = 0x002,               // AK Sony sensors
;       MMM_RGR  = 0x003,               // 2R+G readout of RGGB sensor
;       MMM_BGGR = 0x004                // BGGR readout
;-----------------------------------------------
;       RP_PS_COLOR     0               // Progressive scan color
;       RP_PS_MONO      1               // Progressive scan mono
;       RP_IL_1LINE     2               // Interlace 1 line - each field with individual colors: lines F0:0,2,4,6...   F1:1,3,5,7...
;       RP_IL_2LINE     3               // Interlace 2 line - each field with equivalent colors: lines F0:0,1,4,5...   F1:2,3,6,7...
;+++++++++++++++++++++++++++++++++++++++++++++++
-       Sensor          = ICX282        //
-       Mosaic          = RGGB          //
-       Fields          = 2             //
-       Hactive         = 2588          // # of effective pixels
-       Vactive         = 1960          // # of effective pixels
-	MinGap		= 2		// 
-       MinVsub         = 5.2           //
-       MaxVsub         = 15.0          //
-       MinGain         = 3.05          //
-       MaxGain         = 47.3          //
-       AFE             = 9970          //
-       kVsub           = 17.0          //
-       CTM             = 125e-6        // timer count
-	GainCnt		= 3		//
;----------------------------------------       
;
;=== AFE ====
;
:       HCLKMODE = 0x40                 // mode 2, IOVDD = 1V8
:       HBLKMASK = 0x1                  // Mask Polarity During HBLK : H1, H2, HL
:       PX0pos   = 2                    // AFE Delay
:       LVDel    = 1                    // LVCLK Rising Edge Delay
:       DOutPhase = 28 60 4             //
;
;HS-Timing 
: HScnt=0				// HS
:       HS      = 1                     // 49.152 MHz
:       H1LOC   = 46 14  0              // pos, neg, polarity
:       H2LOC   = 14 46  0              // pos, neg, polarity
:       HLLOC   =  6 38  1              // pos, neg, polarity
:       RGLOC   = 23 33  1              // pos, neg, polarity
:       SHLOC   = 34 04 14              // SHD,SHP,SHPW
:       HDS = 4 4 4 4 1 4               // Drive Strength : H1,H2,H3,H4,HL,RG
: HScnt=1				// Normal
:       HS      = 0                     // 24.576 MHz
:       H1LOC   =  2 34  0              // pos, neg, polarity
:       H2LOC   = 34  2  0              // pos, neg, polarity
:       HLLOC   =  0  6  1              // pos, neg, polarity
:       RGLOC   = 34 40  1              // pos, neg, polarity
:       SHLOC   = 34  2 14              // SHD,SHP,SHPW
:       HDS = 3 3 3 3 1 2               // Drive Strength : H1,H2,H3,H4,HL,RG
: HScnt=2
;
;
; HS 
:       AFldCnt = 0                     // Field
:       SCP     = 0                     //
:       SEL     = 0                     //
:       PBM     = 0 1                   //
:	HSyn0	= 52			// Syn(Hshift=0, Hbin=1, ln[Horg]=Pix0)
;----------------------------------------       
:       APatCnt = 0                     // HPAT Registers
:       HTO     = 2656 0                // HBLK_TOG 0..5, odd lines
:       HTE     = 2656 0                // HBLK_TOG 0..5,even lines
:       CT      = 2632  2654            // CLP_OB 
:       PT      = 0     2656            // PBLK
;
; Normal 
:       AFldCnt = 1                     // Field
:       SCP     = 0                     // SCP      0..8
:       SEL     = 1                     // HPAT_SEL 0..8
:       PBM     = 0 1                   // PBLK_MASKSTART/END 1..3
:	HSyn0	= 52			// Syn(Hshift=0, Hbin=1)
;----------------------------------------       
:       APatCnt = 1                     // HPAT Registers
:       HTO     = 2656 0                // HBLK_TOG 0..5, odd lines
:       HTE     = 2656 0                // HBLK_TOG 0..5,even lines
:       CT      = 2632  2654            // CLP_OB 
:       PT      = 0     2656            // PBLK
;

;
:ModeCnt = 0    // parser ptr
: description =*Binning 2x2 PS RGGB 8.0Hz;
:ModeCnt = 1
: description =*Binning 1x1 IL RGGB 4.0/8.0Hz;
:ModeCnt = 2
: description =*Binning 2x2 IL RGGB 7.8/15.6Hz;
:ModeCnt = 3
: description =*Binning 4x4 IL RGGB 14.8/29.6 Hz;
:ModeCnt = 4
: description =*Binning 6x6 PS RGR  22.5Hz;
:ModeCnt = 5
: description =*Binning 2x2 PS BW   8.0Hz;
:ModeCnt = 6
: description = Binning 2x2 PS BW   8.0Hz;
:ModeCnt = 7
: description = Binning 2x2 PS BW HS 17.5Hz;
;---------------------------------------------------------///////////////
:ModeCnt = 0    // parser ptr
;------ MRMODE ------------------
: dwCx=         1288    2576    1288    640     424     1288    1294    1294    // total spacial resolution
: dwCy=         966     1932    966     480     318     966     980     980     //
: dwFields=     1       2       2       2       1       1       1       1       // number of fields to get one full frame
: dwBinX=       2       1       2       4       6       2       2       2       // Total Binning along x and y
: dwBinY=       2       1       2       4       6       2       2       2       //          
: mmMosaic=     1       1       1       1       3       0       0       0       // Mosaic of raw data
: dwRDO=        0       2       2       2       0       1       1       1       // Readout schema
: RP_offs=      7.2e-6  7.2e-6  7.2e-6  7.2e-6  7.2e-6  7.2e-6  7.2e-6  7.2e-6  // Readout pulse offset
: TG_Freq=      12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 // TG freq
; Noise         4.02    3.42    5.01    3.95    6.5     4.81    1.68    1.94 
;----------------------------------------------------------------------------------
: HSSEL=        1       1       1       1       1       1       1       0       // AFE HS timing #
: Hshift =      6       6       6       14      22      6       0       0       //   
: HgapR=        2       4       2       2       2       2       -1      -1      //     
: HW_BinX=      2       1       2       4       6       2       2       2       //         
;- - - - - - - - - - - - - - - - - - - - - - - - - - - -*- - - - - - - - - - - -  
: FSEL=         1       1       1       1       1       1       1       0       // AFE V timing #
;:Vskip=        3       4       4       4       3       3       3       3       // (phy line)
: Vskip=        9       10      10      14      15      9       3       3       // (phy line)
: VgapT=        2       2       2       2       2       2       0       0       // (bin line)
: VgapB=        2       2       2       2       2       2       0       0       // (bin line)
: VdummyB=      0       0       0       0       0       0       0       0       // (bin line)
;- - - - - - - - - - - - - - - - - - - - - - - - - - - -*- - - - - - - - - - - -  
: HW_BinY=      1       1       2       4       3       1       1       1       //         
: RD_BinY=      2       1       1       1       2       2       2       2       //         
: RP1=          RP2C    RP1F0   RP1F0   RP1F0   RP2C    RP2M    RP2M    RP2M    // RP0 timing name
: RP0=          RP2C    RP1F1   RP1F1   RP1F1   RP2C    RP2M    RP2M    RP2M    // 
: RPF=          RP2M    RP2M    RP2M    RP2M    RP2M    RP2M    RP2M    RP2M    // RP Flash
: RD=           RD1     RD1     RD2     RD4     RD3     RD1     RD1     RD1HS   //
: HSWP=         HSWP    HSWP    HSWP    HSWP    HSWP    HSWP    HSWP    HSWPHS  //
;----------------------------------------------------------------------------------
: Gain[0]=	12.7    12.7    12.7    10.8    12.7    12.7    10.8    11.6      // MA
: Clamp[0]=     512     512     512     512     512     512     512     512     //
: MULT[0]=      32768   65536   32768   16384   10923   32768   32768   32768   // G-multiplier
: Vsub[0]=      13.8     9.1    13.8    13.8    13.8    13.8    11.5    11.5    //
;----------------------------------------------------------------------------------
: DOTune=	1	1	1	1	1	1	0	0
;------ DSP ---------------------------------------------------------------------
: dsp.RBO=      -1      -1      -1      -1      -1      -1      -1      -1      // Right black offs     
: dsp.RBN=      -1      -1      -1      -1      -1      -1      -1      -1      // Right black cnt      
: dsp.QTH=      500.    500.    500.    500.    500.    500.    500.    500.    // Hot pixel threshold
: dsp.black_src= 0.     0.      0.      0.      0.      0.      0.      0.      // BL*black_src     + BR*(1-black_src)
: dsp.black_mux= 0.     0.      0.      0.      0.      0.      0.      0.      // Vblack*black_mux + bl_src*(1-black_mux)
;

;
:ModeCnt = 8    // parser ptr
: description = Binning 4x4 PS  BW       15.7Hz;
:ModeCnt = 9
: description = Binning 4x4 PS  BW   HS  33Hz;
:ModeCnt = 10
: description = Binning 6x6 PS  BW       22.5Hz;
:ModeCnt = 11
: description = Binning 6x6 PS  BW   HS  47Hz;
:ModeCnt = 12
: description = Binning 1x1 IL  RGGB     4.0/8.0Hz;
:ModeCnt = 13
: description = Binning 1x1 IL  RGGB HS8 8/16Hz;
:ModeCnt = 14
: description = Binning 1x1 I2L RGGB     4.0/8.0Hz;
:ModeCnt = 15
: description = Binning 1x1 I2L RGGB HS8 8/16Hz;
;---------------------------------------------------------///////////////
:ModeCnt = 8    // parser ptr
;------ MRMODE ------------------
: dwCx=         646     646     430     430     2588    2588    2588    2588    // total spacial resolution
: dwCy=         490     490     326     326     1960    1960    1960    1960    //
: dwFields=     1       1       1       1       2       2       2       2       // number of fields to get one full frame
: dwBinX=       4       4       6       6       1       1       1       1       // Total Binning along x and y
: dwBinY=       4       4       6       6       1       1       1       1       //          
: mmMosaic=     0       0       0       0       1       1       1       1       // Mosaic of raw data
: dwRDO=        1       1       1       1       2       2       3       3       // Readout schema
: RP_offs=      7.2e-6  7.2e-6  7.2e-6  7.2e-6  7.2e-6  7.2e-6  7.2e-6  7.2e-6  // Readout pulse offset
: TG_Freq=      12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 // TG freq
;----------------------------------------------------------------------------------
: HSSEL=        1       0       1       0       1       0       1       0       // AFE HS timing #
: Hshift =      0       0       2       2       0       0       0       0       //        
: HW_BinX=      4       4       6       6       1       1       1       1       //         
;- - - - - - - - - - - - - - - - - - - - - - - - - - - -*- - - - - - - - - - - -  
: FSEL=         1       0       1       0       1       0       1       0       // AFE V timing #
: Vskip=        3       3       4       4       4       4       3       3       // (phy line)
: VgapT=        0       0       0       0       0       0       0       0       // (bin line)
: VdummyB=      0       0       0       0       0       0       0       0       // (bin line)
;- - - - - - - - - - - - - - - - - - - - - - - - - - - -*- - - - - - - - - - - -  
: HW_BinY=      2       2       3       3       1       1       1       1       //         
: RD_BinY=      2       2       2       2       1       1       1       1       //         
: RP1=          RP2M    RP2M    RP2M    RP2M    RP1F0   RP1F0   RP2F0   RP2F0   // RP0 timing name
: RP0=          RP2M    RP2M    RP2M    RP2M    RP1F1   RP1F1   RP2F1   RP2F1   // 
: RPF=          RP2M    RP2M    RP2M    RP2M    RP2M    RP2M    RP2M    RP2M    // RP Flash
: RD=           RD2     RD2HS   RD3     RD3HS   RD1     RD1H8   RD1     RD1H8   //
: HSWP=         HSWP    HSWPHS  HSWP    HSWPHS  HSWP    HSWPHS  HSWP    HSWPHS  //
;----------------------------------------------------------------------------------
: Gain[0]=	10.8    12.0    10.8    12.0    12.2    12.6    12.2    12.6    // MA
: Clamp[0]=     512     512     512     512     512     512     512     512     //
: MULT[0]=      16384   16384   10923   10923   65536   65536   65536   65536   // G-multiplier
: Vsub[0]=      12.7    12.7    13.8    13.8    9.1     9.1     9.1     9.1     //
;------ DSP ---------------------------------------------------------------------
: dsp.RBO=      -1      -1      -1      -1      -1      -1      -1      -1      // Right black offs     
: dsp.RBN=      -1      -1      -1      -1      -1      -1      -1      -1      // Right black cnt      
: dsp.QTH=      500.    500.    500.    500.    500.    500.    500.    500.    // Hot pixel threshold
: dsp.black_src= 0.     0.      0.      0.      0.      0.      0.      0.      // BL*black_src     + BR*(1-black_src)
: dsp.black_mux= 0.     0.      0.      0.      0.      0.      0.      0.      // Vblack*black_mux + bl_src*(1-black_mux)
;

;
:ModeCnt = 16    // parser ptr
: description = Binning 2x2 PS RGGB    8.0Hz;
:ModeCnt = 17
: description = Binning 2x2 PS RGGB HS 17.5Hz;
:ModeCnt = 18
: description = Binning 2x2 IL RGGB    7.8/15.6Hz;
:ModeCnt = 19
: description = Binning 2x2 IL RGGB HS 16.5/33Hz;
:ModeCnt = 20
: description = Binning 3x3 IL RGGB    11.4/22.8Hz;
:ModeCnt = 21
: description = Binning 3x3 IL RGGB HS 23.5/47Hz;
:ModeCnt = 22
: description = Binning 4x4 IL RGGB    14.8/29.6Hz;
:ModeCnt = 23
: description = Binning 4x4 IL RGGB HS 30/60Hz;
;-----------------------------
:ModeCnt = 16    // parser ptr
;------ MRMODE ------------------
: dwCx=         1294    1294    1294    1294    862     862     646     646     // total spacial resolution
: dwCy=         980     980     980     980     652     652     490     490     //
: dwFields=     1       1       2       2       2       2       2       2       // number of fields to get one full frame
: dwBinX=       2       2       2       2       3       3       4       4       // Total Binning along x and y
: dwBinY=       2       2       2       2       3       3       4       4       //          
: mmMosaic=     1       1       1       1       1       1       1       1       // Mosaic of raw data
: dwRDO=        0       0       2       2       2       2       2       2       // Readout schema
: RP_offs=      7.2e-6  7.2e-6  7.2e-6  7.2e-6  7.2e-6  7.2e-6  7.2e-6  7.2e-6  // Readout pulse offset
: TG_Freq=      12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 // TG freq
;----------------------------------------------------------------------------------
: HSSEL=        1       0       1       0       1       0       1       0       // AFE HS timing #
: Hshift =      0       0       0       0       0       0       0       0       //        
: HW_BinX=      2       2       2       2       3       3       4       4       //         
;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
: FSEL=         1       0       1       0       1       0       1       0       // AFE V timing #
: Vskip=        3       3       4       4       4       4       4       4       // (phy line)
: VgapT=        0       0       0       0       0       0       0       0       // (bin line)
: VdummyB=      0       0       0       0       0       0       0       0       // (bin line)
;- - - - - - - - - - - - - - - - - - - - - - - - - - - -*- - - - - - - - - - - -  
: HW_BinY=      1       1       2       2       3       3       4       4       //         
: RD_BinY=      2       2       1       1       1       1       1       1       //         
: RP1=          RP2C    RP2C    RP1F0   RP1F0   RP1F0   RP1F0   RP1F0   RP1F0   // RP0 timing name
: RP0=          RP2C    RP2C    RP1F1   RP1F1   RP1F1   RP1F1   RP1F1   RP1F1   // 
: RPF=          RP2M    RP2M    RP2M    RP2M    RP2M    RP2M    RP2M    RP2M    // RP Flash
: RD=           RD1     RD1HS   RD2     RD2HS   RD3     RD3HS   RD4     RD4HS   //
: HSWP=         HSWP    HSWPHS  HSWP    HSWPHS  HSWP    HSWPHS  HSWP    HSWPHS  //
;----------------------------------------------------------------------------------
: Gain[0]=	10.5    12.0    10.5    12.0    10.5    10.5    10.5    12.0    // MA
: Clamp[0]=     512     512     512     512     512     512     512     512     //
: MULT[0]=      32768   32768   32768   32768   21845   21845   16384   16384   // G-multiplier
: Vsub[0]=      11.5    11.5    11.5    11.5    13.8    13.8    13.8    13.8    //
;------ DSP ---------------------------------------------------------------------
: dsp.RBO=      -1      -1      -1      -1      -1      -1      -1      -1      // Right black offs     
: dsp.RBN=      -1      -1      -1      -1      -1      -1      -1      -1      // Right black cnt      
: dsp.QTH=      500.    500.    500.    500.    500.    500.    500.    500.    // Hot pixel threshold
: dsp.black_src= 0.     0.      0.      0.      0.      0.      0.      0.      // BL*black_src     + BR*(1-black_src)
: dsp.black_mux= 0.     0.      0.      0.      0.      0.      0.      0.      // Vblack*black_mux + bl_src*(1-black_mux)
;

;
:ModeCnt = 24    // parser ptr
: description = Binning 6x6 PS RGR     22.8Hz;
:ModeCnt = 25
: description = Binning 6x6 PS RGR  HS 47Hz;
:ModeCnt = 26
: description =xBinning 2x2 IL RGGB    8.0/16.0Hz;
:ModeCnt = 27
: description =xBinning 2x2 IL RGGB HS 16.5/33Hz;
:ModeCnt = 28
: description =xBinning 3x3 IL RGGB    11.4/22.8Hz;
:ModeCnt = 29
: description =xBinning 3x3 IL RGGB HS 23.5/47Hz;
:ModeCnt = 30
: description =xBinning 4x4 IL RGGB    14.8/29.6Hz;
:ModeCnt = 21
: description =xBinning 4x4 IL RGGB HS 30/60Hz;
;---------------------------------------------------------///////////////
:ModeCnt = 24    // parser ptr
;------ MRMODE ------------------
: dwCx=         430     430     1294    1294    862     862     646     646     // total spacial resolution
: dwCy=         326     326     980     980     652     652     490     490     //
: dwFields=     1       1       2       2       2       2       2       2       // number of fields to get one full frame
: dwBinX=       6       6       2       2       3       3       4       4       // Total Binning along x and y
: dwBinY=       6       6       2       2       3       3       4       4       //          
: mmMosaic=     3       3       1       1       1       1       1       1       // Mosaic of raw data
: dwRDO=        0       0       2       2       2       2       2       2       // Readout schema
: RP_offs=      7.2e-6  7.2e-6  7.2e-6  7.2e-6  7.2e-6  7.2e-6  7.2e-6  7.2e-6  // Readout pulse offset
: TG_Freq=      12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 // TG freq
;----------------------------------------------------------------------------------
: HSSEL=        1       0       1       0       1       0       1       0       // AFE HS timing #
: Hshift =      2       2       0       0       0       0       0       0       //        
: HW_BinX=      6       6       2       2       3       3       4       4       //         
;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
: FSEL=         1       0       1       0       1       0       1       0       // AFE V timing #
: Vskip=        3       3       4       4       4       4       4       4       // (phy line)
: VgapT=        0       0       0       0       0       0       0       0       // (bin line)
: VdummyB=      0       0       0       0       0       0       0       0       // (bin line)
;- - - - - - - - - - - - - - - - - - - - - - - - - - - -*- - - - - - - - - - - -  
: HW_BinY=      3       3       2       2       3       3       4       4       //         
: RD_BinY=      2       2       1       1       1       1       1       1       //         
: RP1=          RP2C    RP2C    RP1F0   RP1F0   RP1F0   RP1F0   RP1F0   RP1F0   // RP0 timing name
: RP0=          RP2C    RP2C    RP1F1   RP1F1   RP1F1   RP1F1   RP1F1   RP1F1   // 
: RPF=          RP2M    RP2M    RP2M    RP2M    RP2M    RP2M    RP2M    RP2M    // RP Flash
: RD=           RD3     RD3HS   RD2     RD2HS   RD3     RD3HS   RD4     RD4HS   //
: HSWP=         HSWP    HSWPHS  HSWP    HSWPHS  HSWP    HSWPHS  HSWP    HSWPHS  //
;----------------------------------------------------------------------------------
: Gain[0]=	10.5    12.0    10.5    12.0    10.5    10.5    10.5    12.0    // MA
: Clamp[0]=     512     512     512     512     512     512     512     512     //
: MULT[0]=      10923   10923   32768   32768   21845   21845   16384   16384   // G-multiplier
: Vsub[0]=      13.8    13.8    11.5    11.5    13.8    13.8    13.8    13.8    //
;------ DSP ---------------------------------------------------------------------
: dsp.RBO=      -1      -1      -1      -1      -1      -1      -1      -1      // Right black offs     
: dsp.RBN=      -1      -1      -1      -1      -1      -1      -1      -1      // Right black cnt      
: dsp.QTH=      500.    500.    500.    500.    500.    500.    500.    500.    // Hot pixel threshold
: dsp.black_src= 0.     0.      0.      0.      0.      0.      0.      0.      // BL*black_src     + BR*(1-black_src)
: dsp.black_mux= 0.     0.      0.      0.      0.      0.      0.      0.      // Vblack*black_mux + bl_src*(1-black_mux)
;
:ModeCnt = 26   // last defined mode


;--------------------------------------------------
/H10US 4 123
.38001 3801F 0707A FFFFF
/H1US 2 12
.0700B FFFFF
/HSWP 8 1374
.38001 3000A 3000D 3001E 3801F 30021 0755D FFFFF
/RD1 10 1520
.3B001 0100D 04012 02018 3901F 33025 3202A 0402F
.075EF FFFFF
/SWP1 10 226
.3B001 0100D 04012 02018 3901F 03025 0202A 0402F
.070E1 FFFFF
/SWP4 34 226
.3B001 0100D 04012 02018 3901F 03025 0202A 0402F
.03034 01039 0403E 02043 01048 0304D 02052 04057
.0305D 01069 0406E 02074 0107B 03081 02086 0408B
.03090 01095 0409A 0209F 010A4 030A9 020AE 040B3
.070E1 FFFFF
/HSWPHS 8 709
.38001 3000A 3000D 3001E 3801F 30021 072C4 FFFFF
/RD2 18 1556
.3B001 0100D 04012 02018 3901F 03025 0202A 0402F
.03034 01039 0403E 02043 01048 3304D 32052 04057
.07613 FFFFF
/RD4 34 1643
.3B001 0100D 04012 02018 3901F 03025 0202A 0402F
.03034 01039 0403E 02043 01048 0304D 02052 04057
.0305C 01061 04066 0206B 01070 03075 0207A 0407F
.03084 01089 0408E 02093 01098 3309D 320A2 040A7
.0766A FFFFF
/RD4HS 34 829
.3B001 0100D 04012 02018 3901F 03025 0202A 0402F
.03034 01039 0403E 02043 01048 0304D 02052 04057
.0305C 01061 04066 0206B 01070 03075 0207A 0407F
.03084 01089 0408E 02093 01098 0309D 320A2 340A7
.0733C FFFFF
/RD1HS 10 710
.3B001 0100D 04012 02018 3901F 03025 3202A 3402F
.072C5 FFFFF
/RP2M 32 356
.3B001 01009 04011 02018 3801F 01028 03030 02038
.04050 03060 01068 04070 1B079 02088 01098 1B099
.030A0 020A8 190B1 040C0 030D0 190D1 010D8 040E0
.020F8 01108 03110 02118 04120 30154 30157 07163
/RD3 26 1599
.3B001 0100D 04012 02018 3901F 03025 0202A 0402F
.03034 01039 0403E 02043 01048 0304D 02052 04057
.0305C 01061 04066 0206B 01070 33075 3207A 0407F
.0763E FFFFF
/RD2HS 18 749
.3B001 0100D 04012 02018 3901F 03025 0202A 0402F
.03034 01039 0403E 02043 01048 0304D 32052 34057
.072EC FFFFF
/RP2C 36 356
.3B001 01009 04011 02018 3801F 01028 03030 02038
.11041 04050 03060 11061 01068 04070 13079 02088
.01098 13099 030A0 020A8 090B1 040C0 030D0 090D1
.010D8 040E0 0B0E9 020F8 01108 0B109 03110 02118
.04120 30154 30157 07163
/RD3HS 26 789
.3B001 0100D 04012 02018 3901F 03025 0202A 0402F
.03034 01039 0403E 02043 01048 0304D 02052 04057
.0305C 01061 04066 0206B 01070 03075 3207A 3407F
.07314 FFFFF
/RD1H8 10 781
.3B001 0100D 04012 02018 3901F 03025 3202A 3402F
.0730C FFFFF
/SWP2 18 226
.3B001 0100D 04012 02018 3901F 03025 0202A 0402F
.03034 01039 0403E 02043 01048 0304D 02052 04057
.070E1 FFFFF
/RP1F0 14 356
.3B001 01009 04011 02018 3801F 01028 03030 02038
.19041 04050 19061 30154 30157 07163
/RP1F1 16 356
.38001 3801F 03028 01030 04038 1B041 02050 01060
.1B061 03068 02070 04088 30154 30157 07163 FFFFF
/RP2F1 32 356
.3B001 01009 04011 02018 3801F 01028 03030 02038
.11041 04050 03060 11061 01068 04070 13079 02088
.01098 13099 030A0 020A8 040C0 030D0 010D8 040E0
.020F8 01108 03110 02118 04120 30154 30157 07163
/RP2F0 24 356
.3B001 01009 04011 02018 3801F 01028 03030 02038
.09041 04050 03060 09061 01068 04070 0B079 02088
.01098 0B099 030A0 020A8 040B0 30154 30157 07163
;WF RAM : 424 (82%)
