;--------------------------------------------------
;--------------------------------------------------
- Version=0.1
;
:       TADJ_H =0.0             ;tA-tH, H = tH + TADJ_H         hot, housing
:       TADJ_C =0.0             ;tA-tC, C = tC + TADJ_C         cold, CCD
:       TADJ_N =0.0             ;tA-tN, N = tN + TADJ_N         NTC (optional)
:       TADJ_K = 1.12           ;tCCD = H + (C-H)*TADJ_K
:       TADJ_T = 25             ; Time constant (x0.7, sec)
:       TADJ_G = 4.0            ; Cooling gain 
:       PTBL_V =  0     50    100     150    200    250
:       PTBL_T = -1.5  -1.2     3     17.5   26.7   32.9
;
;
;-----------------------------------------------
;       MMM_NONE = 0x000,               // B/W sensors
;       MMM_RGGB = 0x001,               // Regular RGGB readout
;       MMM_CMYG = 0x002,               // AK Sony sensors
;       MMM_RGR  = 0x003,               // 2R+G readout of RGGB sensor
;       MMM_BGGR = 0x004                // BGGR readout
;-----------------------------------------------
;       RP_PS_COLOR     0               // Progressive scan color
;       RP_PS_MONO      1               // Progressive scan mono
;       RP_IL_1LINE     2               // Interlace 1 line - each field with individual colors: lines F0:0,2,4,6...   F1:1,3,5,7...
;       RP_IL_2LINE     3               // Interlace 2 line - each field with equivalent colors: lines F0:0,1,4,5...   F1:2,3,6,7...
;+++++++++++++++++++++++++++++++++++++++++++++++
-       Sensor          = ICX285        //
-       Mosaic          = RGGB          //
-       Fields          = 1             //
-       Hactive         = 1392          //
-       Vactive         = 1040          //
-	MinGap		= 2		// 
-       MinVsub         = 5.2           //
-       MaxVsub         = 15.0          //
-       MinGain         = 3.05          //
-       MaxGain         = 47.3          //
-       AFE             = 9970          //
-       kVsub           = 17.0          //
-       CTM             = 125e-6        // timer count
-	GainCnt		= 3		//
;----------------------------------------       
;
;=== AFE ====
;
:       HCLKMODE = 0x40                 // mode 2, IOVDD = 1V8
:       HBLKMASK = 0x1                  // Mask Polarity During HBLK : H1, H2, HL
:       PX0pos   = 2                    // AFE Delay
:       LVDel    = 1                    // LVCLK Rising Edge Delay
:       DOutPhase = 28 60 4             //
;
;HS-Timing 
: HScnt=0       // HS
:       HS      = 1                     // 49.152 MHz
:       H1LOC   = 56 24  1              // pos, neg, polarity
:       H2LOC   = 24 56  1              // pos, neg, polarity
:       HLLOC   =  0 14  1              // pos, neg, polarity
:       RGLOC   = 24 30  1              // pos, neg, polarity
:       SHLOC   = 36  4 14              // SHD,SHP,SHPW
:       HDS = 7 7 7 7 1 7               // Drive Strength : H1,H2,H3,H4,HL,RG
: HScnt=1       // Normal
:       HS      = 0                     // 24.576 MHz
:       H1LOC   =  2 34  1              // pos, neg, polarity
:       H2LOC   = 34  2  1              // pos, neg, polarity
:       HLLOC   =  0 14  1              // pos, neg, polarity
:       RGLOC   = 34 44  1              // pos, neg, polarity
:       SHLOC   = 36  6 14              // SHD,SHP,SHPW
:       HDS = 7 7 7 7 1 7               // Drive Strength : H1,H2,H3,H4,HL,RG
: HScnt=2
;
;
; HS 
:       AFldCnt = 0                     // Field
:       SCP     = 0                     //
:       SEL     = 0                     //
:       PBM     = 0 1                   //
:	HSyn0	= 35			// Syn(Hshift=0, Hbin=1, ln[Horg]=Pix0)
;----------------------------------------       
:       APatCnt = 0                     // HPAT Registers
:       HTO     = 1436  0               //
:       HTE     = 1436  0               //
:       CT      = 1416  1432            //
:       PT      = 0     1436            //
;
; Normal 
:       AFldCnt = 1                     // Field
:       SCP     = 0                     // SCP      0..8
:       SEL     = 1                     // HPAT_SEL 0..8
:       PBM     = 0 1                   // PBLK_MASKSTART/END 1..3
:	HSyn0	= 35			// Syn(Hshift=0, Hbin=1)
;----------------------------------------       
:       APatCnt = 1                     // HPAT Registers
:       HTO     = 1436  0               // HBLK_TOG 0..5, odd lines
:       HTE     = 1436  0               // HBLK_TOG 0..5,even lines
:       CT      = 1415  1430            // CLP_OB 
:       PT      = 0     1436            // PBLK
;
; 640x480 
:       AFldCnt = 2                     //
:       SCP     = 0                     //
:       SEL     = 2                     //
:       PBM     = 0 1                   //
:	HSyn0	= 35			// Syn(Hshift=0, Hbin=1)
;----------------------------------------       
:       APatCnt = 2                     //
:       HTO     = 1372  0               //
:       HTE     = 1372  0               //
:       CT      = 200   1000     1      // 1 : clamp VB only
:       PT      = 0     1372            //
;
; B2Color 
:       AFldCnt = 3                     // Field
:       SCP     = 0                     // SCP      0..8
:       SEL     = 3                     // HPAT_SEL 0..8
:       PBM     = 0 1                   // PBLK_MASKSTART/END 1..3
:	HSyn0	= 35			// Syn(Hshift=0, Hbin=1)
;----------------------------------------       
:       APatCnt = 3                     // HPAT Registers
:       HTO     = 1 146 147 280 1716  0               // HBLK_TOG 0..5, odd lines
:       HTE     = 1         280 1716  0               // HBLK_TOG 0..5,even lines
:       CT      = 1695   1710            // CLP_OB 
:       PT      = 290    1716            // PBLK
;
;
;
:ModeCnt = 0    // parser ptr
: description = Binning 2x2 PS BW HS 50Hz;
:ModeCnt = 1
: description = Binning 1x1 PS 14.2Hz;
:ModeCnt = 2
: description = Binning 2x2 PS 25.6Hz;
:ModeCnt = 3
: description = Binning 4x4 PS 47.5Hz;
:ModeCnt = 4
: description = Binning 8x8 PS 76Hz;
:ModeCnt = 5
: description = Binning 4x4 PS 80Hz;
:ModeCnt = 6
: description = Binning 1x1 PS 14.2Hz;
:ModeCnt = 7
: description = Binning 1x1 PS HS8 25Hz;
;;---------------------------------------------------------

:ModeCnt = 0    // parser ptr
;------ MRMODE ------------------
: dwCx=         688    1376    688     344     172     344     1392     1392    // total spacial resolution
: dwCy=         516    1038    516     258     129     258     1040     1040    //
: dwFields=     1       1       1       1       1       1       1       1       // number of fields to get one full frame
: dwBinX=       2       1       2       4       8       4       1       1       // Total Binning along x and y
: dwBinY=       2       1       2       4       8       4       1       1       //          
: mmMosaic=     0       1       0       0       0       0       1       1       // Mosaic of raw data
: dwRDO=        1       0       1       1       1       1       0       0       // Readout schema
: RP_offs=      4.7e-6  4.7e-6  4.7e-6  4.7e-6  4.7e-6  4.7e-6  4.7e-6  4.7e-6  // Readout pulse offset
: TG_Freq=      12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 // TG freq
;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -   - - -   - - -  
: HSSEL=        0       1       1       1       1       0       1       0       // AFE HS timing #
: Hshift =      8       8       8       8       8       0       0       0       //
: HgapR=        4       8       4       2       -1      2       -1      -1      //
: HW_BinX=      2       1       2       4       8       4       1       1       //         
;- - - - - - - - - - - - - - - - - - - - - - - - - - - -*- - - - - - - - - - - -  
: FSEL=         0       1       1       1       1       0       1       0       // AFE V timing #
: Vskip=        8       8       8       16      16      8       8       8       // (phy line)
: VgapT=        2       2       2       0       0       2       0       0       // (bin line)
: VgapB=        2       0       2       0       0       2       0       0       // (bin line)
: VdummyB=      0       0       0       0       0       0       0       0       // (bin line)
;- - - - - - - - - - - - - - - - - - - - - - - - - - - -*- - - - - - - - - - - -  
: HW_BinY=      2       1       2       4       8       4       1       1       //         
: RD_BinY=      1       1       1       1       1       1       1       1       //         
: RP0=          RP1     RP1     RP1     RP1     RP1     RP1     RP1     RP1     // RP0 timing name
: RP1=          RP1     RP1     RP1     RP1     RP1     RP1     RP1     RP1     //
: RPF=          RP1     RP1     RP1     RP1     RP1     RP1     RP1     RP1     // RP Flash
: RD=           RD2HS   RD1     RD2     RD4     RD8     RD4HS   RD1     RD1H8   //
: HSWP=         HSWPHS  HSWP    HSWP    HSWP    HSWP    HSWPHS  HSWP    HSWPHS  //
;----------------------------------------------------------------------------------
: Gain[0]=	8.5     7.6     13.3    13.0    12.8    12.5     7.5     7.9    // MA
: Clamp[0]=     512     512     512     256     128      256     512     512    //
: MULT[0]=      32768   65536   32768   32768   32768   32768   65536   65536   // G-multiplier
: Vsub[0]=      11.8    11.8    11.8    11.8    11.8    11.8    10.0    10.0    //
;----------------------------------------------------------------------------------
: DefGainOffs=	0	0.6	0	0	0	0	0	0
: DOTune=	1	1	1	1	1	1	0	0
;------ DSP ---------------------------------------------------------------------
: dsp.RBO=      -1      -1      -1      -1      -1      -1      -1      -1      // Right black offs     
: dsp.RBN=      -1      -1      -1      -1      -1      -1      -1      -1      // Right black cnt      
: dsp.QTH=      500.    500.    500.    500.    500.    500.    500.    500.    // Hot pixel threshold
: dsp.black_src= 0.     0.      0.      0.      0.      0.      0.      0.      // BL*black_src     + BR*(1-black_src)
: dsp.black_mux= 0.     0.      0.      0.      0.      0.      0.      0.      // Vblack*black_mux + bl_src*(1-black_mux)
;

;
:ModeCnt = 8    // parser ptr
: description = Binning 2x2 PS BW    25.6Hz;
:ModeCnt = 9
: description = Binning 2x2 PS BW HS 50Hz;
:ModeCnt =10
: description = Binning 4x4 PS BW    47.5Hz;
:ModeCnt =11
: description = Binning 4x4 PS BW HS 80Hz;
:ModeCnt =12
: description = Binning 8x8 PS BW    76Hz;
:ModeCnt =13
: description = Binning 2x2 PS BW    60Hz;
:ModeCnt =14
: description = Binning 2x2 PS CLR   27Hz;
:ModeCnt =15
: description = Binning 2x2 PS CLR   27Hz;
;;---------------------------------------------------------

:ModeCnt = 8    // parser ptr
;------ MRMODE ------------------
: dwCx=         696     696    348     348     174     640     696     696      // total spacial resolution
: dwCy=         520     520    260     260     130     480     520     520      //
: dwFields=     1       1       1       1       1       1       1       1       // number of fields to get one full frame
: dwBinX=       2       2       4       4       8       2       2       2       // Total Binning along x and y
: dwBinY=       2       2       4       4       8       2       2       2       //          
: mmMosaic=     0       0       0       0       0       0       3       3       // Mosaic of raw data
: dwRDO=        1       1       1       1       1       1       0       0       // Readout schema
: RP_offs=      4.7e-6  4.7e-6  4.7e-6  4.7e-6  4.7e-6  4.7e-6  4.7e-6  4.7e-6  // Readout pulse offset
: TG_Freq=      12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 // TG freq
;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -   - - -   - - -  
: HSSEL=        1       0       1       0       1       0       1       1       // AFE HS timing #
: Hshift =      0       0       0       0       0       60      0       0       //
: HW_BinX=      2       2       4       4       8       2       2       2       //         
;- - - - - - - - - - - - - - - - - - - - - - - - - - - -*- - - - - - - - - - - -  
: FSEL=         1       0       1       1       1       2       3       3       // AFE V timing #
: VblackT=      0       0       0       0       0       2       0       0       // (bin line)
: Vskip=        8       8       8       8       8       12      8       8       // (phy line)
: VgapT=        0       0       0       0       0       2       0       0       // (bin line)
: VgapB=        0       0       0       0       0       2       0       0       // (bin line)
: VdummyB=      0       0       0       0       0       0       0       0       // (bin line)
;- - - - - - - - - - - - - - - - - - - - - - - - - - - -*- - - - - - - - - - - -  
: HW_BinY=      2       2       4       4       8       2       2       2       //         
: RD_BinY=      1       1       1       1       1       1       1       1       //         
: RP0=          RP1     RP1     RP1     RP1     RP1     RP1     RP1     RP1     // RP0 timing name
: RP1=          RP1     RP1     RP1     RP1     RP1     RP1     RP1     RP1     //
: RPF=          RP1     RP1     RP1     RP1     RP1     RP1     RP1     RP1     // RP Flash
: RD=           RD2	RD2HS   RD4     RD4HS   RD8     RD640HS RD2C    RD2C    //
: HSWP=         HSWP    HSWPHS  HSWP    HSWPHS  HSWP    HSWPHS  HSWP    HSWP    //
;----------------------------------------------------------------------------------
: Gain[0]=	7.5     8.0     7.5     8.0     7.5     8.0     7.5     8.0     // MA
: Clamp[0]=     512     512     512     512     512     512     512     512     //
: MULT[0]=      32768   32768   16384   16384   8192    32768   32768   32768   // G-multiplier
: Vsub[0]=      11.8    11.8    11.8    11.8    11.8    11.8    11.8    11.8    //
;------ DSP ---------------------------------------------------------------------
: dsp.RBO=      -1      -1      -1      -1      -1      -1      -1      -1      // Right black offs     
: dsp.RBN=      -1      -1      -1      -1      -1      -1      -1      -1      // Right black cnt      
;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
: dsp.BL0=      0       0       0       0       0       1       0       0       // Black rect [Y0..
: dsp.BL1=      0       0       0       0       0       2       0       0       // Black rect    ..Y1)
: dsp.BC0=      0       0       0       0       0       4       0       0       // Black rect [X0..
: dsp.BC1=      0       0       0       0       0       640     0       0       // Black rect    ..X1)
;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
: dsp.QTH=      500.    500.    500.    500.    500.    500.    500.    500.    // Hot pixel threshold
: dsp.black_src= 0.     0.      0.      0.      0.      0.      0.      0.      // BL*black_src     + BR*(1-black_src)
: dsp.black_mux= 0.     0.      0.      0.      0.      1.      0.      0.      // Vblack*black_mux + bl_src*(1-black_mux)
;

;
:ModeCnt =16    // parser ptr
: description = Binning 2x2 PS BW    25.6Hz;
:ModeCnt =17
: description = Binning 2x2 PS BW HS 50Hz;
:ModeCnt =18
: description = Binning 4x4 PS BW    50Hz;
:ModeCnt =19
: description = Binning 4x4 PS BW HS 76Hz;
:ModeCnt =20
: description = Binning 8x8 PS BW    76Hz;
:ModeCnt =21
: description = Binning 2x2 PS BW    60Hz;
:ModeCnt =22
: description = Binning 1x1 PS BW    12.5Hz;
:ModeCnt =23
: description = Binning 1x1 PS BW    10Hz;
;;---------------------------------------------------------

:ModeCnt = 16    // parser ptr
;------ MRMODE ------------------
: dwCx=         1376   1376    1280    344     172     344     1392     1392    // total spacial resolution
: dwCy=         516    516     480     258     129     258     1040     1040    //
: dwFields=     1       1       1       1       1       1       1       1       // number of fields to get one full frame
: dwBinX=       1       1       1       4       8       4       1       1       // Total Binning along x and y
: dwBinY=       2       2       2       4       8       4       1       1       //          
: mmMosaic=     0       0       0       0       0       0       0       0       // Mosaic of raw data
: dwRDO=        0       1       1       1       1       1       1       1       // Readout schema
: RP_offs=      4.7e-6  4.7e-6  4.7e-6  4.7e-6  4.7e-6  4.7e-6  4.7e-6  4.7e-6  // Readout pulse offset
: TG_Freq=      12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 // TG freq
;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -   - - -   - - -  
: HSSEL=        1       0       0       1       1       0       1       1       // AFE HS timing #
: Hshift =      8       8       0       8       8       0       0       0       //
: HW_BinX=      1       1       1       4       8       4       1       1       //         
;- - - - - - - - - - - - - - - - - - - - - - - - - - - -*- - - - - - - - - - - -  
: FSEL=         1       0       1       1       1       0       1       1       // AFE V timing #
: Vskip=        8       8       8       16      16      8       8       8       // (phy line)
: VgapT=        2       2       0       0       0       2       0       0       // (bin line)
: VgapB=        2       2       0       0       0       2       0       0       // (bin line)
: VdummyB=      0       0       0       0       0       0       0       0       // (bin line)
;- - - - - - - - - - - - - - - - - - - - - - - - - - - -*- - - - - - - - - - - -  
: HW_BinY=      2       2       2       4       8       4       1       1       //         
: RD_BinY=      1       1       1       1       1       1       1       1       //         
: RP0=          RP1     RP1     RP1     RP1     RP1     RP1     RP1     RP1     // RP0 timing name
: RP1=          RP1     RP1     RP1     RP1     RP1     RP1     RP1     RP1     //
: RPF=          RP1     RP1     RP1     RP1     RP1     RP1     RP1     RP1     // RP Flash
: RD=           RD2     RD2HS   RD640HS RD4     RD8     RD4HS   RD1C    RD1A    //
: HSWP=         HSWP    HSWPHS  HSWPHS  HSWP    HSWP    HSWPHS  HSWP    HSWP    //
;----------------------------------------------------------------------------------
: Gain[0]=	8.0     8.0     8.0     8.0     8.0     8.0     7.5     7.5     // MA
: Clamp[0]=     512     512     512     128     64      128     512     512     //
: MULT[0]=      65536   65536   65536   65536   65536   65536   65536   65536   // G-multiplier
: Vsub[0]=      11.8    11.8    11.8    11.8    11.8    11.8    10.0    10.0    //
;------ DSP ---------------------------------------------------------------------
: dsp.RBO=      -1      -1      -1      -1      -1      -1      -1      -1      // Right black offs     
: dsp.RBN=      -1      -1      -1      -1      -1      -1      -1      -1      // Right black cnt      
: dsp.QTH=      500.    500.    500.    500.    500.    500.    500.    500.    // Hot pixel threshold
: dsp.black_src= 0.     0.      0.      0.      0.      0.      0.      0.      // BL*black_src     + BR*(1-black_src)
: dsp.black_mux= 0.     0.      0.      0.      0.      0.      0.      0.      // Vblack*black_mux + bl_src*(1-black_mux)
;

:ModeCnt = 24    // last defined mode


;--------------------------------------------------
/H10US 4 123
.38016 38038 0707A FFFFF
/H1US 2 12
.0700B FFFFF
/HSWP 8 751
.3000A 3000D 38016 3001E 30021 38038 072EE FFFFF
/RD1 14 820
.03001 0100B 04015 3801A 0201F 01029 03033 38038
.3003C 0203D 3003F 04047 07333 FFFFF
/SWP2 20 162
.03001 0100B 04015 38019 0201F 01029 03033 38038
.0203D 04047 03051 0105B 04065 0206F 01079 03083
.0208D 04097 070A1 FFFFF
/RD2HS 22 461
.03001 01008 04011 38012 02018 0101C 03023 0202C
.04031 38033 03036 0103D 04046 0204D 01051 03058
.3005F 02061 30062 04066 071CC FFFFF
/RD640HS 20 409
.03001 01005 3C00A 0200E 01012 03016 0201B 0401F
.3B023 01027 0402C 02030 01034 03038 0203D 30040
.04041 30043 07198 FFFFF
/SWP8 68 450
.03001 01008 04012 38016 02019 0101D 03024 0202E
.04035 38037 03039 01040 0404A 02051 01055 0305C
.02066 0406D 03071 01078 04082 02089 0108D 03094
.0209E 040A5 030A9 010B0 040BA 020C1 010C5 030CC
.020D6 040DD 030E1 010E8 040F2 020F9 010FD 03104
.0210E 04115 03119 01120 0412A 02131 01135 0313C
.02146 0414D 03151 01158 04162 02169 0116D 03174
.0217E 04185 03189 01190 0419A 021A1 011A5 031AC
.021B6 041BD 071C1 FFFFF
/SWP4 36 226
.03001 01008 04012 38016 02019 0101D 03024 0202E
.04035 38037 03039 01040 0404A 02051 01055 0305C
.02066 0406D 03071 01078 04082 02089 0108D 03094
.0209E 040A5 030A9 010B0 040BA 020C1 010C5 030CC
.020D6 040DD 070E1 FFFFF
/HSWPHS 8 381
.3000A 3000D 38019 3001E 30021 38038 0717C FFFFF
/RP1 34 501
.04001 38019 38038 0804A 0404B 08075 03108 01112
.0411C 02126 01130 0313A 02144 0414E 03158 01162
.0416C 02176 01180 0318A 02194 0419E 031A8 011B2
.041BC 021C6 011D0 031DA 021E4 301E5 301E8 041EE
.071F4 FFFFF
/RD2 22 904
.03001 0100B 04015 3801A 0201F 01029 03033 38038
.0203D 04047 03051 0105B 04065 0206F 01079 03083
.3008C 0208D 3008F 04097 07387 FFFFF
/RD4 36 962
.03001 01008 04011 38014 02018 0101C 03023 0202C
.3C031 03036 0103D 04046 0204D 01051 03058 02061
.04066 0306B 01072 0407B 02082 01086 0308D 02096
.0409B 030A0 010A7 040B0 020B7 010BB 030C2 300C4
.300C7 020CB 040D0 073C1
/RD8 68 1215
.03001 01008 04012 38014 02019 0101D 03024 0202E
.3C035 03039 01040 0404A 02051 01055 0305C 02066
.0406D 03071 01078 04082 02089 0108D 03094 0209E
.040A5 030A9 010B0 040BA 020C1 010C5 030CC 020D6
.040DD 030E1 010E8 040F2 020F9 010FD 03104 0210E
.04115 03119 01120 0412A 02131 01135 0313C 02146
.0414D 03151 01158 04162 02169 0116D 03174 0217E
.04185 03189 01190 0419A 021A1 011A5 031AC 301B5
.021B6 301B8 041BD 074BE
/RD4HS 38 572
.03001 01008 04011 38012 02018 0101C 03023 0202C
.04031 38033 03036 0103D 04046 0204D 01051 03058
.02061 04066 0306B 01072 0407B 02082 01086 0308D
.02096 0409B 030A0 010A7 040B0 020B7 010BB 030C2
.020CB 300CC 300CF 040D0 0723B FFFFF
/RD2C 20 861
.30001 30004 03005 0100F 3C019 02023 0102D 03037
.3803E 02041 0404B 03055 0105F 04069 02073 0107D
.03087 02091 0409B 0735C
/RD1H8 14 464
.03001 0100B 04015 3801A 0201F 01029 03033 38038
.3003C 0203D 3003F 04047 071CF FFFFF
/SWP1 12 162
.03001 0100B 04015 38019 0201F 01029 03033 38038
.0203D 04047 070A1 FFFFF
/RD1C 14 941
.03001 0100B 04015 3801A 0201F 01029 03033 38038
.3003C 0203D 3003F 04047 073AC FFFFF
/RD1A 14 1161
.03001 0100B 04015 3801A 0201F 01029 03033 38038
.3003C 0203D 3003F 04047 07488 FFFFF
;WF RAM : 474 (92%)
