;--------------------------------------------------
;--------------------------------------------------
- Version=0.1
;
:       TADJ_H =0.0             ;tA-tH, H = tH + TADJ_H         hot, housing
:       TADJ_C =0.0             ;tA-tC, C = tC + TADJ_C         cold, CCD
:       TADJ_N =0.0             ;tA-tN, N = tN + TADJ_N         NTC (optional)
:       TADJ_K = 1.12           ;tCCD = H + (C-H)*TADJ_K
:       TADJ_T = 25             ; Time constant (x0.7, sec)
:       TADJ_G = 4.0            ; Cooling gain 
:       PTBL_V =  0     50    100     150    200    250
:       PTBL_T = -1.5  -1.2     3     17.5   26.7   32.9
;
;
;-----------------------------------------------
;       MMM_NONE = 0x000,               // B/W sensors
;       MMM_RGGB = 0x001,               // Regular RGGB readout
;       MMM_CMYG = 0x002,               // AK Sony sensors
;       MMM_RGR  = 0x003,               // 2R+G readout of RGGB sensor
;       MMM_BGGR = 0x004                // BGGR readout
;-----------------------------------------------
;       RP_PS_COLOR     0               // Progressive scan color
;       RP_PS_MONO      1               // Progressive scan mono
;       RP_IL_1LINE     2               // Interlace 1 line - each field with individual colors: lines F0:0,2,4,6...   F1:1,3,5,7...
;       RP_IL_2LINE     3               // Interlace 2 line - each field with equivalent colors: lines F0:0,1,4,5...   F1:2,3,6,7...
;+++++++++++++++++++++++++++++++++++++++++++++++
-       Sensor          = ICX413        //
-       Mosaic          = RGGB          //
-       Fields          = 2             //
-       Hactive         = 3064          //
-       Vactive         = 2024          //
-	MinGap		= 2		// 
-       MinVsub         = 5.2           //
-       MaxVsub         = 15.0          //
-       MinGain         = 3.05          //
-       MaxGain         = 47.3          //
-       AFE             = 9970          //
-       kVsub           = 17.0          //
-       CTM             = 125e-6        // timer count
-	GainCnt		= 3		//
;----------------------------------------       
;
;=== AFE ====
;
:       HCLKMODE = 0x40                 // mode 2, IOVDD = 1V8
:       HBLKMASK = 0x1                  // Mask Polarity During HBLK : H1, H2, HL
:       HL_HBLKE = 0x8                  // Enable HBLK for HL output
:       PX0pos   = 2                    // AFE Delay
:       LVDel    = 1                    // LVCLK Rising Edge Delay
:       DOutPhase = 28 60 4             //
;
;HS-Timing 
: HScnt=0       // HS
:       HS      = 1                     // 49.152 MHz
:       H1LOC   = 56 24  1              // pos, neg, polarity
:       H2LOC   = 24 56  1              // pos, neg, polarity
:       HLLOC   = 24 56  1              // pos, neg, polarity
:       RGLOC   = 24 34  1              // pos, neg, polarity
:       SHLOC   = 36  4 14              // SHD,SHP,SHPW
:       HDS = 7 7 7 7 3 7               // Drive Strength : H1,H2,H3,H4,HL,RG
: HScnt=1       // Normal
:       HS      = 0                     // 24.576 MHz
:       H1LOC   =  2 34  1              // pos, neg, polarity
:       H2LOC   = 34  2  1              // pos, neg, polarity
:       HLLOC   = 26  2  1              // pos, neg, polarity
:       RGLOC   = 38 48  1              // pos, neg, polarity
:       SHLOC   = 36  6 14              // SHD,SHP,SHPW
:       HDS = 7 7 7 7 3 7               // Drive Strength : H1,H2,H3,H4,HL,RG
: HScnt=2
;
;
; HS 
:       AFldCnt = 0                     // Field
:       SCP     = 0                     //
:       SEL     = 0                     //
:       PBM     = 0 1                   //
:	HSyn0	= 67			// Syn(Hshift=0, Hbin=1, ln[Horg]=Pix0)
;----------------------------------------       
:       APatCnt = 0                     // HPAT Registers
:       HTO     = 3140  0               //
:       HTE     = 3140  0               //
:       CT      = 3100  3130            //
:       PT      = 0     3140            //
;
; Normal 
:       AFldCnt = 1                     // Field
:       SCP     = 0                     // SCP      0..8
:       SEL     = 1                     // HPAT_SEL 0..8
:       PBM     = 0 1                   // PBLK_MASKSTART/END 1..3
:	HSyn0	= 60			// Syn(Hshift=0, Hbin=1)
;----------------------------------------       
:       APatCnt = 1                     // HPAT Registers
:       HTO     = 3140  0               // HBLK_TOG 0..5, odd lines
:       HTE     = 3140  0               // HBLK_TOG 0..5,even lines
:       CT      = 3100  3130            // CLP_OB 
:       PT      = 0     3140            // PBLK
;
;
:ModeCnt = 0    // parser ptr
: description = Binning 2x2 PS BW HS 50Hz;
:ModeCnt = 1
: description = Binning 1x1 PS 13.5Hz;
:ModeCnt = 2
: description = Binning 2x2 PS 24Hz;
:ModeCnt = 3
: description = Binning 4x4 PS 50Hz;
:ModeCnt = 4mm
: description = Binning 8x8 PS 80Hz;
:ModeCnt = 5
: description = Binning 4x4 PS 80Hz;
:ModeCnt = 6
: description = Binning 1x1 PS 15Hz;
:ModeCnt = 7
: description = Binning 1x1 PS HS8 25Hz;
;;---------------------------------------------------------

:ModeCnt = 0    // parser ptr
;------ MRMODE ------------------
: dwCx=         1520   3064    1520     760     760     380     380     1392    // total spacial resolution
: dwCy=         1012   2024    1012     506     506     253     253     1040    //
: dwFields=     1       2       1       1       1       1       1       1       // number of fields to get one full frame
: dwBinX=       2       1       2       4       4       8       8       1       // Total Binning along x and y
: dwBinY=       2       1       2       4       4       8       8       1       //          
: mmMosaic=     0       1       0       0       0       0       0       0       // Mosaic of raw data
: dwRDO=        1       2       1       1       1       1       1       1       // Readout schema
: RP_offs=      4.7e-6  4.7e-6  4.7e-6  4.7e-6  4.7e-6  4.7e-6  4.7e-6  4.7e-6  // Readout pulse offset
: TG_Freq=      12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 // TG freq
;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -   - - -   - - -  
: HSSEL=        0       1       1       0       1       0       1       0       // AFE HS timing #
: Hshift =      0       0       0       0       0       0       0       0       //
: HW_BinX=      2       1       2       4       4       8       8       1       //         
;- - - - - - - - - - - - - - - - - - - - - - - - - - - -*- - - - - - - - - - - -  
: FSEL=         0       1       1       0       1       0       1       0       // AFE V timing #
: Vskip=        2       2       2       2       2       2       2       8       // (phy line)
: VgapT=        2       0       2       2       2       2       2       0       // (bin line)
: VdummyB=      0       0       0       0       0       0       0       0       // (bin line)
;- - - - - - - - - - - - - - - - - - - - - - - - - - - -*- - - - - - - - - - - -  
: HW_BinY=      1       1       1       2       2       4       4       1       //         
: RD_BinY=      2       1       2       2       2       2       2       1       //         
: RP0=          RP2     RP1F1   RP2     RP2     RP2     RP2     RP2     RP1     // RP0 timing name
: RP1=          RP2     RP1F0   RP2     RP2     RP2     RP2     RP2     RP1     //
: RPF=          RP2     RP2     RP2     RP2     RP2     RP2     RP2     RP1     // RP Flash
: RD=           RD1HS   RD1     RD1     RD2HS   RD2     RD4HS   RD4     RD1H8   //
: HSWP=         HSWPHS  HSWP    HSWP    HSWPHS  HSWP    HSWPHS  HSWP    HSWPHS  //
;----------------------------------------------------------------------------------
: Gain[0]=	8.0     8.0     8.0     8.0     8.0     8.0     8.0     7.9    // MA
: Clamp[0]=     512     512     512     512     512     512     512     512    //
: MULT[0]=      32768   65536   32768   16384   16384   8192    8192    65536   // G-multiplier
: Vsub[0]=      13.2    12.8    13.2    14.5    14.5    14.5    14.5    10.0    //
: Dac0=         0       0       0       0       0       0       0       255     // H_OFFS = 2.5v * Dac0 / 255.
;------ DSP ---------------------------------------------------------------------
: dsp.RBO=      -1      -1      -1      -1      -1      -1      -1      -1      // Right black offs     
: dsp.RBN=      -1      -1      -1      -1      -1      -1      -1      -1      // Right black cnt      
: dsp.QTH=      500.    500.    500.    500.    500.    500.    500.    500.    // Hot pixel threshold
: dsp.black_src= 0.     0.      0.      0.      0.      0.      0.      0.      // BL*black_src     + BR*(1-black_src)
: dsp.black_mux= 0.     0.      0.      0.      0.      0.      0.      0.      // Vblack*black_mux + bl_src*(1-black_mux)
;

:ModeCnt = 8    // last defined mode


;--------------------------------------------------
/H10US 4 123
.38003 38038 0707A FFFFF
/H1US 2 12
.0700B FFFFF
/HSWP 8 1553
.3000A 3800B 3000D 3001E 30021 38056 07610 FFFFF
/HSWPHS 8 945
.3000A 3800B 3000D 3001E 30021 38056 073B0 FFFFF
/RP1 34 501
.04001 10003 10038 3804A 0404B 38075 03108 01112
.0411C 02126 01130 0313A 02144 0414E 03158 01162
.0416C 02176 01180 0318A 02194 0419E 031A8 011B2
.041BC 021C6 011D0 031DA 021E4 301E5 301E8 041EE
.071F4 FFFFF
/RP2 16 797
.38014 3803F 10064 130C8 210E1 20145 0428A 022A3
.012BC 032D5 022EE 04307 3030D 30310 0731C FFFFF
/RD1 14 1891
.03001 3800B 0101A 04033 0204C 38056 01065 0307E
.30096 02097 30099 040B0 07762 FFFFF
/RD1HS 14 945
.03001 3800B 0101A 04033 0204C 38056 01065 0307E
.02097 300A5 300A8 040B0 073B0 FFFFF
/RD2 22 1920
.03001 3800B 0101A 04033 0204C 38056 01065 0307E
.02097 040B0 030C9 010E2 040FB 02114 0112D 03146
.3015E 0215F 30161 04178 0777F FFFFF
/RD2HS 22 1145
.03001 3800B 0101A 04033 0204C 38056 01065 0307E
.02097 040B0 030C9 010E2 040FB 02114 0112D 03146
.0215F 3016D 30170 04178 07478 FFFFF
/RD4HS 38 1545
.03001 3800B 0101A 04033 0204C 38056 01065 0307E
.02097 040B0 030C9 010E2 040FB 02114 0112D 03146
.0215F 04178 03191 011AA 041C3 021DC 011F5 0320E
.02227 04240 03259 01272 0428B 022A4 012BD 032D6
.022EF 302FD 30300 04308 07608 FFFFF
/RD4 38 2320
.03001 3800B 0101A 04033 0204C 38056 01065 0307E
.02097 040B0 030C9 010E2 040FB 02114 0112D 03146
.0215F 04178 03191 011AA 041C3 021DC 011F5 0320E
.02227 04240 03259 01272 0428B 022A4 012BD 032D6
.302EE 022EF 302F1 04308 0790F FFFFF
/SWP1 12 201
.03001 3800B 0101A 04033 0204C 38056 01065 0307E
.02097 040B0 070C8 FFFFF
/SWP2 20 401
.03001 3800B 0101A 04033 0204C 38056 01065 0307E
.02097 040B0 030C9 010E2 040FB 02114 0112D 03146
.0215F 04178 07190 FFFFF
/SWP4 36 801
.03001 3800B 0101A 04033 0204C 38056 01065 0307E
.02097 040B0 030C9 010E2 040FB 02114 0112D 03146
.0215F 04178 03191 011AA 041C3 021DC 011F5 0320E
.02227 04240 03259 01272 0428B 022A4 012BD 032D6
.022EF 04308 07320 FFFFF
/RP1F1 14 891
.3800B 38056 03065 2107E 04097 020B0 200E2 0112D
.03146 0215F 04178 3036B 3036E 0737A
/RP1F0 14 891
.3800B 38056 1007E 130E2 010FB 04114 0212D 011AA
.031C3 021DC 041F5 3036B 3036E 0737A
;WF RAM : 316 (61%)
