;--------------------------------------------------
;--------------------------------------------------
;
:	TADJ_H =-2.0		;tA-tH, H = tH + TADJ_H		hot, housing
:	TADJ_C =-2.0		;tA-tC, C = tC + TADJ_C		cold, CCD
:	TADJ_N =-0.2		;tA-tN, N = tN + TADJ_N		NTC (optional)
:	TADJ_K = 2.73		;tCCD = H + (C-H)*TADJ_K
:	TADJ_T = 35		; Time constant (x0.7, sec)
:	TADJ_G = 4.0		; Cooling gain 
:	PTBL_V =  0     50    100     150    200    250
:	PTBL_T = -0.7   4.3   15.1    23.4   29.7   33.9
;
;
;-----------------------------------------------
;	MMM_NONE = 0x000,		// B/W sensors
;	MMM_RGGB = 0x001,		// Regular RGGB readout
;	MMM_CMYG = 0x002,		// AK Sony sensors
;	MMM_RGR  = 0x003,		// 2R+G readout of RGGB sensor
;	MMM_BGGR = 0x004		// BGGR readout
;-----------------------------------------------
;	RP_PS_COLOR	0		// Progressive scan color
;	RP_PS_MONO	1		// Progressive scan mono
;	RP_IL_1LINE	2		// Interlace 1 line - each field with individual colors: lines F0:0,2,4,6...   F1:1,3,5,7...
;	RP_IL_2LINE	3		// Interlace 2 line - each field with equivalent colors: lines F0:0,1,4,5...   F1:2,3,6,7...
;+++++++++++++++++++++++++++++++++++++++++++++++
-	Sensor		= KAI4021CM	//
-	Mosaic		= RGGB		//
-	Fields		= 1		//
-       Hactive         = 2056          //
-       Vactive         = 2062          //
-	MinGap		= 2		// 
-	MinVsub		= 5.2		//
-	MaxVsub		= 15.0		//
-	MinGain		= 3.05		//
-	MaxGain		= 47.3		//
-	AFE		= 29970		//				
-	kVsub		= 17.0		//
-	CTM		= 125e-6	// timer count
-	NCR		= 1		// shutter mode, 0:multi, 1:single, ...
;----------------------------------------	
;
;=== AFE ====
;
:       HCLKMODE = 0x80                 // mode 3, IOVDD = 1V8
:       HBLKMASK = 0x2                  // H1, H2, HL
:       PX0pos   = 2                    // AFE Delay
:       LVDel    = 1                    // LVCLK Rising Edge Delay
:       DOutPhase = 26 58 4             //
;
;HS-Timing 
: HScnt=0       // HS
:       HS      = 1                     // 49.152 MHz
:       H1LOC   =  2 36  1              // pos, neg, polarity	H1LOC   =  4 36  1
:       H2LOC   = 60 26  1              // pos, neg, polarity	H2LOC   =  4 36  1
:       HLLOC   =  0 16  1              // pos, neg, polarity
:       RGLOC   = 30 52  1              // pos, neg, polarity	RGLOC   = 36 48  1
:       SHLOC   = 45 11  32              // SHD,SHP,SHPW		SHLOC   = 40 10 16
:       HDS = 7 7 7 7 1 7               // Drive Strength : H1,H2,H3,H4,HL,RG
: HScnt=1       // Normal
:       HS      = 0                     // 24.576 MHz
:       H1LOC   =  1 35  1              // pos, neg, polarity
:       H2LOC   = 63 29  1              // pos, neg, polarity
:       HLLOC   =  0 16  1              // pos, neg, polarity
:       RGLOC   = 38 48  1              // pos, neg, polarity
:       SHLOC   = 39  7  32              // SHD,SHP,SHPW
:       HDS = 4 4 4 4 1 7               // Drive Strength : H1,H2,H3,H4,HL,RG
: HScnt=2
;
;#0 : HS 
:       AFldCnt = 0                     // Field
:       SCP     = 0                     //
:       SEL     = 0                     //
:       PBM     = 0 1                   //
:	HSyn0	= 53			// Syn(Hshift=0, Hbin=1, ln[Horg]=Pix0)
;----------------------------------------       
:       APatCnt = 0                     // HPAT Registers
:	HTO	= 2112	0		// HBLK_TOG 0..5, odd lines
:	HTE	= 2112	0		// HBLK_TOG 0..5,even lines
:	CT	= 16	36		// CLP_OB 
:	PT	= 0	2110		// PBLK
;
;#1 Normal 
:       AFldCnt = 1                     // Field
:       SCP     = 0                     // SCP      0..8
:       SEL     = 1                     // HPAT_SEL 0..8
:       PBM     = 0 1                   // PBLK_MASKSTART/END 1..3
:	HSyn0	= 53			// Syn(Hshift=0, Hbin=1, ln[Horg]=Pix0)
;----------------------------------------       
:       APatCnt = 1                     // HPAT Registers
:	HTO	= 2112	0		// HBLK_TOG 0..5, odd lines
:	HTE	= 2112	0		// HBLK_TOG 0..5,even lines
:	CT	= 16	36		// CLP_OB 
:	PT	= 0	2110		// PBLK
;
;
;

:ModeCnt = 0	// parser ptr
: description = Binning 1x1 progressive scan 4.8Hz;
:ModeCnt = 1
: description = Binning 2x2 progressive scan 9.3Hz;
:ModeCnt = 2
: description = Binning 3x3 progressive scan 14.88Hz;
:ModeCnt = 3
: description = Binning 4x4 progressive scan 18.92Hz;
:ModeCnt = 4
: description = Binning 4x4 progressive scan high speed 32.4Hz;
:ModeCnt = 5
: description = Binning 1x1 progressive scan 5.35Hz Color;
:ModeCnt = 6
: description = Binning 2x2 progressive scan 10.34Hz;
:ModeCnt = 7
: description = Binning 3x3 progressive scan 14.88Hz;
;;---------------------------------------------------------
:ModeCnt = 0    // parser ptr
;------ MRMODE ------------------
: dwCx=         2048    1024    680     512     512     2048    1024    680     // total spacial resolution
: dwCy=         2048    1024    680     512     512     2048    1024    680     //
: minCy=        32      32      32      32      32      32      32      32      //     
: dwFields=     1       1       1       1       1       1       1       1       // number of fields to get one full frame
: dwBinX=       1       2       3       4       4       1       2       3       // Total Binning along x and y
: dwBinY=       1       2       3       4       4       1       2       3       //         
: mmMosaic=     0       0       0       0       0       4       0       0       // Mosaic of raw data
: dwRDO=        0       0       0       0       0       0       0       0       // Readout schema
: RP_offs=      27e-6   27e-6   27e-6   27e-6   27e-6   27e-6   27e-6   27e-6   // Readout pulse offset
: TG_Freq=      12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 // TG freq
;- - - - - - - - - - - - - - - -                         - - - - - - - - - - - -
: HSSEL=        1       1       1       1       0       1       1       1       // AFE HS timing #
: Hshift =      4       4       6       4       4       4       4       6       //
: HgapR=        2       2       2       2       2      -1      -1      -1      //
: HW_BinX=      1       2       3       4       4       1       2       3       //        
;- - - - - - - - - - - - - - - -                         - - - - - - - - - - - -
: FSEL=         1       1       1       1       0       1       1       1       // AFE timing #
: Vskip=        4       2       0       6       6       5       2       0       // (phy line)
: VgapT=        2       2       2       0       0       2       2       2       // (bin line)
: VgapB=        2       2       2       0       0       2       2       2       // (bin line)
: VdummyB=      0       0       0       0       0       0       0       0       // (bin line)
;- - - - - - - - - - - - - - - -                         - - - - - - - - - - - -
: HW_BinY=      1       2       3       4       4       1       2       3       //        
: RD_BinY=      1       1       1       1       1       1       1       1       //        
: RP0=          RP1     RP1     RP1     RP1     RP1     RP1     RP1     RP1     // RP0 timing name
: RP1=          RP1     RP1     RP1     RP1     RP1     RP1     RP1     RP1     // 
: RPF=          RP1     RP1     RP1     RP1     RP1     RP1     RP1     RP1     // 
: RD=           RD1     RD2     RD3     RD4     RD4HS   RD1     RD2     RD3     //
: HSWP=         HSWP    HSWP    HSWP    HSWP    HSWP    HSWP    HSWP    HSWP    //
;- - - - - - - - - - - - - - - -                         - - - - - - - - - - - -
: Vsub[0]=      10.7    12.0    14.0    14.8    14.8    10.7    12.0    12.0    //
: Gain[0]=      6.0     6.0     6.0     6.0     6.0     6.0     6.0     6.0     // db
;: Gain[0]=        0       0       0       0       0       0       0       0     // db
: Clamp[0]=     512     256     171     128     128     512     512     512     //
: MULT[0]=      65536   65536   65536   65536   65536   65536   32768   21845   // G-multiplier
;- - - - - - - - - - - - - - - -                         - - - - - - - - - - - -
: DOTune=        1       0       0       0       0       0       0       0      //
;- - - - - - - - - - - - - - - -                         - - - - - - - - - - - -
: Dac0=         120     120     120     120     120     120     120     120     // OGL = 2.0v * (1. - Dac0/255.)
: Dac1=         120     120     120     120     120     120     120     120     // OGR
;------ DSP ---------------------                       ------------------------
: dsp.RBO=      -1      -1      -1      -1      -1      -1      -1      -1      // Right black offs     
: dsp.RBN=      -1      -1      -1      -1      -1      -1      -1      -1      // Right black cnt      
: dsp.QTH=      500.    500.    500.    500.    500.    500.    500.    500.    // Hot pixel threshold
: dsp.black_src= 0.     0.      0.      0.      0.       0.      0.      0.     // BL*black_src     + BR*(1-black_src)
: dsp.black_mux= 0.     0.      0.      0.      0.       0.      0.      0.     // Vblack*black_mux + bl_src*(1-black_mux)
;
:ModeCnt = 8
: description = Binning 4x4 progressive scan 18.92Hz;
:ModeCnt = 9
: description = Binning 4x4 progressive scan high speed 32.4Hz;
;;---------------------------------------------------------
:ModeCnt = 8
;------ MRMODE ------------------
: dwCx=         512     512    680     512     512     2048    1024    680     // total spacial resolution
: dwCy=         512     512    680     512     512     2048    1024    680     //
: minCy=        32      32      32      32      32      32      32      32      //     
: dwFields=     1       1       1       1       1       1       1       1       // number of fields to get one full frame
: dwBinX=       4       4       3       4       4       1       2       3       // Total Binning along x and y
: dwBinY=       4       4       3       4       4       1       2       3       //         
: mmMosaic=     0       0       0       0       0       4       0       0       // Mosaic of raw data
: dwRDO=        0       0       0       0       0       0       0       0       // Readout schema
: RP_offs=      27e-6   27e-6   27e-6   27e-6   27e-6   27e-6   27e-6   27e-6   // Readout pulse offset
: TG_Freq=      12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 // TG freq
;- - - - - - - - - - - - - - - -                         - - - - - - - - - - - -
: HSSEL=        1       0       1       1       0       1       1       1       // AFE HS timing #
: Hshift =      4       4       6       4       4       4       4       6       //
: HW_BinX=      4       4       3       4       4       1       2       3       //        
;- - - - - - - - - - - - - - - -                         - - - - - - - - - - - -
: FSEL=         1       0       1       1       0       1       1       1       // AFE timing #
: Vskip=        6       6       0       6       6       5       2       0       // (phy line)
: VgapT=        0       0       2       0       0       2       2       2       // (bin line)
: VgapB=        0       0       2       0       0       2       2       2       // (bin line)
: VdummyB=      0       0       0       0       0       0       0       0       // (bin line)
;- - - - - - - - - - - - - - - -                         - - - - - - - - - - - -
: HW_BinY=      4       4       3       4       4       1       2       3       //        
: RD_BinY=      1       1       1       1       1       1       1       1       //        
: RP0=          RP1     RP1     RP1     RP1     RP1     RP1     RP1     RP1     // RP0 timing name
: RP1=          RP1     RP1     RP1     RP1     RP1     RP1     RP1     RP1     // 
: RPF=          RP1     RP1     RP1     RP1     RP1     RP1     RP1     RP1     // 
: RD=           RD4     RD4HS   RD3     RD4     RD4HS   RD1     RD2     RD3     //
: HSWP=         HSWP    HSWP    HSWP    HSWP    HSWP    HSWP    HSWP    HSWP    //
;- - - - - - - - - - - - - - - -                         - - - - - - - - - - - -
: Vsub[0]=      14.8    12.0    14.0    14.8    14.8    10.7    12.0    12.0    //
: Gain[0]=      6.0     10.0     6.0     6.0     6.0     6.0     6.0     6.0     // db
;: Gain[0]=        0       0       0       0       0       0       0       0     // db
: Clamp[0]=     512     540     171     128     128     512     512     512     //
: MULT[0]=      16384   15384   65536   65536   65536   65536   32768   21845   // G-multiplier
;- - - - - - - - - - - - - - - -                         - - - - - - - - - - - -
: DOTune=        1       0       0       0       0       0       0       0      //
;- - - - - - - - - - - - - - - -                         - - - - - - - - - - - -
: Dac0=         120     120     120     120     120     120     120     120     // OGL = 2.0v * (1. - Dac0/255.)
: Dac1=         120     120     120     120     120     120     120     120     // OGR
;------ DSP ---------------------                       ------------------------
: dsp.RBO=      -1      -1      -1      -1      -1      -1      -1      -1      // Right black offs     
: dsp.RBN=      -1      -1      -1      -1      -1      -1      -1      -1      // Right black cnt      
: dsp.QTH=      500.    500.    500.    500.    500.    500.    500.    500.    // Hot pixel threshold
: dsp.black_src= 0.     0.      0.      0.      0.       0.      0.      0.     // BL*black_src     + BR*(1-black_src)
: dsp.black_mux= 0.     0.      0.      0.      0.       0.      0.      0.     // Vblack*black_mux + bl_src*(1-black_mux)
;
:ModeCnt = 10    // last defined mode;--------
;--------------------------------------------------
/H1US 2 12
.0700B FFFFF
/HSWP 8 1116
.0600A 0600D 38019 0601E 06021 38028 0745B FFFFF
/RD2 20 1266
.1300B 0100C 0A018 3B019 03025 0A026 38028 11032
.03033 1303F 01040 0A04C 0304D 03059 0A05A 06065
.11066 03067 06068 074F1
/H10US 4 123
.38019 38028 0707A FFFFF
/SWP1 14 301
.04001 13007 01008 0A014 03015 38019 38028 0302C
.0A02D 1103A 0303B 04046 0712C FFFFF
/RD3 28 1198
.1300B 0100C 0A018 3B019 03025 0A026 38028 11032
.03033 1303F 01040 0A04C 0304D 03059 0A05A 11066
.03067 13073 01074 0A080 03081 0308D 0A08E 06096
.06099 1109A 0309B 074AD
/RD4HS 36 726
.1300B 0100C 0A018 3B019 03025 0A026 38028 11032
.03033 1303F 01040 0A04C 0304D 03059 0A05A 11066
.03067 13073 01074 0A080 03081 0308D 0A08E 1109A
.0309B 130A7 010A8 0A0B4 030B5 030C1 0A0C2 060CD
.110CE 030CF 060D0 072D5
/RD4 36 1253
.1300B 0100C 0A018 3B019 03025 0A026 38028 11032
.03033 1303F 01040 0A04C 0304D 03059 0A05A 11066
.03067 13073 01074 0A080 03081 0308D 0A08E 1109A
.0309B 130A7 010A8 0A0B4 030B5 030C1 0A0C2 060C9
.060CC 110CE 030CF 074E4
/RD1 14 1227
.13007 01008 0A014 03015 38019 38028 0302C 0A02D
.1103A 0303B 0603C 0603F 074CA FFFFF
/SWP2 22 601
.04001 13007 01008 0A014 03015 38019 38028 0302C
.0A02D 1103A 0303B 13133 01134 0A140 03141 03158
.0A159 11166 03167 04172 07258 FFFFF
/SHT 8 173
.30033 3804B 3004D 30050 3006A 38096 070AC FFFFF
/RP1 96 3051
.10001 08002 38019 38028 041AE 281F4 011F5 021F6
.0222F 29230 082BB 102BC 13453 01454 0A460 03461
.03478 0A479 11486 03487 1351B 0151C 0A528 03529
.03540 0A541 1154E 0354F 135E3 015E4 0A5F0 035F1
.03608 0A609 11616 03617 136AB 016AC 0A6B8 036B9
.036D0 0A6D1 116DE 036DF 13773 01774 0A780 03781
.03798 0A799 117A6 037A7 1383B 0183C 0A848 03849
.03860 0A861 1186E 0386F 13903 01904 0A910 03911
.03928 0A929 11936 03937 139CB 019CC 0A9D8 039D9
.039F0 0A9F1 119FE 039FF 13A93 01A94 0AAA0 03AA1
.03AB8 0AAB9 11AC6 03AC7 13B5B 01B5C 0AB68 03B69
.03B80 0AB81 11B8E 03B8F 04BA4 06BDD 06BE0 07BEA
;WF RAM : 288 (56%)
