;--------------------------------------------------
;--------------------------------------------------
- Version=0.2
;
:       TADJ_H =0.0             ;tA-tH, H = tH + TADJ_H         hot, housing
:       TADJ_C =0.0             ;tA-tC, C = tC + TADJ_C         cold, CCD
:       TADJ_N =0.0             ;tA-tN, N = tN + TADJ_N         NTC (optional)
:       TADJ_K = 1.12           ;tCCD = H + (C-H)*TADJ_K
:       TADJ_T = 25             ; Time constant (x0.7, sec)
:       TADJ_G = 4.0            ; Cooling gain 
:       PTBL_V =  0     50    100     150    200    250
:       PTBL_T = -1.2  -1.2     3     17.5   26.7   32.9
;
;
;-----------------------------------------------
;       MMM_NONE = 0x000,               // B/W sensors
;       MMM_RGGB = 0x001,               // Regular RGGB readout
;       MMM_CMYG = 0x002,               // AK Sony sensors
;       MMM_RGR  = 0x003,               // 2R+G readout of RGGB sensor
;       MMM_BGGR = 0x004                // BGGR readout
;-----------------------------------------------
;       RP_PS_COLOR     0               // Progressive scan color
;       RP_PS_MONO      1               // Progressive scan mono
;       RP_IL_1LINE     2               // Interlace 1 line - each field with individual colors: lines F0:0,2,4,6...   F1:1,3,5,7...
;       RP_IL_2LINE     3               // Interlace 2 line - each field with equivalent colors: lines F0:0,1,4,5...   F1:2,3,6,7...
;+++++++++++++++++++++++++++++++++++++++++++++++
-       Sensor          = ICX456        //
-       Mosaic          = RGGB          //
-       Fields          = 3             //
-       Hactive         = 3288          // # of effective pixels (H)
-       Vactive         = 2472          // # of effective pixels (V)
-	MinGap		= 2		// 
-       MinVsub         = 5.2           //
-       MaxVsub         = 15.0          //
-       MinGain         = 3.05          //
-       MaxGain         = 47.3          //
-       AFE             = 9970          //
-       kVsub           = 17.0          //
-       CTM             = 125e-6        // timer count
-	GainCnt		= 3		//
;----------------------------------------       
;
;=== AFE ====
;
:       HCLKMODE = 0x40                 // mode 2, IOVDD = 1V8
:       HBLKMASK = 0x1                  // Mask Polarity During HBLK : H1, H2, HL
:       PX0pos   = 2                    // AFE Delay
:       LVDel    = 1                    // LVCLK Rising Edge Delay
:       DOutPhase = 28 60 4             //
;
;HS-Timing 
: HScnt=0				// HS
:       HS      = 1                     // 49.152 MHz
:       H1LOC   = 46 14  0              // pos, neg, polarity
:       H2LOC   = 14 46  0              // pos, neg, polarity
:       HLLOC   =  6 38  1              // pos, neg, polarity
:       RGLOC   = 23 33  1              // pos, neg, polarity
:       SHLOC   = 34 04 14              // SHD,SHP,SHPW
:       HDS = 4 4 4 4 1 4               // Drive Strength : H1,H2,H3,H4,HL,RG
: HScnt=1				// Normal
:       HS      = 0                     // 24.576 MHz
:       H1LOC   =  0 32  0              // pos, neg, polarity
:       H2LOC   = 32  0  0              // pos, neg, polarity
:       HLLOC   = 32  0  1              // pos, neg, polarity
:       RGLOC   = 28 40  1              // pos, neg, polarity
:       SHLOC   = 32  0 14              // SHD,SHP,SHPW
:       HDS = 3 3 3 3 1 1               // Drive Strength : H1,H2,H3,H4,HL,RG
: HScnt=2
;
;
; HS 
:       AFldCnt = 0                     // Field
:       SCP     = 0                     //
:       SEL     = 0                     //
:       PBM     = 0 1                   //
:	HSyn0	= 52			// Syn(Hshift=0, Hbin=1, ln[Horg]=Pix0)
;----------------------------------------       
:       APatCnt = 0                     // HPAT Registers
:       HTO     = 2656 0                // HBLK_TOG 0..5, odd lines
:       HTE     = 2656 0                // HBLK_TOG 0..5,even lines
:       CT      = 2632  2654            // CLP_OB 
:       PT      = 0     2656            // PBLK
;
; Normal 
:       AFldCnt = 1                     // Field
:       SCP     = 0                     // SCP      0..8
:       SEL     = 1                     // HPAT_SEL 0..8
:       PBM     = 0 1                   // PBLK_MASKSTART/END 1..3
:	HSyn0	= 52			// Syn(Hshift=0, Hbin=1)
;----------------------------------------       
:       APatCnt = 1                     // HPAT Registers
:       HTO     = 3350 0                // HBLK_TOG 0..5, odd lines
:       HTE     = 3350 0                // HBLK_TOG 0..5,even lines
:       CT      = 3330  3348            // CLP_OB 
:       PT      = 0     3350            // PBLK
;

;
:ModeCnt = 0    // parser ptr
: description =*Binning 2x2 PS RGGB 8Hz;
:ModeCnt = 1
: description =*Binning 1x1 IL RGGB 4.0/8Hz;
:ModeCnt = 2
: description =*Binning 2x2 IL RGGB 7.8/15.7Hz;
:ModeCnt = 3
: description =*Binning 4x4 IL RGGB 16.5/33 Hz;
:ModeCnt = 4
: description =*Binning 6x6 PS RGR  22Hz;
:ModeCnt = 5
: description =*Binning 2x2 PS BW   8Hz;
:ModeCnt = 6
: description = Binning 2x2 PS BW   8Hz;
:ModeCnt = 7
: description = Binning 2x2 PS BW HS 15.7Hz;
;---------------------------------------------------------///////////////
:ModeCnt = 0    // parser ptr
;------ MRMODE ------------------
: dwCx=         1096    3288    3288    3288    1096    1096    1096    1096    // total spacial resolution
: dwCy=         824     2472    824     824     824     824     824     824     //
: dwFields=     1       3       1       1       1       1       1       1       // number of fields to get one full frame
: dwBinX=       3       1       1       1       3       3       3       3       // Total Binning along x and y
: dwBinY=       1       1       1       1       1       1       1       1       //          
: mmMosaic=     1       1       1       1       1       1       1       1       // Mosaic of raw data
: dwRDO=        0       2       0       0       0       0       0       0       // Readout schema
: RP_offs=      7.2e-6  5.2e-6  7.2e-6  7.2e-6  7.2e-6  7.2e-6  7.2e-6  7.2e-6  // Readout pulse offset
: TG_Freq=      12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 // TG freq
;----------------------------------------------------------------------------------
: HSSEL=        1       1       1       1       1       1       1       1       // AFE HS timing #
: Hshift =      0       0       0       0       0       0       0       0       //        
: HW_BinX=      3       1       1       1       3       3       3       3       //         
;- - - - - - - - - - - - - - - - - - - - - - - - - - - -*- - - - - - - - - - - -  
: FSEL=         1       1       1       1       1       1       1       1       // AFE V timing #
: Vskip=        1       1       1       1       1       1       1       1       // (phy line)
: VgapT=        2       2       2       2       2       2       2       2       // (bin line)
: VgapB=        2       2       2       2       2       2       2       2       // (bin line)
: VdummyB=      8       8       8       8       8       8       8       8       // (bin line)
;- - - - - - - - - - - - - - - - - - - - - - - - - - - -*- - - - - - - - - - - -  
: HW_BinY=      1       1       1       1       1       1       1       1       //         
: RD_BinY=      1       1       1       1       1       1       1       1       //         
: RP2=          void    RP1F5   void    void    void    void    void    void    // RP0 timing name
: RP1=          void    RP1F3   void    void    void    void    void    void    // RP0 timing name
: RP0=          RP1F5   RP1F1   RP1F5   RP1F5   RP2C    RP2C1   RP2C3   RP2C5   // 
: RPF=          void    void    void    void    void    void    void    void    // RP Flash
: RD=           RD1     RD1     RD1     RD1H    RD1     RD1     RD1     RD1     //
: HSWP=         HSWP    HSWP    HSWP    HSWP    HSWP    HSWP    HSWP    HSWPHS  //
;----------------------------------------------------------------------------------
: Gain[0]=	12.7    12.7    12.7    12.7    12.7    12.7    12.7    12.7      // MA
: Clamp[0]=     512     512     512     512     512     512     512     512     //
: MULT[0]=      21845   65536   65536   65536   21845   21845   21845   21845   // G-multiplier
: Vsub[0]=      9.0     9.0     9.0     9.0     12.0     9.0     9.0     9.0     //
;------ DSP ---------------------------------------------------------------------
: dsp.RBO=      -1      -1      -1      -1      -1      -1      -1      -1      // Right black offs     
: dsp.RBN=      -1      -1      -1      -1      -1      -1      -1      -1      // Right black cnt      
: dsp.QTH=      500.    500.    500.    500.    500.    500.    500.    500.    // Hot pixel threshold
: dsp.black_src= 0.     0.      0.      0.      0.      0.      0.      0.      // BL*black_src     + BR*(1-black_src)
: dsp.black_mux= 0.     0.      0.      0.      0.      0.      0.      0.      // Vblack*black_mux + bl_src*(1-black_mux)
;
:ModeCnt = 8   // last defined mode


;--------------------------------------------------
/H10US 4 123
.38001 3801F 0707A FFFFF
/H1US 2 12
.0700B FFFFF
/HSWP 8 1901
.38001 3000A 3000D 3001E 3801F 30021 0776C FFFFF
/RD1 18 2091
.3D001 0100B 06015 3A01F 21029 03033 2A03D 04047
.03051 0505B 04065 0606F 20079 28083 3008C 30091
.0782A FFFFF
/SWP1 16 226
.3D001 0100B 06015 3A01F 21029 03033 0203D 04047
.03051 0505B 04065 0606F 28073 20079 28083 070E1
/RP1F1 26 356
.38001 0600A 2001E 3801F 28032 1903D 06050 19063
.2506E 29078 06082 0208C 21096 030A0 2A0AA 040B4
.030BE 050C8 040D2 060DC 200E6 280F0 30154 30157
.07163 FFFFF
/SWP2 30 261
.3D001 0100B 06015 3A01F 21029 03033 0203D 04047
.03051 0505B 04065 0606F 28073 25079 29083 0608D
.02097 210A1 030AB 020B5 040BF 030C9 050D3 040DD
.060E7 280EB 200F1 280FB 07104 FFFFF
/RP1F3 22 356
.38001 05015 3801F 01028 0603C 1B03D 02050 1B063
.21064 0306E 2A078 04082 0308C 05096 040A0 060AA
.200B4 280BE 30154 30157 07163 FFFFF
/RP1F5 20 356
.3D001 0100A 06014 0201E 3801F 21028 03032 2A03C
.1D03D 04050 1D063 03064 0506E 04078 06082 2008C
.28096 30154 30157 07163
/RP2C1 34 542
.38001 0600A 3801F 06046 0505A 0106E 06078 0208C
.010A0 030B4 020BE 040D2 030E6 050FA 04104 19105
.06118 1912B 0512C 01140 0614A 0215E 01172 03186
.02190 041A4 031B8 051CC 041D6 061E0 3020E 30211
.0721D FFFFF
/RD1H 20 1901
.38001 05005 0100A 0600F 02014 21019 0301E 3801F
.2A023 04028 0302D 05032 04037 0603C 20046 28050
.3008C 30091 0776C FFFFF
/RP2C3 34 542
.38001 0600A 3801F 06046 0505A 0106E 06078 1B079
.0208C 1B09F 010A0 030B4 020BE 040D2 030E6 050FA
.04104 06118 0512C 01140 0614A 0215E 01172 03186
.02190 041A4 031B8 051CC 041D6 061E0 3020E 30211
.0721D FFFFF
/RP2C 36 356
.38001 0501E 3801F 01028 1B029 06032 0203C 1B04F
.01050 0305A 02064 0406E 03078 05082 0408C 1908D
.060A0 190B3 050B4 010BE 060C8 020D2 010DC 030E6
.020F0 1D0F1 04104 1D117 03118 05122 0412C 06136
.30154 30157 07163 FFFFF
/RP2C5 34 542
.38001 0600A 3801F 06046 0505A 0106E 06078 0208C
.010A0 030B4 020BE 040D2 030E6 050FA 04104 06118
.0512C 01140 0614A 0215E 01172 03186 02190 1D191
.041A4 1D1B7 031B8 051CC 041D6 061E0 3020E 30211
.0721D FFFFF
;WF RAM : 304 (59%)
