;--------------------------------------------------
;--------------------------------------------------
- Version=0.2
;
:       TADJ_H =0.0             ;tA-tH, H = tH + TADJ_H         hot, housing
:       TADJ_C =0.0             ;tA-tC, C = tC + TADJ_C         cold, CCD
:       TADJ_N =0.0             ;tA-tN, N = tN + TADJ_N         NTC (optional)
:       TADJ_K = 1.12           ;tCCD = H + (C-H)*TADJ_K
:       TADJ_T = 25             ; Time constant (x0.7, sec)
:       TADJ_G = 4.0            ; Cooling gain 
:       PTBL_V =  0     50    100     150    200    250
:       PTBL_T = -1.5  -1.2     3     17.5   26.7   32.9
;
;
;-----------------------------------------------
;       MMM_NONE = 0x000,               // B/W sensors
;       MMM_RGGB = 0x001,               // Regular RGGB readout
;       MMM_CMYG = 0x002,               // AK Sony sensors
;       MMM_RGR  = 0x003,               // 2R+G readout of RGGB sensor
;       MMM_BGGR = 0x004                // BGGR readout
;-----------------------------------------------
;       RP_PS_COLOR     0               // Progressive scan color
;       RP_PS_MONO      1               // Progressive scan mono
;       RP_IL_1LINE     2               // Interlace 1 line - each field with individual colors: lines F0:0,2,4,6...   F1:1,3,5,7...
;       RP_IL_2LINE     3               // Interlace 2 line - each field with equivalent colors: lines F0:0,1,4,5...   F1:2,3,6,7...
;+++++++++++++++++++++++++++++++++++++++++++++++
-       Sensor          = ICX655        //
-       Mosaic          = RGGB          //
-       Fields          = 1             //
-       Hactive         = 2456          // # of effective pixels (H)
-       Vactive         = 2058          // # of effective pixels (V)
-	MinGap		= 2		// 
-       MinVsub         = 5.2           //
-       MaxVsub         = 15.0          //
-       MinGain         = 3.05          //
-       MaxGain         = 47.3          //
-       AFE             = 9970          //
-       kVsub           = 17.0          //
-       CTM             = 125e-6        // timer count
-	GainCnt		= 3		//
;----------------------------------------       
;
;=== AFE ====
;
:       HCLKMODE = 0x40                 // mode 2, IOVDD = 1V8
:       HBLKMASK = 0x1                  // Mask Polarity During HBLK : H1, H2, HL
:       PX0pos   = 2                    // AFE Delay
:       LVDel    = 1                    // LVCLK Rising Edge Delay
:       DOutPhase = 28 60 4             //
;
;HS-Timing 
: HScnt=0				// HS
:       HS      = 1                     // 49.152 MHz
:       H1LOC   =  0 32  0              // pos, neg, polarity
:       H2LOC   = 32  0  0              // pos, neg, polarity
:       HLLOC   =  0 32  0              // pos, neg, polarity
:       RGLOC   = 28 40  1              // pos, neg, polarity
:       SHLOC   = 38  8 14              // SHD,SHP,SHPW
;:       HDS = 5 5 5 5 2 2               // Drive Strength : H1,H2,H3,H4,HL,RG
:       HDS = 6 6 6 6 2 5               // Drive Strength : H1,H2,H3,H4,HL,RG
: HScnt=1				// Normal
:       HS      = 0                     // 24.576 MHz
:       H1LOC   =  0 32  0              // pos, neg, polarity
:       H2LOC   = 32  0  0              // pos, neg, polarity
:       HLLOC   =  0 32  0              // pos, neg, polarity
:       RGLOC   = 28 40  1              // pos, neg, polarity
:       SHLOC   = 32  0 14              // SHD,SHP,SHPW
:       HDS = 4 4 4 4 1 1               // Drive Strength : H1,H2,H3,H4,HL,RG
: HScnt=2
;
;
; HS 
:       AFldCnt = 0                     // Field
:       SCP     = 0                     //
:       SEL     = 0                     //
:       PBM     = 0 1                   //
:	HSyn0	= 53			// BUF[0] :     8B+2456A+40B+40D (Buf[Horig=8] : 2456A..) 
;:	HSyn0	= 20			// BUF[0] : 1D+40B+2456A+40B+40D
;----------------------------------------       
:       APatCnt = 0                     // HPAT Registers
:       HTO     = 2540 0                // HBLK_TOG 0..5, odd lines
:       HTE     = 2540 0                // HBLK_TOG 0..5,even lines
:       CT      = 6    32               // CLP_OB 
:       PT      = 0    2539             // PBLK
;
; Normal 
:       AFldCnt = 1                     // Field
:       SCP     = 0                     // SCP      0..8
:       SEL     = 1                     // HPAT_SEL 0..8
:       PBM     = 0 1                   // PBLK_MASKSTART/END 1..3
:	HSyn0	= 53			// BUF[0] :     8B+2456A+40B+40D (Buf[Horig=8] : 2456A..) 
;:	HSyn0	= 20			// BUF[0] : 1D+40B+2456A+40B+40D
;----------------------------------------       
:       APatCnt = 1                     // HPAT Registers
:       HTO     = 2540 0                // HBLK_TOG 0..5, odd lines
:       HTE     = 2540 0                // HBLK_TOG 0..5,even lines
:       CT      = 6    32               // CLP_OB 
:       PT      = 0    2500             // PBLK
;

;
:ModeCnt = 0    // parser ptr
: description =*Binning 1x1 PS RGGB 7.2Hz HS8;
:ModeCnt = 1
: description =*Binning 1x1 PS RGGB 3.8Hz;
:ModeCnt = 2
: description =*Binning 2x2 PS RGGB 7.4Hz;
:ModeCnt = 3
: description =*Binning 2x2 PS RGGB 14.8Hz HS;
:ModeCnt = 4
: description =*Binning 6x6 PS RGR  22Hz;
:ModeCnt = 5
: description =*Binning 2x2 PS BW   8Hz;
:ModeCnt = 6
: description = Binning 2x2 PS BW   8Hz;
:ModeCnt = 7
: description = Binning 2x2 PS BW HS 16.0Hz;
;---------------------------------------------------------///////////////
:ModeCnt = 0    // parser ptr
;------ MRMODE ------------------
: dwCx=         2456    2456    1228    1228    2456    1096    1096    1096    // total spacial resolution
: dwCy=         2058    2058    1029    1029    2058    824     824     824     //
: dwFields=     1       1       1       1       1       1       1       1       // number of fields to get one full frame
: dwBinX=       1       1       2       2       1       3       3       3       // Total Binning along x and y
: dwBinY=       1       1       2       2       1       1       1       1       //          
: mmMosaic=     1       1       1       1       1       1       1       1       // Mosaic of raw data
: dwRDO=        0       0       0       0       0       0       0       0       // Readout schema
: RP_offs=      12.2e-6 12.2e-6 12.2e-6 12.2e-6 12.2e-6 12.2e-6 12.2e-6 12.2e-6 // Readout pulse offset
: TG_Freq=      12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 // TG freq
;----------------------------------------------------------------------------------
: HSSEL=        0       1       1       0       1       1       1       1       // AFE HS timing #
: HW_BinX=      1       1       2       2       1       3       3       3       //         
: Hshift =      0       0       0       0       0       0       0       0       //        
: HblackL=      6       6       6       6       6       6       6       6       // Horigin = HblackL+HgapL
: HgapL=	      2       2       2       2       2       2       2       2       //
;- - - - - - - - - - - - - - - - - - - - - - - - - - - -*- - - - - - - - - - - -  
: FSEL=         0       1       1       0       1       1       1       1       // AFE V timing #
: Vskip=        7       7       5       5       7       1       1       1       // (phy line)
: VgapT=        2       2       2       2       2       2       2       2       // (bin line)
: VgapB=        2       2       2       2       2       2       2       2       // (bin line)
: VdummyB=      2       2       2       2       2       2       2       2       // (bin line)
;- - - - - - - - - - - - - - - - - - - - - - - - - - - -*- - - - - - - - - - - -  
: HW_BinY=      1       1       2       2       1       1       1       1       //         
: RD_BinY=      1       1       1       1       1       1       1       1       //         
: RP2=          void    void    void    void    void    void    void    void    // RP0 timing name
: RP1=          void    void    void    void    void    void    void    void    // RP0 timing name
: RP0=          RP1     RP1     RP2S    RP2S    RP1B    RP2C1   RP2C3   RP2C5   // 
: RPF=          void    void    void    void    void    void    void    void    // RP Flash
: RD=           RD1H8   RD1     RD2     RD2H    RD1      RD1     RD1     RD1     //
: HSWP=         HSWP    HSWP    HSWP    HSWP    HSWP    HSWP    HSWP    HSWPHS  //
;----------------------------------------------------------------------------------
: Gain[0]=	12.7    12.7    12.7    15.0    12.7    12.7    12.7    12.7      // MA
: Clamp[0]=     512     512     512     512     512     512     512     512     //
: MULT[0]=      65536   65536   32768   32768   65536   21845   21845   21845   // G-multiplier
: Vsub[0]=      9.0     9.0     9.0     9.0     9.0     9.0     9.0     9.0     //
;------ DSP ---------------------------------------------------------------------
: dsp.LBO=      2       2       2       2       2       2       2       2       // Left black offs     
: dsp.LBN=      4       4       4       4       4       4       4       4       // Left black cnt      
: dsp.QTH=      500.    500.    500.    500.    500.    500.    500.    500.    // Hot pixel threshold
: dsp.black_src=1.      1.      1.      1.      1.      1.      1.      1.      // BL*black_src     + BR*(1-black_src)
: dsp.black_mux=0.      0.      0.      0.      0.      0.      0.      0.      // Vblack*black_mux + bl_src*(1-black_mux)
;
:ModeCnt = 8   // last defined mode


;--------------------------------------------------
/H10US 4 123
.38001 3801F 0707A FFFFF
/H1US 2 12
.0700B FFFFF
/SWP1 12 226
.38001 38011 01012 03021 02030 0403F 0304E 0105D
.0406C 0207B 070E1 FFFFF
/SWP2 20 261
.38001 38011 01012 03021 02030 0403F 0304E 0105D
.0406C 0207B 0108A 03099 020A8 040B7 030C6 010D5
.040E4 020F3 07104 FFFFF
/SWP4 36 506
.38001 38011 01012 03021 02030 0403F 0304E 0105D
.0406C 0207B 0108A 03099 020A8 040B7 030C6 010D5
.040E4 020F3 01102 03111 02120 0412F 0313E 0114D
.0415C 0216B 0117A 03189 02198 041A7 031B6 011C5
.041D4 021E3 071F9 FFFFF
/HSWP 8 1501
.38001 3000A 3000D 38011 3001E 30021 075DC FFFFF
/RD1 14 1519
.38001 38011 01012 03021 02030 0403F 0304E 0105D
.0406C 3007A 0207B 3007F 075EE FFFFF
/RP1 30 471
.38001 38011 01012 03021 02030 0403F 0304E 0105D
.0406C 0207B 0108A 03099 020A8 040B7 030C6 010D5
.190DA 1A0DB 1B0DF 1C0E0 1913B 1A13C 1B140 1C141
.0415E 0216D 301C7 301CA 071D6 FFFFF
/RD2 22 1566
.38001 38011 01012 0301C 02026 04030 0303A 01044
.0404E 02058 01062 0306C 02076 04080 0308A 01094
.0409E 300A5 020A8 300AA 0761D FFFFF
/RP2S 22 328
.38001 38011 01014 0301E 02028 04032 0303C 01046
.0904B 1204C 0B050 14051 090AC 120AD 0B0B1 140B2
.040CF 020DE 30138 3013B 07147 FFFFF
/RP1B 30 471
.38001 38011 01012 03021 02030 0403F 0304E 0105D
.0406C 0207B 0108A 03099 020A8 040B7 030C6 010D5
.190DA 1A0DB 1B0DF 1C0E0 1913B 1A13C 1B140 1C141
.0415E 0216D 301C7 301CA 071D6 FFFFF
/RD2H 22 798
.38001 38011 01012 0301C 02026 04030 0303A 01044
.0404E 02058 01062 0306C 02076 04080 0308A 01094
.0409E 300A5 020A8 300AA 0731D FFFFF
/RD3 30 1504
.38001 38011 01012 0301C 02026 04030 0303A 01044
.0404E 02058 01062 0306C 02076 04080 0308A 01094
.0409E 020A8 010B2 030BC 020C6 040D0 030DA 010E4
.040EE 300F5 020F8 300FA 075DF FFFFF
/RD3H 30 878
.38001 38011 01012 0301C 02026 04030 0303A 01044
.0404E 02058 01062 0306C 02076 04080 0308A 01094
.0409E 020A8 010B2 030BC 020C6 040D0 030DA 010E4
.040EE 300F5 020F8 300FA 0736D FFFFF
/RD4 38 1584
.38001 38011 01012 0301C 02026 04030 0303A 01044
.0404E 02058 01062 0306C 02076 04080 0308A 01094
.0409E 020A8 010B2 030BC 020C6 040D0 030DA 010E4
.040EE 020F8 01102 0310C 02116 04120 0312A 01134
.0413E 30145 02148 3014A 0762F FFFFF
/RD4H 38 958
.38001 38011 01012 0301C 02026 04030 0303A 01044
.0404E 02058 01062 0306C 02076 04080 0308A 01094
.0409E 020A8 010B2 030BC 020C6 040D0 030DA 010E4
.040EE 020F8 01102 0310C 02116 04120 0312A 01134
.0413E 30145 02148 3014A 073BD FFFFF
/RD1H8 14 1077
.38001 38011 01012 03021 02030 0403F 0304E 0105D
.0406C 3007A 0207B 3007F 07434 FFFFF
;WF RAM : 372 (72%)
