;--------------------------------------------------
;--------------------------------------------------
;
:	TADJ_H =-0.0		;tA-tH, H = tH + TADJ_H		hot, housing
:	TADJ_C =-0.0		;tA-tC, C = tC + TADJ_C		cold, CCD
:	TADJ_N =-0.0		;tA-tN, N = tN + TADJ_N		NTC (optional)
:	TADJ_K = 2.73		;tCCD = H + (C-H)*TADJ_K
:	TADJ_T = 35		; Time constant (x0.7, sec)
:	TADJ_G = 4.0		; Cooling gain 
:	PTBL_V =  0     50    100     150    200    250
:	PTBL_T = -2.3   -2.0  5.9     11.9   16.1   19.1
:	PTD000 = 00.0		; Platinum RTD temp (pCam->CS.NTCV = 0)
:	PTD255 = 52.0		; Platinum RTD temp (pCam->CS.NTCV = 255)
;
;
;-----------------------------------------------
;	MMM_NONE = 0x000,		// B/W sensors
;	MMM_RGGB = 0x001,		// Regular RGGB readout
;	MMM_CMYG = 0x002,		// AK Sony sensors
;	MMM_RGR  = 0x003,		// 2R+G readout of RGGB sensor
;	MMM_BGGR = 0x004		// BGGR readout
;-----------------------------------------------
;	RP_PS_COLOR	0		// Progressive scan color
;	RP_PS_MONO	1		// Progressive scan mono
;	RP_IL_1LINE	2		// Interlace 1 line - each field with individual colors: lines F0:0,2,4,6...   F1:1,3,5,7...
;	RP_IL_2LINE	3		// Interlace 2 line - each field with equivalent colors: lines F0:0,1,4,5...   F1:2,3,6,7...
;+++++++++++++++++++++++++++++++++++++++++++++++
; HW_Aux:
;	HWA_HS	 1			// H-Freq	
;	HWA_CB	 2			// Color bin	
;	HWA_SKIP 4			// skip /bin
;	HWA_HW6  8			// skip /bin
;+++++++++++++++++++++++++++++++++++++++++++++++
-	Sensor		= ICX674	//
-	Mosaic		= NONE		//
-	Fields		= 1		//
-       Hactive         = 1940          //
-       Vactive         = 1460          //
-	MinGap		= 2		// 
-	MinVsub		= 3.0		//
-	MaxVsub		= 12.5		//
-	MinGain		= 3.05		//
-	MaxGain		= 47.3		//
-	tHousingMax	= 35		//	
-	tChipMin	= 10		//
-	AFE		= 29970		//				
-	kVsub		= 19.86		//
-	CTM		= 125e-6	// timer count
-	NCR		= 1		// shutter mode, 0:multi, 1:single, ...
-	dwIsoChunkSel	= 0		// 0: auto, 23..30 : IsoChunkSel
;	dwIsoChunkSel = 23;	// 1*4624 75.3% 37.0 MB/s 
;	dwIsoChunkSel = 24;	// 1*4768 77.6% 38.1 MB/s Gap Count == 0x3F 
;	dwIsoChunkSel = 25;	// 1*4912 80.2% 39.4 MB/s 
;	dwIsoChunkSel = 26;	// 1*5056 82.2% 40.4 MB/s
;	dwIsoChunkSel = 27;	// 1*5200 84.6% 41.6 MB/s
;	dwIsoChunkSel = 28;	// 1*5344 87.0% 42.8 MB/s
;	dwIsoChunkSel = 29;	// 1*5488 89.3% 43.9 MB/s Gap Count <= 0x09
;----------------------------------------	
;
;=== AFE ====
;
:       HCLKMODE = 0x80                 // mode 3, IOVDD = 1V8
:       HBLKMASK = 0x7	                // H1, H2, HL
:       HL_HBLKE = 0x8                  // 8 : Enable HBLK for HL output, 0 : disable
:       PX0pos   = 2                    // AFE Delay
:       LVDel    = 10                   // LVCLK Rising Edge Delay
:       DOutPhase = 28 60 4              //
;
;HS-Timing 
: HScnt=0       // HS
:       HS      = 1                     // 49.152 MHz

:       H1LOC   =  0 32  1              // pos, neg, polarity
:       H2LOC   =  0 32  1              // pos, neg, polarity
:       HLLOC   =  0 32  1              // pos, neg, polarity
:       RGLOC   =  1 17  1              // pos, neg, polarity,	T > 14 Clk
:       SHLOC   = 10 40 16              // SHD,SHP,SHPW
:       HDS = 7 7 7 7 5 5               // Drive Strength : H1,H2,H3,H4,HL,RG

: HScnt=1       // Normal
:       HS      = 0                     // 24.576 MHz
:       H1LOC   =  0 32  1              // pos, neg, polarity
:       H2LOC   =  0 32  1              // pos, neg, polarity
:       HLLOC   =  0 32  1              // pos, neg, polarity
:       RGLOC   =  0  8  1              // pos, neg, polarity,	T > 8 Clk
:       SHLOC   =  5 37  32             // SHD,SHP,SHPW
:       HDS = 4 4 4 4 2 2               // Drive Strength : H1,H2,H3,H4,HL,RG
: HScnt=2
;
;#0 : HS 
:       AFldCnt = 0                     // Field
:       SCP     = 0                     //
:       SEL     = 0                     //
:       PBM     = 0 1                   //
:	HSyn0	= 36			// Syn(Hshift=0, Hbin=1, ln[Horg]=Pix1)
;:	HSyn0	= 18			// Pix[0] : 4D,20B,Active[..] (AFE[0] <> Pix[0])
;----------------------------------------       
:       APatCnt = 0                     // HPAT Registers
:	HTO	= 2020	0		// HBLK_TOG 0..5, odd lines
:	HTE	= 2020	0		// HBLK_TOG 0..5,even lines
:	CT	= 6	16		// CLP_OB 
:	PT	= 0	2019		// PBLK
;
;#1 Normal 
:       AFldCnt = 1                     // Field
:       SCP     = 0                     // SCP      0..8
:       SEL     = 1                     // HPAT_SEL 0..8
:       PBM     = 0 1                   // PBLK_MASKSTART/END 1..3
:	HSyn0	= 36			// Pix[0] = Active[1]; (BGGR >> RGGB)
;:	HSyn0	= 14			// Pix[0] : 4D,20B,Active[..] (AFE[0] <> Pix[0])
;----------------------------------------       
:       APatCnt = 1                     // HPAT Registers
:	HTO	= 2020	0		// HBLK_TOG 0..5, odd lines
:	HTE	= 2020	0		// HBLK_TOG 0..5,even lines
:	CT	= 6	16		// CLP_OB 
:	PT	= 0	2019		// PBLK
;
;
;

:ModeCnt = 0	// parser ptr
: description = Binning 1x1 PS 2.1Hz;
:ModeCnt = 1
: description = Binning 2x2 PS 4.1Hz;
:ModeCnt = 2
: description = Binning 3x3 PS 5.9Hz;
:ModeCnt = 3
: description = Binning 4x4 PS 7.5Hz;
:ModeCnt = 4
: description = Binning 1x1 PS8  high speed 3.6Hz;
:ModeCnt = 5
: description = Binning 2x2 PS high speed 7.6Hz;
:ModeCnt = 6
: description = Binning 3x3 PS high speed 10.5Hz;
:ModeCnt = 7
: description = Binning 4x4 PS high speed 12.1Hz;
;;---------------------------------------------------------

:ModeCnt = 0    // parser ptr
;------ MRMODE ------------------
: dwCx=         1940    1940    1344    1008    4032    2016    1344    1008    // total spacial resolution
: dwCy=         1460    1460    896     672     2688    1344    896     672     //
: minCy=        32      32      32      32      32      32      32      32      //     
: dwFields=     1       1       1       1       1       1       1       1       // number of fields to get one full frame
: dwBinX=       1       2       3       4       1       2       3       4       // Total Binning along x and y
: dwBinY=       1       2       3       4       1       2       3       4       //         
: mmMosaic=     0       0       0       0       0       0       0       0       // Mosaic of raw data
: dwRDO=        1       1       1       1       1       1       1       1       // Readout schema
: RP_offs=      22e-6   22e-6   22e-6   22e-6   22e-6   22e-6   22e-6   22e-6   // Readout pulse offset
: TG_Freq=      12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 12288E3 // TG freq
;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
: HSSEL=        1       1       1       1       0       0       0       0       // AFE HS timing #
: HW_BinX=      1       2       3       4       1       2       3       4       //        
: Hshift =      0       0       0       0       0       0       0       0       //
: HblackL=      6       6       6       4       6       6       6       4       //
: HgapL=	2       2       2       2       2       2       2       2       //
;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
: FSEL=         1       1       1       1       0       0       0       0       // AFE timing #
: Vskip=        16      16      16      16      16      16      16      16      // (phy line)
: VgapT=        0       0       0       0       0       0       0       0       // (bin line)
: VgapB=        0       0       0       0       0       0       0       0       // (bin line)
: VdummyB=      0       0       0       0       0       0       0       0       // (bin line)
;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
: HW_BinY=      1       2       3       4       1       2       3       4       //        
: RD_BinY=      1       1       1       1       1       1       1       1       //        
: RP0=          RP1     RP1     RP1     RP1     RP1     RP1     RP1     RP1     // RP0 timing name
: RP1=          RP1     RP1     RP1     RP1     RP1     RP1     RP1     RP1     // 
: RPF=          RP1     RP1     RP1     RP1     RP1     RP1     RP1     RP1     // 
: RD=           RD1N14  RD2N14  RD3N14  RD4N14  RD1H8   RD2H14  RD3H14  RD4H14  //
: HSWP=         HSWP    HSWP    HSWP    HSWP    HSWP    HSWP    HSWP    HSWP    //
: CH_REV=       0	1	1	1	1	1	1	1	// 1ch, H1 inv
;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
: Vsub[0]=      5.2     11      12.5    14.5    10.5    11      12.5    14.5    //
: Gain[0]=       8      3       3       3       11      6.5     6       6    // db
: Clamp[0]=     512     512     512     512     512     512     512     512     //
: MULT[0]=      65536   32768   21845   16384   65536   32768   21845   16384   // G-multiplier
;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
: Dac0=         0       0       0	0	0	0	0	0	// OGL = -2.36v + 1.82*Dac0/255.
: Dac1=         0	0	0	0	0	0	0	0	// OGR	DAC(0) = -2.36v, DAC(255)=-0.54v
: Dac2=         0	0	0	0	255	255	255	255	// V_H
;------ DSP - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
: dsp.LBO=      2       2       2       2       2       2       2       2       // Left black offs     
: dsp.LBN=      4       4       4       2       4       4       4       2       // Left black cnt      
: dsp.QTH=      500.    500.    500.    500.    500.    500.    500.    500.    // Hot pixel threshold
: dsp.black_src=1.      1.      1.      1.      1.      1.      1.      1.      // BL*black_src     + BR*(1-black_src)
: dsp.black_mux=0.      0.      0.      0.      0.      0.      0.      0.      // Vblack*black_mux + bl_src*(1-black_mux)
;
:ModeCnt = 8	// parser ptr


;--------------------------------------------------
/H1US 2 12
.0700B FFFFF
/H10US 2 123
.0707A FFFFF
/SWP1 10 591
.1C001 1A008 1900F 1B016 1A01D 1C024 1B02B 19032
.0724E FFFFF
/HSWP 6 1401
.0600A 0600D 06025 06028 07578 FFFFF
/RD1N14 12 1161
.1C001 1A008 1900F 1B016 1A01D 1C024 1B02B 19032
.06039 0603C 07488 FFFFF
/SHT 4 51
.38005 38015 07032 FFFFF
/RP1 18 591
.1C001 1D15C 1E161 1C172 1D181 1E186 1C1F9 1A200
.19207 1B20E 1A215 1C21C 1B223 1922A 06235 06238
.0724E FFFFF
/SWP2 18 591
.1C001 1A008 1900F 1B016 1A01D 1C024 1B02B 19032
.1C039 1A040 19047 1B04E 1A055 1C05C 1B063 1906A
.0724E FFFFF
;WF RAM : 72 (14%)
