// xiSample.cpp : program that captures 10 images and finish
//

#include "stdafx.h"

#include "xiApi.h"
#include "xiExt.h"

#define HandleResult(res,place) if (res!=XI_OK) {printf("Error after %s (%d)",place,res);goto finish;}

int _tmain(int argc, _TCHAR* argv[])
{
	// image buffer
	XI_IMG image;
	image.size = sizeof(XI_IMG);
	image.bp = NULL;
	image.bp_size = 0;

	// Sample for XIMEA API V2.10
	HANDLE xiH = INVALID_HANDLE_VALUE;
	XI_RETURN stat = XI_OK;

	// Get number of camera devices
	DWORD dwNumberOfDevices = 0;
	stat = xiGetNumberDevices(&dwNumberOfDevices);
	HandleResult(stat,"xiGetNumberDevices (no camera found)");
	
	// Retrieving a handle to the camera device 
	stat = xiOpenDevice(0, &xiH);
	HandleResult(stat,"xiOpenDevice");
	
	// Setting "exposure" parameter (10ms=10000us)
	stat = xiSetParamInt(xiH, XI_PRM_EXPOSURE, 10000);
	HandleResult(stat,"xiSetParam (exposure set)");
	
	
	#define EXPECTED_IMAGES 10
	for (int images=0;images < EXPECTED_IMAGES;images++)
	{
		// getting image from camera
		stat = xiGetImage(xiH, 1000, &image);
		HandleResult(stat,"xiGetImage");
		printf("OK - Got image (%dx%d) from camera\n", (int)image.width, (int)image.height);
	}

	//xiSetParam(PRM_GPI_SELECTOR,2);
	//xiGetParamInt(PRM_GPI_STATE,state);
	//if (state) // button pressed
	
finish:
	// Close device
	if (xiH)
		xiCloseDevice(xiH);
	printf("Press enter\n");
	_getch();
	return 0;
}

