#ifdef linux
#include <string.h>
#include <semaphore.h>
#include <errno.h>
#include <sys/types.h>
#include <unistd.h>

//Event functions prototypes
#define PeekMessage(x, z, y, q, w) 0
#define TranslateMessage(x)
#define DispatchMessage(x)
#define GetExitCodeThread(x, y) STATUS_TIMEOUT
#define WM_QUIT                         0x0012
#define GetLastError() errno

HANDLE CreateMutex(LPSECURITY_ATTRIBUTES lpMutexAttributes, BOOL bInitialOwner,  LPCTSTR lpName);
HANDLE CreateEvent( LPSECURITY_ATTRIBUTES lpEventAttributes, BOOL bManualReset, BOOL bInitialState, LPCTSTR lpName );
HANDLE CreateThread(LPSECURITY_ATTRIBUTES lpThreadAttributes,  int dwStackSize,  DWORD (*lpStartAddress)(void*),  LPVOID lpParameter,  DWORD dwCreationFlags,  LPDWORD lpThreadId);


#define SetEvent(x) if(x) sem_post((sem_t *)(x))
#define ResetEvent(x) if(x) while(sem_trywait((sem_t *)(x)) == 0){}
#define ZeroMemory(x, y) memset(x, 0, y);

//Mutex functions prototypes

#define ReleaseMutex( hMutex ) sem_post((sem_t *)hMutex)
//Thread functions prototypes


int GetThreadPriority( 
  HANDLE hThread
); 

BOOL SetThreadPriority( 
  HANDLE hThread, 
  int nPriority
); 

//Memory functions prototypes
#define GlobalAlloc(x, s) malloc(s)
#define GlobalFree(x) (free(x),(void*)0)
#define IsBadReadPtr(x, y) (0)

#define LMEM_FIXED          0x0000
#define LMEM_MOVEABLE       0x0002
#define LMEM_NOCOMPACT      0x0010
#define LMEM_NODISCARD      0x0020
#define LMEM_ZEROINIT       0x0040
#define LMEM_MODIFY         0x0080
#define LMEM_DISCARDABLE    0x0F00
#define LMEM_VALID_FLAGS    0x0F72
#define LMEM_INVALID_HANDLE 0x8000

#define LHND                (LMEM_MOVEABLE | LMEM_ZEROINIT)
#define LPTR                (LMEM_FIXED | LMEM_ZEROINIT)

#define GMEM_FIXED          0x0000
#define GMEM_MOVEABLE       0x0002
#define GMEM_NOCOMPACT      0x0010
#define GMEM_NODISCARD      0x0020
#define GMEM_ZEROINIT       0x0040
#define GMEM_MODIFY         0x0080
#define GMEM_DISCARDABLE    0x0100
#define GMEM_NOT_BANKED     0x1000
#define GMEM_SHARE          0x2000
#define GMEM_DDESHARE       0x2000
#define GMEM_NOTIFY         0x4000
#define GMEM_LOWER          GMEM_NOT_BANKED
#define GMEM_VALID_FLAGS    0x7F72
#define GMEM_INVALID_HANDLE 0x8000

#define GHND                (GMEM_MOVEABLE | GMEM_ZEROINIT)
#define GPTR                (GMEM_FIXED | GMEM_ZEROINIT)



//Object handle functions prototypes

DWORD WaitForSingleObject
( 
  HANDLE hEvent, 
  DWORD dwMilliseconds 
);
#define STATUS_TIMEOUT                   ((DWORD) 0x00000102)
#define WAIT_TIMEOUT            STATUS_TIMEOUT
#define INFINITE            0xFFFFFFFF  // Infinite timeout
#define STATUS_WAIT_0                    ((DWORD) 0x00000000)
#define WAIT_OBJECT_0       ((STATUS_WAIT_0 ) + 0 )
#define WAIT_FAILED ((DWORD)0xFFFFFFFF)
#define THREAD_PRIORITY_LOWEST          THREAD_BASE_PRIORITY_MIN
#define THREAD_PRIORITY_BELOW_NORMAL    (THREAD_PRIORITY_LOWEST+1)
#define THREAD_PRIORITY_NORMAL          0
#define THREAD_PRIORITY_HIGHEST         THREAD_BASE_PRIORITY_MAX
#define THREAD_PRIORITY_ABOVE_NORMAL    (THREAD_PRIORITY_HIGHEST-1)
#define THREAD_PRIORITY_TIME_CRITICAL   THREAD_BASE_PRIORITY_LOWRT
#define THREAD_PRIORITY_IDLE            THREAD_BASE_PRIORITY_IDLE
#define THREAD_PRIORITY_ERROR_RETURN (2147483647)

#define THREAD_BASE_PRIORITY_LOWRT  15  // value that gets a thread to LowRealtime-1
#define THREAD_BASE_PRIORITY_MAX    2   // maximum thread base priority boost
#define THREAD_BASE_PRIORITY_MIN    (-2)  // minimum thread base priority boost
#define THREAD_BASE_PRIORITY_IDLE   (-15) // value that gets a thread to idle

BOOL CloseHandle( 
  HANDLE hEvent
);

//Other functions
void Sleep(
  DWORD dwMilliseconds
); 

BOOL DeviceIoControl(
		HANDLE hDevice,
		DWORD dwIoControlCode,
		LPVOID lpInBuffer,
		DWORD nInBufferSize,
		LPVOID lpOutBuffer,
		DWORD nOutBufferSize,
		LPDWORD lpBytesReturned,
		LPOVERLAPPED lpOverlapped
		);

#define ExitThread(x) return (x)

#define GetCurrentProcessId() getpid()
DWORD timeGetTime(VOID);
#define GlobalMemoryStatusEx(x) 0

#endif

 
