
// list of defines for non windows operation systems (like Linux)

#ifndef __WINTYPEDEFS_H
#define __WINTYPEDEFS_H

#define __asm(x)
#include <stdlib.h>
#include <stdint.h>
#include <limits.h>
#define MAX_PATH PATH_MAX
#define _MAX_PATH PATH_MAX
typedef void* HANDLE;
typedef HANDLE *PHANDLE,*LPHANDLE;
typedef unsigned short USHORT;
#define INVALID_HANDLE_VALUE ((void*)-1)
#define _asm __asm
#define _logb logb
#define _copysign copysign

#define STATUS_PENDING                   ((DWORD) 0x00000103)
#define STILL_ACTIVE                        STATUS_PENDING

#define VOID void
#ifndef FALSE
#define FALSE   0
#endif
#ifndef TRUE
#define TRUE    1
#endif
#define max(x, y) (((x)>(y))?(x):(y))
#define min(x, y) (((x)>(y))?(y):(x))
#define LOWORD(l) ((WORD)(l))
#define HIWORD(l) ((WORD)(((DWORD)(l) >> 16) & 0xFFFF))
#define LOBYTE(w) ((BYTE)(w))
#define HIBYTE(w) ((BYTE)(((WORD)(w) >> 8) & 0xFF))

#define IN
#define INOUT
#define OUT
typedef unsigned long       DWORD;
typedef int                 BOOL;
typedef unsigned char       BYTE;
typedef unsigned short      WORD;
typedef float               FLOAT;
typedef float               *PFLOAT;
typedef int		            *PBOOL;
typedef float			    *LPBOOL;
typedef BYTE				*PBYTE;
typedef BYTE				*LPBYTE;
typedef int					*PINT;
typedef int				    *LPINT;
typedef WORD				*PWORD;
typedef WORD				*LPWORD;
typedef long				*LPLONG;
typedef DWORD				*PDWORD;
typedef DWORD				*LPDWORD;
typedef void				*LPVOID;
typedef void				*PVOID;
#define CONST               const
typedef char				CHAR;
typedef wchar_t				WCHAR;
typedef char				*PCHAR;
typedef unsigned char		UCHAR;
typedef unsigned char		*PUCHAR;
typedef short				SHORT;
typedef long				LONG;
typedef unsigned long		ULONG;
typedef uint64_t			ULONGLONG;
typedef uint64_t			ULONG64;
typedef int64_t				LONGLONG;
typedef BOOL				BOOLEAN;
typedef int                 INT;
typedef unsigned int        UINT;
typedef uint32_t			UINT32;
typedef unsigned int        *PUINT;
typedef const char*			LPCSTR;
typedef char*				LPSTR;
typedef wchar_t*			LPWSTR;
typedef const wchar_t*		LPCWSTR;
typedef ULONGLONG DWORDLONG, *PDWORDLONG; 

typedef LPCSTR LPCTSTR;
typedef LPSTR LPTSTR;

typedef DWORD (*LPTHREAD_START_ROUTINE) (
    LPVOID lpThreadParameter
);
#ifdef __amd64__
#define __int3264 long
#else
#define __int3264 int
#endif
typedef unsigned __int3264 ULONG_PTR;
typedef struct tagSIZE
{
    LONG        cx;
    LONG        cy;
} SIZE, *PSIZE, *LPSIZE;
typedef struct _GUID {
  DWORD Data1;
  WORD  Data2;
  WORD  Data3;
  BYTE  Data4[8];
} GUID;
typedef struct _SECURITY_ATTRIBUTES { 
	DWORD nLength;  
	LPVOID lpSecurityDescriptor;  
	BOOL bInheritHandle;
} SECURITY_ATTRIBUTES, *PSECURITY_ATTRIBUTES, *LPSECURITY_ATTRIBUTES;
typedef union _LARGE_INTEGER {
	struct {
		DWORD LowPart;
		LONG  HighPart;
	} ;
	struct {
		DWORD LowPart;
		LONG  HighPart;
	} u;
	LONGLONG QuadPart;
} LARGE_INTEGER, *PLARGE_INTEGER;
typedef struct _OVERLAPPED {
	ULONG_PTR Internal;
	ULONG_PTR InternalHigh;
	union {
		struct {
			DWORD Offset;
			DWORD OffsetHigh;
		};
		PVOID  Pointer;
	};
	HANDLE    hEvent;
} OVERLAPPED, *LPOVERLAPPED;


typedef HANDLE HWND;
typedef unsigned int UINT_PTR;
typedef UINT_PTR WPARAM;
typedef long LONG_PTR;
typedef LONG_PTR LPARAM;
typedef struct tagPOINT {
  LONG x;
  LONG y;
} POINT, *PPOINT;
typedef struct tagMSG {
  HWND   hwnd;
  UINT   message;
  WPARAM wParam;
  LPARAM lParam;
  DWORD  time;
  POINT  pt;
} MSG, *PMSG, *LPMSG;

typedef struct _MEMORYSTATUSEX {
  DWORD     dwLength;
  DWORD     dwMemoryLoad;
  DWORDLONG ullTotalPhys;
  DWORDLONG ullAvailPhys;
  DWORDLONG ullTotalPageFile;
  DWORDLONG ullAvailPageFile;
  DWORDLONG ullTotalVirtual;
  DWORDLONG ullAvailVirtual;
  DWORDLONG ullAvailExtendedVirtual;
} MEMORYSTATUSEX, *LPMEMORYSTATUSEX;

#define WINAPI
#ifdef __INTEL_COMPILER
#define dllimport
#define dllexport
#else
#define __declspec(x)
#endif
#define __cdecl
#define _cdecl

#endif // __WINTYPEDEFS_H
