#ifndef __XIEXT_H
#define __XIEXT_H


#ifdef __cplusplus
extern "C" {
#endif

/*************************************************************************************/
//Extended Device parameters
/*************************************************************************************/
#define XI_PRM_ACQ_BUFFER_SIZE	"acq_buffer_size"			//!< Acquisition buffer size in bytes
															//!< xiSetParam(handle, XI_PRM_ACQ_BUFFER_SIZE or "acq_buffer_size", &int, sizeof(int), TypeInteger); 
															//!< By default 53248000

#define XI_PRM_BUFFERS_QUEUE_SIZE "buffers_queue_size"		//!< Queue of field/frame buffers 
															//!< xiSetParam(handle, XI_PRM_BUFFERS_QUEUE_SIZE or "buffers_queue_size", &int, sizeof(int), TypeInteger); 
															//!< By default 4

//!< Color management settings
#define XI_PRM_APPLY_ICC_PROFILE "apply_icc"				//!< Apply ICC profiles(input Device.icc and DISPLAY.icm).
															//!< xiSetParam(handle, XI_PRM_APPLY_ICC_PROFILE or "apply_icc", &int, sizeof(int), TypeInteger); 
															//!< By default 0(disabled)

#define XI_PRM_WB_KR "wb_kr"								//!< White balance red coefficient 
															//!< xiSetParam(handle, XI_PRM_WB_KR or "wb_kr", &float, sizeof(float), TypeFloat); 
															//!< By default 1

#define XI_PRM_WB_KG "wb_kg"								//!< White balance green coefficient 
															//!< xiSetParam(handle, XI_PRM_WB_KG or "wb_kg", &float, sizeof(float), TypeFloat); 
															//!< By default 1

#define XI_PRM_WB_KB "wb_kb"								//!< White balance blue coefficient 
															//!< xiSetParam(handle, XI_PRM_WB_KB or "wb_kb", &float, sizeof(float), TypeFloat); 
															//!< By default 1

#define XI_PRM_MANUAL_WB "manual_wb"						//!< Calculates White Balance(xiGetImage function must be called)
															//!< xiSetParam(handle, XI_PRM_MANUAL_WB or "manual_wb", NULL, 0, 0); 
															//!< By default -

#define XI_PRM_AUTO_WB "auto_wb"							//!< Automatic white balance
															//!< xiSetParam(handle, XI_PRM_AUTO_WB or "auto_wb", &int, sizeof(int), TypeInteger); 
															//!< By default 0(disabled)

#define XI_PRM_GAMMAY "gammaY"								//!< Luminosity gamma
															//!< xiSetParam(handle, XI_PRM_GAMMAY or "gammaY", &float, sizeof(float), TypeFloat); 
															//!< By default 1.0

#define XI_PRM_GAMMAC "gammaC"								//!< Chromaticity gamma
															//!< xiSetParam(handle, XI_PRM_GAMMAC or "gammaC", &float, sizeof(float), TypeFloat); 
															//!< By default 0

#define XI_PRM_SHARPNESS "sharpness"						//!< Sharpness Strenght
															//!< xiSetParam(handle, XI_PRM_SHARP or "sharp", &float, sizeof(float), TypeFloat); 
															//!< By default 0

#define XI_PRM_CC_MATRIX_00 "ccMTX00"						//!< Color Correction Matrix element [0][0]
															//!< xiSetParam(handle, XI_PRM_CC_MATRIX_00 or "ccMTX00", &float, sizeof(float), TypeFloat); 
															//!< By default 1.0

#define XI_PRM_CC_MATRIX_01 "ccMTX01"						//!< Color Correction Matrix element [0][1]
															//!< xiSetParam(handle, XI_PRM_CC_MATRIX_01 or "ccMTX01", &float, sizeof(float), TypeFloat); 
															//!< By default 0.0

#define XI_PRM_CC_MATRIX_02 "ccMTX02"						//!< Color Correction Matrix element [0][2]
															//!< xiSetParam(handle, XI_PRM_CC_MATRIX_02 or "ccMTX02", &float, sizeof(float), TypeFloat); 
															//!< By default 0.0

#define XI_PRM_CC_MATRIX_03 "ccMTX03"						//!< Color Correction Matrix element [0][3]
															//!< xiSetParam(handle, XI_PRM_CC_MATRIX_03 or "ccMTX03", &float, sizeof(float), TypeFloat); 
															//!< By default 0.0

#define XI_PRM_CC_MATRIX_10 "ccMTX10"						//!< Color Correction Matrix element [1][0]
															//!< xiSetParam(handle, XI_PRM_CC_MATRIX_00 or "ccMTX10", &float, sizeof(float), TypeFloat); 
															//!< By default 0.0

#define XI_PRM_CC_MATRIX_11 "ccMTX11"						//!< Color Correction Matrix element [1][1]
															//!< xiSetParam(handle, XI_PRM_CC_MATRIX_00 or "ccMTX11", &float, sizeof(float), TypeFloat); 
															//!< By default 1.0

#define XI_PRM_CC_MATRIX_12 "ccMTX12"						//!< Color Correction Matrix element [1][2]
															//!< xiSetParam(handle, XI_PRM_CC_MATRIX_00 or "ccMTX12", &float, sizeof(float), TypeFloat); 
															//!< By default 0.0

#define XI_PRM_CC_MATRIX_13 "ccMTX13"						//!< Color Correction Matrix element [1][3]
															//!< xiSetParam(handle, XI_PRM_CC_MATRIX_00 or "ccMTX13", &float, sizeof(float), TypeFloat); 
															//!< By default 0.0

#define XI_PRM_CC_MATRIX_20 "ccMTX20"						//!< Color Correction Matrix element [2][0]
															//!< xiSetParam(handle, XI_PRM_CC_MATRIX_00 or "ccMTX20", &float, sizeof(float), TypeFloat); 
															//!< By default 0.0

#define XI_PRM_CC_MATRIX_21 "ccMTX21"						//!< Color Correction Matrix element [2][1]
															//!< xiSetParam(handle, XI_PRM_CC_MATRIX_01 or "ccMTX21", &float, sizeof(float), TypeFloat); 
															//!< By default 0.0

#define XI_PRM_CC_MATRIX_22 "ccMTX22"						//!< Color Correction Matrix element [2][2]
															//!< xiSetParam(handle, XI_PRM_CC_MATRIX_00 or "ccMTX22", &float, sizeof(float), TypeFloat); 
															//!< By default 1.0

#define XI_PRM_CC_MATRIX_23 "ccMTX23"						//!< Color Correction Matrix element [2][3]
															//!< xiSetParam(handle, XI_PRM_CC_MATRIX_00 or "ccMTX23", &float, sizeof(float), TypeFloat); 
															//!< By default 0.0

#define XI_PRM_CC_MATRIX_30 "ccMTX30"						//!< Color Correction Matrix element [3][0]
															//!< xiSetParam(handle, XI_PRM_CC_MATRIX_00 or "ccMTX30", &float, sizeof(float), TypeFloat); 
															//!< By default 0.0

#define XI_PRM_CC_MATRIX_31 "ccMTX31"						//!< Color Correction Matrix element [3][1]
															//!< xiSetParam(handle, XI_PRM_CC_MATRIX_00 or "ccMTX31", &float, sizeof(float), TypeFloat); 
															//!< By default 0.0

#define XI_PRM_CC_MATRIX_32 "ccMTX32"						//!< Color Correction Matrix element [3][2]
															//!< xiSetParam(handle, XI_PRM_CC_MATRIX_00 or "ccMTX32", &float, sizeof(float), TypeFloat); 
															//!< By default 1.0

#define XI_PRM_CC_MATRIX_33 "ccMTX33"						//!< Color Correction Matrix element [3][3]
															//!< xiSetParam(handle, XI_PRM_CC_MATRIX_00 or "ccMTX33", &float, sizeof(float), TypeFloat); 
															//!< By default 0.0

#define XI_SET_DEFAULT_CC_MATRIX "defccMTX"					//!< Set default Color Correction Matrix
															//!< xiSetParam(handle, XI_SET_DEFAULT_CC or "defCC", NULL, 0, NULL); 
															//!< By default -

//Automatic exposure/gain
#define XI_PRM_AEAG "aeag"									//!< Automatic exposure/gain
															//!< xiSetParam(handle, XI_PRM_AEAG or "aeag", &int, sizeof(int), TypeInteger); 
															//!< By default 0(disabled)

#define XI_PRM_EXP_PRIORITY "exp_priority"					//!< Exposure priority (0.5 - exposure 50%, gain 50%).
															//!< xiSetParam(handle, XI_PRM_EG_RATIO or "eg_ratio", &float, sizeof(float), TypeFloat); 
															//!< By default 0.8

#define XI_PRM_AE_MAX_LIMIT "ae_max_limit"					//!< Maximum limit of exposure in AEAG procedure
															//!< xiSetParam(handle, XI_PRM_AE_MAX_LIMIT or "ae_max_limit", &int, sizeof(int), TypeInteger); 
															//!< By default 1000000(1s)

#define XI_PRM_AG_MAX_LIMIT "ag_max_limit"					//!< Maximum limit of gain in AEAG procedure
															//!< xiSetParam(handle, XI_PRM_AG_MAX_LIMIT or "ag_max_limit", &float, sizeof(float), TypeFloat); 
															//!< By default defined by sensor

#define XI_PRM_AEAG_LEVEL "aeag_level"						//!< Average intensity of output signal AEAG should achieve(in %)
															//!< xiSetParam(handle, XI_PRM_AEAG_LEVEL or "aeag_level", &int, sizeof(int), TypeInteger); 
															//!< By default 40(%)

//Bad Pixels Correction
#define XI_PRM_BPC "bpc"									//!< Correction of bad pixels
															//!< xiSetParam(handle, XI_PRM_BPC or "bpc", &int, sizeof(int), TypeInteger); 
															//!< By default 0(disabled)

//Debounce
#define XI_PRM_DEBOUNCE_EN "dbnc_en"						//!< Enable/Disable debounce to selected GPI
															//!< xiSetParam(handle, XI_PRM_DEBOUNCE_EN or "dbnc_en", &int, sizeof(int), TypeInteger); 
															//!< By default 0(disabled)

#define XI_PRM_DEBOUNCE_T0 "dbnc_t0"						//!< Debounce time (x * 10us)
															//!< xiSetParam(handle, XI_PRM_DEBOUNCE_T0 or "dbnc_t0", &int, sizeof(int), TypeInteger); 
															//!< By default 0

#define XI_PRM_DEBOUNCE_T1 "dbnc_t1"						//!< Debounce time (x * 10us)
															//!< xiSetParam(handle, XI_PRM_DEBOUNCE_T1 or "dbnc_t1", &int, sizeof(int), TypeInteger); 
															//!< By default 0

#define XI_PRM_DEBOUNCE_POL "dbnc_pol"						//!< Debounce polarity (pol = 1 t0 - falling edge, t1 - rising edge)
															//!< xiSetParam(handle, XI_PRM_DEBOUNCE_POL or "dbnc_pol", &int, sizeof(int), TypeInteger); 
															//!< By default 0

//Set device parameter
XIAPI XI_RETURN __cdecl xiSetParamInt(IN HANDLE hDevice, const char* prm, int val);
XIAPI XI_RETURN __cdecl xiSetParamFloat(IN HANDLE hDevice, const char* prm, float val);
XIAPI XI_RETURN __cdecl xiSetParamString(IN HANDLE hDevice, const char* prm, void* val, DWORD size);
/*-----------------------------------------------------------------------------------*/
//Get device parameter
XIAPI XI_RETURN __cdecl xiGetParamInt(IN HANDLE hDevice, const char* prm, int* val);
XIAPI XI_RETURN __cdecl xiGetParamFloat(IN HANDLE hDevice, const char* prm, float* val);
XIAPI XI_RETURN __cdecl xiGetParamString(IN HANDLE hDevice, const char* prm, void* val, DWORD size);

#ifdef __cplusplus
}
#endif

#endif /* __XIEXT_H */